#include <qtwebkit_includes.h>

#include <smoke.h>
#include <qtwebkit_smoke.h>

namespace __smokeqtwebkit {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAction
      switch(to) {
        case 1: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChildEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 5: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QCloseEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 6: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 7:   //QContextMenuEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 7: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDateTime
      switch(to) {
        case 8: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 9:   //QDragEnterEvent
      switch(to) {
        case 11: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 12: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 13: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 9: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragLeaveEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 10: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDragMoveEvent
      switch(to) {
        case 12: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 13: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 11: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QDropEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 12: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QEvent
      switch(to) {
        case 13: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFocusEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 14: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFont
      switch(to) {
        case 15: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 17:   //QHideEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 17: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 18:   //QIcon
      switch(to) {
        case 18: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 19:   //QInputMethodEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 19: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QKeyEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 20: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QMenu
      switch(to) {
        case 21: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 22:   //QMetaObject
      switch(to) {
        case 22: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 23:   //QMouseEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 23: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QMoveEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 24: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QNetworkAccessManager
      switch(to) {
        case 28: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 25: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 26:   //QNetworkReply
      switch(to) {
        case 26: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 27:   //QNetworkRequest
      switch(to) {
        case 27: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 28:   //QObject
      switch(to) {
        case 28: return (void*)(QObject*)xptr;
        case 55: return (void*)(QWebHistoryInterface*)(QObject*)xptr;
        case 59: return (void*)(QWebPage*)(QObject*)xptr;
        case 68: return (void*)(QWebPluginFactory*)(QObject*)xptr;
        case 76: return (void*)(QWebView*)(QObject*)xptr;
        case 58: return (void*)(QWebInspector*)(QObject*)xptr;
        case 53: return (void*)(QWebFrame*)(QObject*)xptr;
        default: return xptr;
      }
    case 29:   //QPaintEngine
      switch(to) {
        case 29: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 30:   //QPaintEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 30: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QPainter
      switch(to) {
        case 31: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 32:   //QPalette
      switch(to) {
        case 32: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 33:   //QPixmap
      switch(to) {
        case 33: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 34:   //QPoint
      switch(to) {
        case 34: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 35:   //QPrinter
      switch(to) {
        case 35: return (void*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 36:   //QRect
      switch(to) {
        case 36: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 37:   //QRegExp
      switch(to) {
        case 37: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 38:   //QRegion
      switch(to) {
        case 38: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 39:   //QResizeEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 39: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QShowEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 40: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QSize
      switch(to) {
        case 41: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 42:   //QStyle
      switch(to) {
        case 42: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 43:   //QTabletEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 43: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QTimerEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 44: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QUndoStack
      switch(to) {
        case 45: return (void*)(QUndoStack*)xptr;
        default: return xptr;
      }
    case 46:   //QUrl
      switch(to) {
        case 46: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 47:   //QVariant
      switch(to) {
        case 47: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 48:   //QWebDatabase
      switch(to) {
        case 48: return (void*)(QWebDatabase*)xptr;
        default: return xptr;
      }
    case 49:   //QWebElement
      switch(to) {
        case 49: return (void*)(QWebElement*)xptr;
        default: return xptr;
      }
    case 50:   //QWebElementCollection
      switch(to) {
        case 50: return (void*)(QWebElementCollection*)xptr;
        default: return xptr;
      }
    case 51:   //QWebElementCollection::const_iterator
      switch(to) {
        case 51: return (void*)(QWebElementCollection::const_iterator*)xptr;
        default: return xptr;
      }
    case 52:   //QWebElementCollection::iterator
      switch(to) {
        case 52: return (void*)(QWebElementCollection::iterator*)xptr;
        default: return xptr;
      }
    case 53:   //QWebFrame
      switch(to) {
        case 28: return (void*)(QObject*)(QWebFrame*)xptr;
        case 53: return (void*)(QWebFrame*)xptr;
        default: return xptr;
      }
    case 54:   //QWebHistory
      switch(to) {
        case 54: return (void*)(QWebHistory*)xptr;
        default: return xptr;
      }
    case 55:   //QWebHistoryInterface
      switch(to) {
        case 28: return (void*)(QObject*)(QWebHistoryInterface*)xptr;
        case 55: return (void*)(QWebHistoryInterface*)xptr;
        default: return xptr;
      }
    case 56:   //QWebHistoryItem
      switch(to) {
        case 56: return (void*)(QWebHistoryItem*)xptr;
        default: return xptr;
      }
    case 57:   //QWebHitTestResult
      switch(to) {
        case 57: return (void*)(QWebHitTestResult*)xptr;
        default: return xptr;
      }
    case 58:   //QWebInspector
      switch(to) {
        case 78: return (void*)(QWidget*)(QWebInspector*)xptr;
        case 28: return (void*)(QObject*)(QWebInspector*)xptr;
        case 58: return (void*)(QWebInspector*)xptr;
        default: return xptr;
      }
    case 59:   //QWebPage
      switch(to) {
        case 28: return (void*)(QObject*)(QWebPage*)xptr;
        case 59: return (void*)(QWebPage*)xptr;
        default: return xptr;
      }
    case 60:   //QWebPage::ChooseMultipleFilesExtensionOption
      switch(to) {
        case 64: return (void*)(QWebPage::ExtensionOption*)(QWebPage::ChooseMultipleFilesExtensionOption*)xptr;
        case 60: return (void*)(QWebPage::ChooseMultipleFilesExtensionOption*)xptr;
        default: return xptr;
      }
    case 61:   //QWebPage::ChooseMultipleFilesExtensionReturn
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionReturn*)(QWebPage::ChooseMultipleFilesExtensionReturn*)xptr;
        case 61: return (void*)(QWebPage::ChooseMultipleFilesExtensionReturn*)xptr;
        default: return xptr;
      }
    case 62:   //QWebPage::ErrorPageExtensionOption
      switch(to) {
        case 64: return (void*)(QWebPage::ExtensionOption*)(QWebPage::ErrorPageExtensionOption*)xptr;
        case 62: return (void*)(QWebPage::ErrorPageExtensionOption*)xptr;
        default: return xptr;
      }
    case 63:   //QWebPage::ErrorPageExtensionReturn
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionReturn*)(QWebPage::ErrorPageExtensionReturn*)xptr;
        case 63: return (void*)(QWebPage::ErrorPageExtensionReturn*)xptr;
        default: return xptr;
      }
    case 64:   //QWebPage::ExtensionOption
      switch(to) {
        case 64: return (void*)(QWebPage::ExtensionOption*)xptr;
        case 62: return (void*)(QWebPage::ErrorPageExtensionOption*)(QWebPage::ExtensionOption*)xptr;
        case 60: return (void*)(QWebPage::ChooseMultipleFilesExtensionOption*)(QWebPage::ExtensionOption*)xptr;
        default: return xptr;
      }
    case 65:   //QWebPage::ExtensionReturn
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionReturn*)xptr;
        case 61: return (void*)(QWebPage::ChooseMultipleFilesExtensionReturn*)(QWebPage::ExtensionReturn*)xptr;
        case 63: return (void*)(QWebPage::ErrorPageExtensionReturn*)(QWebPage::ExtensionReturn*)xptr;
        default: return xptr;
      }
    case 66:   //QWebPage::ViewportAttributes
      switch(to) {
        case 66: return (void*)(QWebPage::ViewportAttributes*)xptr;
        default: return xptr;
      }
    case 67:   //QWebPagePrivate
      switch(to) {
        case 67: return (void*)(QWebPagePrivate*)xptr;
        default: return xptr;
      }
    case 68:   //QWebPluginFactory
      switch(to) {
        case 28: return (void*)(QObject*)(QWebPluginFactory*)xptr;
        case 68: return (void*)(QWebPluginFactory*)xptr;
        default: return xptr;
      }
    case 69:   //QWebPluginFactory::ExtensionOption
      switch(to) {
        case 69: return (void*)(QWebPluginFactory::ExtensionOption*)xptr;
        default: return xptr;
      }
    case 70:   //QWebPluginFactory::ExtensionReturn
      switch(to) {
        case 70: return (void*)(QWebPluginFactory::ExtensionReturn*)xptr;
        default: return xptr;
      }
    case 71:   //QWebPluginFactory::MimeType
      switch(to) {
        case 71: return (void*)(QWebPluginFactory::MimeType*)xptr;
        default: return xptr;
      }
    case 72:   //QWebPluginFactory::Plugin
      switch(to) {
        case 72: return (void*)(QWebPluginFactory::Plugin*)xptr;
        default: return xptr;
      }
    case 73:   //QWebSecurityOrigin
      switch(to) {
        case 73: return (void*)(QWebSecurityOrigin*)xptr;
        default: return xptr;
      }
    case 74:   //QWebSettings
      switch(to) {
        case 74: return (void*)(QWebSettings*)xptr;
        default: return xptr;
      }
    case 75:   //QWebSettingsPrivate
      switch(to) {
        case 75: return (void*)(QWebSettingsPrivate*)xptr;
        default: return xptr;
      }
    case 76:   //QWebView
      switch(to) {
        case 78: return (void*)(QWidget*)(QWebView*)xptr;
        case 28: return (void*)(QObject*)(QWebView*)xptr;
        case 76: return (void*)(QWebView*)xptr;
        default: return xptr;
      }
    case 77:   //QWheelEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 77: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 78:   //QWidget
      switch(to) {
        case 28: return (void*)(QObject*)(QWidget*)xptr;
        case 78: return (void*)(QWidget*)xptr;
        case 76: return (void*)(QWebView*)(QWidget*)xptr;
        case 58: return (void*)(QWebInspector*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    28, 0,	// 1: QObject
    78, 0,	// 3: QWidget
    64, 0,	// 5: QWebPage::ExtensionOption
    65, 0,	// 7: QWebPage::ExtensionReturn
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebSettings(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebPage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebPluginFactory(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebElement(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebFrame(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebDatabase(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElement(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection__const_iterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection__iterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebFrame(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHitTestResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebInspector(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ChooseMultipleFilesExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ChooseMultipleFilesExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ErrorPageExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ErrorPageExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ViewportAttributes(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__ExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__ExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__MimeType(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSecurityOrigin(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSettings(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebView(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAction", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//7
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//8
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFont", true, 0, 0, 0, 0, 0 },	//15
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//16
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//17
    { "QIcon", true, 0, 0, 0, 0, 0 },	//18
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QMenu", true, 0, 0, 0, 0, 0 },	//21
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//22
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QNetworkAccessManager", true, 0, 0, 0, 0, 0 },	//25
    { "QNetworkReply", true, 0, 0, 0, 0, 0 },	//26
    { "QNetworkRequest", true, 0, 0, 0, 0, 0 },	//27
    { "QObject", true, 0, 0, 0, 0, 0 },	//28
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//29
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QPainter", true, 0, 0, 0, 0, 0 },	//31
    { "QPalette", true, 0, 0, 0, 0, 0 },	//32
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//33
    { "QPoint", true, 0, 0, 0, 0, 0 },	//34
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//35
    { "QRect", true, 0, 0, 0, 0, 0 },	//36
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//37
    { "QRegion", true, 0, 0, 0, 0, 0 },	//38
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QSize", true, 0, 0, 0, 0, 0 },	//41
    { "QStyle", true, 0, 0, 0, 0, 0 },	//42
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QUndoStack", true, 0, 0, 0, 0, 0 },	//45
    { "QUrl", true, 0, 0, 0, 0, 0 },	//46
    { "QVariant", true, 0, 0, 0, 0, 0 },	//47
    { "QWebDatabase", false, 0, xcall_QWebDatabase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebDatabase) },	//48
    { "QWebElement", false, 0, xcall_QWebElement, xenum_QWebElement, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElement) },	//49
    { "QWebElementCollection", false, 0, xcall_QWebElementCollection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection) },	//50
    { "QWebElementCollection::const_iterator", false, 0, xcall_QWebElementCollection__const_iterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection::const_iterator) },	//51
    { "QWebElementCollection::iterator", false, 0, xcall_QWebElementCollection__iterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection::iterator) },	//52
    { "QWebFrame", false, 1, xcall_QWebFrame, xenum_QWebFrame, Smoke::cf_virtual, sizeof(QWebFrame) },	//53
    { "QWebHistory", false, 0, xcall_QWebHistory, 0, 0, sizeof(QWebHistory) },	//54
    { "QWebHistoryInterface", false, 1, xcall_QWebHistoryInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebHistoryInterface) },	//55
    { "QWebHistoryItem", false, 0, xcall_QWebHistoryItem, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebHistoryItem) },	//56
    { "QWebHitTestResult", false, 0, xcall_QWebHitTestResult, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebHitTestResult) },	//57
    { "QWebInspector", false, 3, xcall_QWebInspector, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebInspector) },	//58
    { "QWebPage", false, 1, xcall_QWebPage, xenum_QWebPage, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebPage) },	//59
    { "QWebPage::ChooseMultipleFilesExtensionOption", false, 5, xcall_QWebPage__ChooseMultipleFilesExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ChooseMultipleFilesExtensionOption) },	//60
    { "QWebPage::ChooseMultipleFilesExtensionReturn", false, 7, xcall_QWebPage__ChooseMultipleFilesExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ChooseMultipleFilesExtensionReturn) },	//61
    { "QWebPage::ErrorPageExtensionOption", false, 5, xcall_QWebPage__ErrorPageExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ErrorPageExtensionOption) },	//62
    { "QWebPage::ErrorPageExtensionReturn", false, 7, xcall_QWebPage__ErrorPageExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ErrorPageExtensionReturn) },	//63
    { "QWebPage::ExtensionOption", false, 0, xcall_QWebPage__ExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ExtensionOption) },	//64
    { "QWebPage::ExtensionReturn", false, 0, xcall_QWebPage__ExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ExtensionReturn) },	//65
    { "QWebPage::ViewportAttributes", false, 0, xcall_QWebPage__ViewportAttributes, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ViewportAttributes) },	//66
    { "QWebPagePrivate", true, 0, 0, 0, 0, 0 },	//67
    { "QWebPluginFactory", false, 1, xcall_QWebPluginFactory, xenum_QWebPluginFactory, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebPluginFactory) },	//68
    { "QWebPluginFactory::ExtensionOption", false, 0, xcall_QWebPluginFactory__ExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::ExtensionOption) },	//69
    { "QWebPluginFactory::ExtensionReturn", false, 0, xcall_QWebPluginFactory__ExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::ExtensionReturn) },	//70
    { "QWebPluginFactory::MimeType", false, 0, xcall_QWebPluginFactory__MimeType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::MimeType) },	//71
    { "QWebPluginFactory::Plugin", false, 0, xcall_QWebPluginFactory__Plugin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::Plugin) },	//72
    { "QWebSecurityOrigin", false, 0, xcall_QWebSecurityOrigin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebSecurityOrigin) },	//73
    { "QWebSettings", false, 0, xcall_QWebSettings, xenum_QWebSettings, 0, sizeof(QWebSettings) },	//74
    { "QWebSettingsPrivate", true, 0, 0, 0, 0, 0 },	//75
    { "QWebView", false, 3, xcall_QWebView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebView) },	//76
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//77
    { "QWidget", true, 0, 0, 0, 0, 0 },	//78
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "QByteArray&", 4, Smoke::t_class|Smoke::tf_ref },	//4
    { "QChildEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QCloseEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//6
    { "QContextMenuEvent*", 7, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDateTime", 8, Smoke::t_class|Smoke::tf_stack },	//8
    { "QDragEnterEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDragLeaveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QDragMoveEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//12
    { "QDropEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//15
    { "QFlags<QWebPage::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//16
    { "QFocusEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QHideEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QIcon", 18, Smoke::t_class|Smoke::tf_stack },	//19
    { "QInputMethodEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//20
    { "QKeyEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QList<QWebDatabase>", 0, Smoke::t_voidp|Smoke::tf_stack },	//22
    { "QList<QWebElement>", 0, Smoke::t_voidp|Smoke::tf_stack },	//23
    { "QList<QWebFrame*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//24
    { "QList<QWebHistoryItem>", 0, Smoke::t_voidp|Smoke::tf_stack },	//25
    { "QList<QWebPluginFactory::MimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//26
    { "QList<QWebPluginFactory::Plugin>", 0, Smoke::t_voidp|Smoke::tf_stack },	//27
    { "QList<QWebSecurityOrigin>", 0, Smoke::t_voidp|Smoke::tf_stack },	//28
    { "QMenu*", 21, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QMetaObject::Call", 22, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QMouseEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QMoveEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//32
    { "QMultiMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//33
    { "QNetworkAccessManager*", 25, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QNetworkAccessManager::Operation", 25, Smoke::t_enum|Smoke::tf_stack },	//35
    { "QNetworkReply*", 26, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QNetworkRequest", 27, Smoke::t_class|Smoke::tf_stack },	//37
    { "QObject*", 28, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "QPaintEngine*", 29, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QPaintEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QPainter*", 31, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QPainter::RenderHint", 31, Smoke::t_enum|Smoke::tf_stack },	//43
    { "QPalette", 32, Smoke::t_class|Smoke::tf_stack },	//44
    { "QPixmap", 33, Smoke::t_class|Smoke::tf_stack },	//45
    { "QPoint", 34, Smoke::t_class|Smoke::tf_stack },	//46
    { "QPrinter*", 35, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QRect", 36, Smoke::t_class|Smoke::tf_stack },	//48
    { "QRegExp&", 37, Smoke::t_class|Smoke::tf_ref },	//49
    { "QResizeEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QScriptEngine::ValueOwnership", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "QShowEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QSize", 41, Smoke::t_class|Smoke::tf_stack },	//53
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//54
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//55
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//56
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//57
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//58
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//59
    { "QStyle&", 42, Smoke::t_class|Smoke::tf_ref },	//60
    { "QTabletEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QTimerEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QUndoStack*", 45, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QUrl", 46, Smoke::t_class|Smoke::tf_stack },	//64
    { "QUrl&", 46, Smoke::t_class|Smoke::tf_ref },	//65
    { "QVariant", 47, Smoke::t_class|Smoke::tf_stack },	//66
    { "QWebDatabase", 48, Smoke::t_class|Smoke::tf_stack },	//67
    { "QWebDatabase&", 48, Smoke::t_class|Smoke::tf_ref },	//68
    { "QWebDatabase*", 48, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QWebElement", 49, Smoke::t_class|Smoke::tf_stack },	//70
    { "QWebElement&", 49, Smoke::t_class|Smoke::tf_ref },	//71
    { "QWebElement*", 49, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QWebElement::StyleResolveStrategy", 49, Smoke::t_enum|Smoke::tf_stack },	//73
    { "QWebElementCollection", 50, Smoke::t_class|Smoke::tf_stack },	//74
    { "QWebElementCollection&", 50, Smoke::t_class|Smoke::tf_ref },	//75
    { "QWebElementCollection*", 50, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QWebElementCollection::const_iterator", 51, Smoke::t_class|Smoke::tf_stack },	//77
    { "QWebElementCollection::const_iterator&", 51, Smoke::t_class|Smoke::tf_ref },	//78
    { "QWebElementCollection::const_iterator*", 51, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QWebElementCollection::iterator", 52, Smoke::t_class|Smoke::tf_stack },	//80
    { "QWebElementCollection::iterator&", 52, Smoke::t_class|Smoke::tf_ref },	//81
    { "QWebElementCollection::iterator*", 52, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QWebFrame*", 53, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QWebFrame::RenderLayer", 53, Smoke::t_enum|Smoke::tf_stack },	//84
    { "QWebHistory*", 54, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QWebHistoryInterface*", 55, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QWebHistoryItem", 56, Smoke::t_class|Smoke::tf_stack },	//87
    { "QWebHistoryItem&", 56, Smoke::t_class|Smoke::tf_ref },	//88
    { "QWebHistoryItem*", 56, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QWebHitTestResult", 57, Smoke::t_class|Smoke::tf_stack },	//90
    { "QWebHitTestResult&", 57, Smoke::t_class|Smoke::tf_ref },	//91
    { "QWebHitTestResult*", 57, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QWebInspector*", 58, Smoke::t_class|Smoke::tf_ptr },	//93
    { "QWebPage*", 59, Smoke::t_class|Smoke::tf_ptr },	//94
    { "QWebPage::ChooseMultipleFilesExtensionOption*", 60, Smoke::t_class|Smoke::tf_ptr },	//95
    { "QWebPage::ChooseMultipleFilesExtensionReturn*", 61, Smoke::t_class|Smoke::tf_ptr },	//96
    { "QWebPage::ErrorDomain", 59, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QWebPage::ErrorPageExtensionOption*", 62, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QWebPage::ErrorPageExtensionReturn*", 63, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QWebPage::Extension", 59, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QWebPage::ExtensionOption*", 64, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QWebPage::ExtensionReturn*", 65, Smoke::t_class|Smoke::tf_ptr },	//102
    { "QWebPage::Feature", 59, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QWebPage::FindFlag", 59, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QWebPage::LinkDelegationPolicy", 59, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QWebPage::NavigationType", 59, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QWebPage::PermissionPolicy", 59, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QWebPage::ViewportAttributes", 66, Smoke::t_class|Smoke::tf_stack },	//108
    { "QWebPage::ViewportAttributes&", 66, Smoke::t_class|Smoke::tf_ref },	//109
    { "QWebPage::ViewportAttributes*", 66, Smoke::t_class|Smoke::tf_ptr },	//110
    { "QWebPage::WebAction", 59, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QWebPage::WebWindowType", 59, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QWebPagePrivate*", 67, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QWebPluginFactory*", 68, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QWebPluginFactory::Extension", 68, Smoke::t_enum|Smoke::tf_stack },	//115
    { "QWebPluginFactory::ExtensionOption*", 69, Smoke::t_class|Smoke::tf_ptr },	//116
    { "QWebPluginFactory::ExtensionReturn*", 70, Smoke::t_class|Smoke::tf_ptr },	//117
    { "QWebPluginFactory::MimeType", 71, Smoke::t_class|Smoke::tf_stack },	//118
    { "QWebPluginFactory::MimeType*", 71, Smoke::t_class|Smoke::tf_ptr },	//119
    { "QWebPluginFactory::Plugin", 72, Smoke::t_class|Smoke::tf_stack },	//120
    { "QWebPluginFactory::Plugin*", 72, Smoke::t_class|Smoke::tf_ptr },	//121
    { "QWebSecurityOrigin", 73, Smoke::t_class|Smoke::tf_stack },	//122
    { "QWebSecurityOrigin&", 73, Smoke::t_class|Smoke::tf_ref },	//123
    { "QWebSecurityOrigin*", 73, Smoke::t_class|Smoke::tf_ptr },	//124
    { "QWebSettings*", 74, Smoke::t_class|Smoke::tf_ptr },	//125
    { "QWebSettings::FontFamily", 74, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QWebSettings::FontSize", 74, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QWebSettings::ThirdPartyCookiePolicy", 74, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QWebSettings::WebAttribute", 74, Smoke::t_enum|Smoke::tf_stack },	//129
    { "QWebSettings::WebGraphic", 74, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QWebSettingsPrivate*", 75, Smoke::t_class|Smoke::tf_ptr },	//131
    { "QWebView*", 76, Smoke::t_class|Smoke::tf_ptr },	//132
    { "QWheelEvent*", 77, Smoke::t_class|Smoke::tf_ptr },	//133
    { "QWidget*", 78, Smoke::t_class|Smoke::tf_ptr },	//134
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QtMsgType", 16, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QtValidLicenseForActiveQtModule", 16, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QtValidLicenseForCoreModule", 16, Smoke::t_enum|Smoke::tf_stack },	//209
    { "QtValidLicenseForDBusModule", 16, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QtValidLicenseForDeclarativeModule", 16, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QtValidLicenseForGuiModule", 16, Smoke::t_enum|Smoke::tf_stack },	//212
    { "QtValidLicenseForHelpModule", 16, Smoke::t_enum|Smoke::tf_stack },	//213
    { "QtValidLicenseForMultimediaModule", 16, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QtValidLicenseForNetworkModule", 16, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QtValidLicenseForOpenGLModule", 16, Smoke::t_enum|Smoke::tf_stack },	//216
    { "QtValidLicenseForOpenVGModule", 16, Smoke::t_enum|Smoke::tf_stack },	//217
    { "QtValidLicenseForQt3SupportLightModule", 16, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QtValidLicenseForQt3SupportModule", 16, Smoke::t_enum|Smoke::tf_stack },	//219
    { "QtValidLicenseForScriptModule", 16, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QtValidLicenseForScriptToolsModule", 16, Smoke::t_enum|Smoke::tf_stack },	//221
    { "QtValidLicenseForSqlModule", 16, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QtValidLicenseForSvgModule", 16, Smoke::t_enum|Smoke::tf_stack },	//223
    { "QtValidLicenseForTestModule", 16, Smoke::t_enum|Smoke::tf_stack },	//224
    { "QtValidLicenseForXmlModule", 16, Smoke::t_enum|Smoke::tf_stack },	//225
    { "QtValidLicenseForXmlPatternsModule", 16, Smoke::t_enum|Smoke::tf_stack },	//226
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//227
    { "__codecvt_result", 16, Smoke::t_enum|Smoke::tf_stack },	//228
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//229
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const QFont&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const QList<QWebPluginFactory::MimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const QMetaObject&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const QMetaObject*", 22, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//234
    { "const QNetworkRequest&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const QPalette&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QPixmap&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const QPoint&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QRect&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QRegExp&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QRegion&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QSize&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//245
    { "const QUrl&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QVariant&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QWebDatabase&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QWebElement", 49, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//249
    { "const QWebElement&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QWebElementCollection&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QWebElementCollection*", 50, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//252
    { "const QWebElementCollection::const_iterator&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QWebElementCollection::iterator&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QWebHistoryItem&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QWebHitTestResult&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QWebPage::ChooseMultipleFilesExtensionOption&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QWebPage::ChooseMultipleFilesExtensionReturn&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QWebPage::ErrorPageExtensionOption&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QWebPage::ErrorPageExtensionReturn&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QWebPage::ExtensionOption&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QWebPage::ExtensionOption*", 64, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//262
    { "const QWebPage::ExtensionReturn&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QWebPage::ViewportAttributes&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QWebPluginFactory::ExtensionOption&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QWebPluginFactory::ExtensionOption*", 69, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//266
    { "const QWebPluginFactory::ExtensionReturn&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QWebPluginFactory::MimeType&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QWebPluginFactory::Plugin&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QWebSecurityOrigin&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//271
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//272
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//273
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//274
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//275
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//276
    { "quint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//277
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//278
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//279
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//280
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//281
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    14, 0,	//1  QEvent*
    38, 14, 0,	//3  QObject*, QEvent*
    62, 0,	//6  QTimerEvent*
    5, 0,	//8  QChildEvent*
    271, 0,	//10  const char*
    248, 0,	//12  const QWebDatabase&
    250, 0,	//14  const QWebElement&
    243, 0,	//16  const QString&
    243, 243, 0,	//18  const QString&, const QString&
    243, 243, 243, 0,	//21  const QString&, const QString&, const QString&
    243, 73, 0,	//25  const QString&, QWebElement::StyleResolveStrategy
    42, 0,	//28  QPainter*
    42, 239, 0,	//30  QPainter*, const QRect&
    250, 243, 0,	//33  const QWebElement&, const QString&
    251, 0,	//36  const QWebElementCollection&
    274, 0,	//38  int
    252, 274, 0,	//40  const QWebElementCollection*, int
    253, 0,	//43  const QWebElementCollection::const_iterator&
    77, 0,	//45  QWebElementCollection::const_iterator
    254, 0,	//47  const QWebElementCollection::iterator&
    80, 0,	//49  QWebElementCollection::iterator
    271, 271, 0,	//51  const char*, const char*
    271, 271, 274, 0,	//54  const char*, const char*, int
    30, 274, 280, 0,	//58  QMetaObject::Call, int, void**
    246, 0,	//62  const QUrl&
    235, 35, 230, 0,	//64  const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&
    243, 246, 0,	//68  const QString&, const QUrl&
    230, 243, 246, 0,	//71  const QByteArray&, const QString&, const QUrl&
    243, 38, 0,	//75  const QString&, QObject*
    243, 38, 51, 0,	//78  const QString&, QObject*, QScriptEngine::ValueOwnership
    181, 0,	//82  Qt::Orientation
    181, 185, 0,	//84  Qt::Orientation, Qt::ScrollBarPolicy
    181, 274, 0,	//87  Qt::Orientation, int
    274, 274, 0,	//90  int, int
    238, 0,	//93  const QPoint&
    42, 241, 0,	//95  QPainter*, const QRegion&
    42, 84, 241, 0,	//98  QPainter*, QWebFrame::RenderLayer, const QRegion&
    273, 0,	//102  double
    47, 0,	//104  QPrinter*
    242, 0,	//106  const QSize&
    229, 0,	//108  bool
    235, 0,	//110  const QNetworkRequest&
    235, 35, 0,	//112  const QNetworkRequest&, QNetworkAccessManager::Operation
    230, 0,	//115  const QByteArray&
    230, 243, 0,	//117  const QByteArray&, const QString&
    42, 84, 0,	//120  QPainter*, QWebFrame::RenderLayer
    255, 0,	//123  const QWebHistoryItem&
    38, 0,	//125  QObject*
    86, 0,	//127  QWebHistoryInterface*
    247, 0,	//129  const QVariant&
    256, 0,	//131  const QWebHitTestResult&
    134, 0,	//133  QWidget*
    94, 0,	//135  QWebPage*
    50, 0,	//137  QResizeEvent*
    52, 0,	//139  QShowEvent*
    18, 0,	//141  QHideEvent*
    6, 0,	//143  QCloseEvent*
    34, 0,	//145  QNetworkAccessManager*
    114, 0,	//147  QWebPluginFactory*
    111, 0,	//149  QWebPage::WebAction
    111, 229, 0,	//151  QWebPage::WebAction, bool
    239, 0,	//154  const QRect&
    169, 0,	//156  Qt::InputMethodQuery
    243, 16, 0,	//158  const QString&, QFlags<QWebPage::FindFlag>
    105, 0,	//161  QWebPage::LinkDelegationPolicy
    236, 0,	//163  const QPalette&
    7, 0,	//165  QContextMenuEvent*
    83, 103, 107, 0,	//167  QWebFrame*, QWebPage::Feature, QWebPage::PermissionPolicy
    100, 262, 102, 0,	//171  QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*
    100, 0,	//175  QWebPage::Extension
    83, 0,	//177  QWebFrame*
    274, 274, 239, 0,	//179  int, int, const QRect&
    36, 0,	//183  QNetworkReply*
    83, 54, 0,	//185  QWebFrame*, QString
    124, 277, 277, 0,	//188  QWebSecurityOrigin*, quint64, quint64
    83, 89, 0,	//192  QWebFrame*, QWebHistoryItem*
    83, 103, 0,	//195  QWebFrame*, QWebPage::Feature
    112, 0,	//198  QWebPage::WebWindowType
    243, 246, 244, 244, 0,	//200  const QString&, const QUrl&, const QStringList&, const QStringList&
    83, 235, 106, 0,	//205  QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType
    83, 243, 0,	//209  QWebFrame*, const QString&
    83, 243, 243, 56, 0,	//212  QWebFrame*, const QString&, const QString&, QString*
    243, 274, 243, 0,	//217  const QString&, int, const QString&
    100, 262, 0,	//221  QWebPage::Extension, const QWebPage::ExtensionOption*
    257, 0,	//224  const QWebPage::ChooseMultipleFilesExtensionOption&
    244, 0,	//226  const QStringList&
    258, 0,	//228  const QWebPage::ChooseMultipleFilesExtensionReturn&
    259, 0,	//230  const QWebPage::ErrorPageExtensionOption&
    97, 0,	//232  QWebPage::ErrorDomain
    260, 0,	//234  const QWebPage::ErrorPageExtensionReturn&
    261, 0,	//236  const QWebPage::ExtensionOption&
    263, 0,	//238  const QWebPage::ExtensionReturn&
    264, 0,	//240  const QWebPage::ViewportAttributes&
    115, 266, 117, 0,	//242  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*
    115, 0,	//246  QWebPluginFactory::Extension
    115, 266, 0,	//248  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*
    265, 0,	//251  const QWebPluginFactory::ExtensionOption&
    267, 0,	//253  const QWebPluginFactory::ExtensionReturn&
    268, 0,	//255  const QWebPluginFactory::MimeType&
    269, 0,	//257  const QWebPluginFactory::Plugin&
    232, 0,	//259  const QList<QWebPluginFactory::MimeType>&
    276, 0,	//261  long long
    270, 0,	//263  const QWebSecurityOrigin&
    126, 243, 0,	//265  QWebSettings::FontFamily, const QString&
    126, 0,	//268  QWebSettings::FontFamily
    127, 274, 0,	//270  QWebSettings::FontSize, int
    127, 0,	//273  QWebSettings::FontSize
    129, 229, 0,	//275  QWebSettings::WebAttribute, bool
    129, 0,	//278  QWebSettings::WebAttribute
    130, 237, 0,	//280  QWebSettings::WebGraphic, const QPixmap&
    130, 0,	//283  QWebSettings::WebGraphic
    274, 274, 274, 0,	//285  int, int, int
    128, 0,	//289  QWebSettings::ThirdPartyCookiePolicy
    15, 0,	//291  QFlags<QPainter::RenderHint>
    43, 229, 0,	//293  QPainter::RenderHint, bool
    41, 0,	//296  QPaintEvent*
    31, 0,	//298  QMouseEvent*
    133, 0,	//300  QWheelEvent*
    21, 0,	//302  QKeyEvent*
    9, 0,	//304  QDragEnterEvent*
    10, 0,	//306  QDragLeaveEvent*
    11, 0,	//308  QDragMoveEvent*
    13, 0,	//310  QDropEvent*
    17, 0,	//312  QFocusEvent*
    20, 0,	//314  QInputMethodEvent*
    43, 0,	//316  QPainter::RenderHint
    32, 0,	//318  QMoveEvent*
    61, 0,	//320  QTabletEvent*
    2, 0,	//322  QActionEvent*
    227, 0,	//324  _XEvent*
    39, 0,	//326  QPaintDevice::PaintDeviceMetric
    60, 0,	//328  QStyle&
    231, 0,	//330  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AcceleratedCompositingEnabled",	//1
    "AlignCenter",	//2
    "AlignJustified",	//3
    "AlignLeft",	//4
    "AlignRight",	//5
    "AllLayers",	//6
    "AllowThirdPartyWithExistingCookies",	//7
    "AlwaysAllowThirdPartyCookies",	//8
    "AlwaysBlockThirdPartyCookies",	//9
    "AutoLoadImages",	//10
    "Back",	//11
    "CSSGridLayoutEnabled",	//12
    "CSSRegionsEnabled",	//13
    "CaretBrowsingEnabled",	//14
    "CascadedStyle",	//15
    "ChooseMultipleFilesExtension",	//16
    "ChooseMultipleFilesExtensionOption",	//17
    "ChooseMultipleFilesExtensionOption#",	//18
    "ChooseMultipleFilesExtensionReturn",	//19
    "ChooseMultipleFilesExtensionReturn#",	//20
    "ComputedStyle",	//21
    "ContentsLayer",	//22
    "Copy",	//23
    "CopyImageToClipboard",	//24
    "CopyImageUrlToClipboard",	//25
    "CopyLinkToClipboard",	//26
    "CursiveFont",	//27
    "Cut",	//28
    "DefaultFixedFontSize",	//29
    "DefaultFontSize",	//30
    "DefaultFrameIconGraphic",	//31
    "DelegateAllLinks",	//32
    "DelegateExternalLinks",	//33
    "DeleteButtonGraphic",	//34
    "DeleteEndOfWord",	//35
    "DeleteStartOfWord",	//36
    "DeveloperExtrasEnabled",	//37
    "DnsPrefetchEnabled",	//38
    "DontDelegateLinks",	//39
    "DownloadImageToDisk",	//40
    "DownloadLinkToDisk",	//41
    "DrawChildren",	//42
    "DrawWindowBackground",	//43
    "ErrorPageExtension",	//44
    "ErrorPageExtensionOption",	//45
    "ErrorPageExtensionOption#",	//46
    "ErrorPageExtensionReturn",	//47
    "ErrorPageExtensionReturn#",	//48
    "ExtensionOption",	//49
    "ExtensionOption#",	//50
    "ExtensionReturn",	//51
    "ExtensionReturn#",	//52
    "FantasyFont",	//53
    "FindBackward",	//54
    "FindCaseSensitively",	//55
    "FindWrapsAroundDocument",	//56
    "FixedFont",	//57
    "Forward",	//58
    "FrameFlatteningEnabled",	//59
    "Geolocation",	//60
    "HighlightAllOccurrences",	//61
    "Http",	//62
    "HyperlinkAuditingEnabled",	//63
    "IgnoreMask",	//64
    "Indent",	//65
    "InlineStyle",	//66
    "InputSpeechButtonGraphic",	//67
    "InsertLineSeparator",	//68
    "InsertOrderedList",	//69
    "InsertParagraphSeparator",	//70
    "InsertUnorderedList",	//71
    "InspectElement",	//72
    "JavaEnabled",	//73
    "JavascriptCanAccessClipboard",	//74
    "JavascriptCanCloseWindows",	//75
    "JavascriptCanOpenWindows",	//76
    "JavascriptEnabled",	//77
    "LicensedActiveQt",	//78
    "LicensedCore",	//79
    "LicensedDBus",	//80
    "LicensedDeclarative",	//81
    "LicensedGui",	//82
    "LicensedHelp",	//83
    "LicensedMultimedia",	//84
    "LicensedNetwork",	//85
    "LicensedOpenGL",	//86
    "LicensedOpenVG",	//87
    "LicensedQt3Support",	//88
    "LicensedQt3SupportLight",	//89
    "LicensedScript",	//90
    "LicensedScriptTools",	//91
    "LicensedSql",	//92
    "LicensedSvg",	//93
    "LicensedTest",	//94
    "LicensedXml",	//95
    "LicensedXmlPatterns",	//96
    "LinksIncludedInFocusChain",	//97
    "LocalContentCanAccessFileUrls",	//98
    "LocalContentCanAccessRemoteUrls",	//99
    "LocalStorageDatabaseEnabled",	//100
    "LocalStorageEnabled",	//101
    "MimeType",	//102
    "MimeType#",	//103
    "MinimumFontSize",	//104
    "MinimumLogicalFontSize",	//105
    "MissingImageGraphic",	//106
    "MissingPluginGraphic",	//107
    "MoveToEndOfBlock",	//108
    "MoveToEndOfDocument",	//109
    "MoveToEndOfLine",	//110
    "MoveToNextChar",	//111
    "MoveToNextLine",	//112
    "MoveToNextWord",	//113
    "MoveToPreviousChar",	//114
    "MoveToPreviousLine",	//115
    "MoveToPreviousWord",	//116
    "MoveToStartOfBlock",	//117
    "MoveToStartOfDocument",	//118
    "MoveToStartOfLine",	//119
    "NavigationTypeBackOrForward",	//120
    "NavigationTypeFormResubmitted",	//121
    "NavigationTypeFormSubmitted",	//122
    "NavigationTypeLinkClicked",	//123
    "NavigationTypeOther",	//124
    "NavigationTypeReload",	//125
    "NoWebAction",	//126
    "Notifications",	//127
    "NotificationsEnabled",	//128
    "OfflineStorageDatabaseEnabled",	//129
    "OfflineWebApplicationCacheEnabled",	//130
    "OpenFrameInNewWindow",	//131
    "OpenImageInNewWindow",	//132
    "OpenLink",	//133
    "OpenLinkInNewWindow",	//134
    "OpenLinkInThisWindow",	//135
    "Outdent",	//136
    "PanIconLayer",	//137
    "Paste",	//138
    "PasteAndMatchStyle",	//139
    "PermissionDeniedByUser",	//140
    "PermissionGrantedByUser",	//141
    "PermissionUnknown",	//142
    "Plugin",	//143
    "Plugin#",	//144
    "PluginsEnabled",	//145
    "PrintElementBackgrounds",	//146
    "PrivateBrowsingEnabled",	//147
    "QWebDatabase",	//148
    "QWebDatabase#",	//149
    "QWebElement",	//150
    "QWebElement#",	//151
    "QWebElementCollection",	//152
    "QWebElementCollection#",	//153
    "QWebElementCollection#$",	//154
    "QWebHistoryInterface",	//155
    "QWebHistoryInterface#",	//156
    "QWebHistoryItem",	//157
    "QWebHistoryItem#",	//158
    "QWebHitTestResult",	//159
    "QWebHitTestResult#",	//160
    "QWebInspector",	//161
    "QWebInspector#",	//162
    "QWebPage",	//163
    "QWebPage#",	//164
    "QWebPluginFactory",	//165
    "QWebPluginFactory#",	//166
    "QWebSecurityOrigin",	//167
    "QWebSecurityOrigin#",	//168
    "QWebView",	//169
    "QWebView#",	//170
    "Q_COMPLEX_TYPE",	//171
    "Q_DUMMY_TYPE",	//172
    "Q_MOVABLE_TYPE",	//173
    "Q_PRIMITIVE_TYPE",	//174
    "Q_STATIC_TYPE",	//175
    "QtCriticalMsg",	//176
    "QtDebugMsg",	//177
    "QtFatalMsg",	//178
    "QtNetwork",	//179
    "QtSystemMsg",	//180
    "QtWarningMsg",	//181
    "Redo",	//182
    "Reload",	//183
    "ReloadAndBypassCache",	//184
    "RemoveFormat",	//185
    "SansSerifFont",	//186
    "ScrollAnimatorEnabled",	//187
    "ScrollBarLayer",	//188
    "SearchCancelButtonGraphic",	//189
    "SearchCancelButtonPressedGraphic",	//190
    "SelectAll",	//191
    "SelectEndOfBlock",	//192
    "SelectEndOfDocument",	//193
    "SelectEndOfLine",	//194
    "SelectNextChar",	//195
    "SelectNextLine",	//196
    "SelectNextWord",	//197
    "SelectPreviousChar",	//198
    "SelectPreviousLine",	//199
    "SelectPreviousWord",	//200
    "SelectStartOfBlock",	//201
    "SelectStartOfDocument",	//202
    "SelectStartOfLine",	//203
    "SerifFont",	//204
    "SetTextDirectionDefault",	//205
    "SetTextDirectionLeftToRight",	//206
    "SetTextDirectionRightToLeft",	//207
    "SiteSpecificQuirksEnabled",	//208
    "SpatialNavigationEnabled",	//209
    "StandardFont",	//210
    "Stop",	//211
    "StopScheduledPageRefresh",	//212
    "TextAreaSizeGripCornerGraphic",	//213
    "TiledBackingStoreEnabled",	//214
    "ToggleBold",	//215
    "ToggleItalic",	//216
    "ToggleStrikethrough",	//217
    "ToggleSubscript",	//218
    "ToggleSuperscript",	//219
    "ToggleUnderline",	//220
    "Undo",	//221
    "ViewportAttributes",	//222
    "ViewportAttributes#",	//223
    "WebActionCount",	//224
    "WebBrowserWindow",	//225
    "WebGLEnabled",	//226
    "WebKit",	//227
    "WebModalDialog",	//228
    "XSSAuditingEnabled",	//229
    "ZoomTextOnly",	//230
    "__codecvt_error",	//231
    "__codecvt_noconv",	//232
    "__codecvt_ok",	//233
    "__codecvt_partial",	//234
    "acceptNavigationRequest",	//235
    "acceptNavigationRequest##$",	//236
    "action",	//237
    "action$",	//238
    "actionEvent",	//239
    "addClass",	//240
    "addClass$",	//241
    "addHistoryEntry",	//242
    "addHistoryEntry$",	//243
    "addLocalScheme",	//244
    "addLocalScheme$",	//245
    "addToJavaScriptWindowObject",	//246
    "addToJavaScriptWindowObject$#",	//247
    "addToJavaScriptWindowObject$#$",	//248
    "allOrigins",	//249
    "alternateText",	//250
    "append",	//251
    "append#",	//252
    "appendInside",	//253
    "appendInside#",	//254
    "appendInside$",	//255
    "appendOutside",	//256
    "appendOutside#",	//257
    "appendOutside$",	//258
    "applicationCacheQuotaExceeded",	//259
    "applicationCacheQuotaExceeded#$$",	//260
    "at",	//261
    "at$",	//262
    "attribute",	//263
    "attribute$",	//264
    "attribute$$",	//265
    "attributeNS",	//266
    "attributeNS$$",	//267
    "attributeNS$$$",	//268
    "attributeNames",	//269
    "attributeNames$",	//270
    "back",	//271
    "backItem",	//272
    "backItems",	//273
    "backItems$",	//274
    "baseUrl",	//275
    "begin",	//276
    "boundingRect",	//277
    "bytesReceived",	//278
    "canGoBack",	//279
    "canGoForward",	//280
    "changeEvent",	//281
    "changeEvent#",	//282
    "childEvent",	//283
    "childFrames",	//284
    "chooseFile",	//285
    "chooseFile#$",	//286
    "classes",	//287
    "clear",	//288
    "clearIconDatabase",	//289
    "clearMemoryCaches",	//290
    "clone",	//291
    "closeEvent",	//292
    "closeEvent#",	//293
    "connectNotify",	//294
    "constBegin",	//295
    "constEnd",	//296
    "const_iterator",	//297
    "const_iterator#",	//298
    "const_iterator#$",	//299
    "content",	//300
    "contentType",	//301
    "contentsChanged",	//302
    "contentsSize",	//303
    "contentsSizeChanged",	//304
    "contentsSizeChanged#",	//305
    "contextMenuEvent",	//306
    "contextMenuEvent#",	//307
    "count",	//308
    "create",	//309
    "create$#??",	//310
    "createPlugin",	//311
    "createPlugin$#??",	//312
    "createStandardContextMenu",	//313
    "createWindow",	//314
    "createWindow$",	//315
    "currentFrame",	//316
    "currentItem",	//317
    "currentItemIndex",	//318
    "customEvent",	//319
    "databaseQuota",	//320
    "databaseQuotaExceeded",	//321
    "databaseQuotaExceeded#$",	//322
    "databaseUsage",	//323
    "databases",	//324
    "defaultInterface",	//325
    "defaultTextEncoding",	//326
    "description",	//327
    "devType",	//328
    "devicePixelRatio",	//329
    "disconnectNotify",	//330
    "displayName",	//331
    "document",	//332
    "documentElement",	//333
    "domain",	//334
    "downloadRequested",	//335
    "downloadRequested#",	//336
    "dragEnterEvent",	//337
    "dragEnterEvent#",	//338
    "dragLeaveEvent",	//339
    "dragLeaveEvent#",	//340
    "dragMoveEvent",	//341
    "dragMoveEvent#",	//342
    "dropEvent",	//343
    "dropEvent#",	//344
    "element",	//345
    "enablePersistentStorage",	//346
    "enablePersistentStorage$",	//347
    "enabledChange",	//348
    "encloseContentsWith",	//349
    "encloseContentsWith#",	//350
    "encloseContentsWith$",	//351
    "encloseWith",	//352
    "encloseWith#",	//353
    "encloseWith$",	//354
    "enclosingBlockElement",	//355
    "encoding",	//356
    "end",	//357
    "enterEvent",	//358
    "error",	//359
    "errorString",	//360
    "evaluateJavaScript",	//361
    "evaluateJavaScript$",	//362
    "event",	//363
    "event#",	//364
    "eventFilter",	//365
    "expectedSize",	//366
    "extension",	//367
    "extension$",	//368
    "extension$#",	//369
    "extension$##",	//370
    "featurePermissionRequestCanceled",	//371
    "featurePermissionRequestCanceled#$",	//372
    "featurePermissionRequested",	//373
    "featurePermissionRequested#$",	//374
    "fileExtensions",	//375
    "fileName",	//376
    "fileNames",	//377
    "findAll",	//378
    "findAll$",	//379
    "findAllElements",	//380
    "findAllElements$",	//381
    "findFirst",	//382
    "findFirst$",	//383
    "findFirstElement",	//384
    "findFirstElement$",	//385
    "findText",	//386
    "findText$",	//387
    "findText$$",	//388
    "first",	//389
    "firstChild",	//390
    "focusInEvent",	//391
    "focusInEvent#",	//392
    "focusNextPrevChild",	//393
    "focusNextPrevChild$",	//394
    "focusOutEvent",	//395
    "focusOutEvent#",	//396
    "fontChange",	//397
    "fontFamily",	//398
    "fontFamily$",	//399
    "fontSize",	//400
    "fontSize$",	//401
    "forward",	//402
    "forwardItem",	//403
    "forwardItems",	//404
    "forwardItems$",	//405
    "forwardUnsupportedContent",	//406
    "frame",	//407
    "frameAt",	//408
    "frameAt#",	//409
    "frameCreated",	//410
    "frameCreated#",	//411
    "frameName",	//412
    "geometry",	//413
    "geometryChangeRequested",	//414
    "geometryChangeRequested#",	//415
    "globalSettings",	//416
    "goToItem",	//417
    "goToItem#",	//418
    "handle",	//419
    "hasAttribute",	//420
    "hasAttribute$",	//421
    "hasAttributeNS",	//422
    "hasAttributeNS$$",	//423
    "hasAttributes",	//424
    "hasClass",	//425
    "hasClass$",	//426
    "hasFocus",	//427
    "hasSelection",	//428
    "heightForWidth",	//429
    "hideEvent",	//430
    "hideEvent#",	//431
    "history",	//432
    "historyContains",	//433
    "historyContains$",	//434
    "hitTestContent",	//435
    "hitTestContent#",	//436
    "host",	//437
    "icon",	//438
    "iconChanged",	//439
    "iconDatabasePath",	//440
    "iconForUrl",	//441
    "iconForUrl#",	//442
    "imageUrl",	//443
    "initialLayoutCompleted",	//444
    "initialScaleFactor",	//445
    "inputMethodEvent",	//446
    "inputMethodEvent#",	//447
    "inputMethodQuery",	//448
    "inputMethodQuery$",	//449
    "isContentEditable",	//450
    "isContentSelected",	//451
    "isModified",	//452
    "isNull",	//453
    "isUserScalable",	//454
    "isValid",	//455
    "itemAt",	//456
    "itemAt$",	//457
    "items",	//458
    "iterator",	//459
    "iterator#",	//460
    "iterator#$",	//461
    "javaScriptAlert",	//462
    "javaScriptAlert#$",	//463
    "javaScriptConfirm",	//464
    "javaScriptConfirm#$",	//465
    "javaScriptConsoleMessage",	//466
    "javaScriptConsoleMessage$$$",	//467
    "javaScriptPrompt",	//468
    "javaScriptPrompt#$$$",	//469
    "javaScriptWindowObjectCleared",	//470
    "keyPressEvent",	//471
    "keyPressEvent#",	//472
    "keyReleaseEvent",	//473
    "keyReleaseEvent#",	//474
    "languageChange",	//475
    "last",	//476
    "lastChild",	//477
    "lastVisited",	//478
    "leaveEvent",	//479
    "linkClicked",	//480
    "linkClicked#",	//481
    "linkDelegationPolicy",	//482
    "linkElement",	//483
    "linkHovered",	//484
    "linkHovered$$$",	//485
    "linkTargetFrame",	//486
    "linkText",	//487
    "linkTitle",	//488
    "linkUrl",	//489
    "load",	//490
    "load#",	//491
    "load#$",	//492
    "load#$#",	//493
    "loadFinished",	//494
    "loadFinished$",	//495
    "loadProgress",	//496
    "loadProgress$",	//497
    "loadStarted",	//498
    "localName",	//499
    "localSchemes",	//500
    "localStoragePath",	//501
    "mainFrame",	//502
    "maximumItemCount",	//503
    "maximumPagesInCache",	//504
    "maximumScaleFactor",	//505
    "menuBarVisibilityChangeRequested",	//506
    "menuBarVisibilityChangeRequested$",	//507
    "metaData",	//508
    "metaObject",	//509
    "metric",	//510
    "microFocusChanged",	//511
    "mimeTypes",	//512
    "minimumScaleFactor",	//513
    "minimumSizeHint",	//514
    "mouseDoubleClickEvent",	//515
    "mouseDoubleClickEvent#",	//516
    "mouseMoveEvent",	//517
    "mouseMoveEvent#",	//518
    "mousePressEvent",	//519
    "mousePressEvent#",	//520
    "mouseReleaseEvent",	//521
    "mouseReleaseEvent#",	//522
    "moveEvent",	//523
    "name",	//524
    "namespaceUri",	//525
    "networkAccessManager",	//526
    "nextSibling",	//527
    "offlineStorageDefaultQuota",	//528
    "offlineStoragePath",	//529
    "offlineWebApplicationCachePath",	//530
    "offlineWebApplicationCacheQuota",	//531
    "operator!=",	//532
    "operator!=#",	//533
    "operator*",	//534
    "operator+",	//535
    "operator+#",	//536
    "operator+$",	//537
    "operator++",	//538
    "operator++$",	//539
    "operator+=",	//540
    "operator+=#",	//541
    "operator+=$",	//542
    "operator-",	//543
    "operator-#",	//544
    "operator-$",	//545
    "operator--",	//546
    "operator--$",	//547
    "operator-=",	//548
    "operator-=$",	//549
    "operator<",	//550
    "operator<#",	//551
    "operator<=",	//552
    "operator<=#",	//553
    "operator=",	//554
    "operator=#",	//555
    "operator==",	//556
    "operator==#",	//557
    "operator>",	//558
    "operator>#",	//559
    "operator>=",	//560
    "operator>=#",	//561
    "operator[]",	//562
    "operator[]$",	//563
    "origin",	//564
    "originalUrl",	//565
    "page",	//566
    "pageAction",	//567
    "pageAction$",	//568
    "pageChanged",	//569
    "paintEngine",	//570
    "paintEvent",	//571
    "paintEvent#",	//572
    "palette",	//573
    "paletteChange",	//574
    "parent",	//575
    "parentFrame",	//576
    "pixmap",	//577
    "pluginFactory",	//578
    "plugins",	//579
    "port",	//580
    "pos",	//581
    "preferredContentsSize",	//582
    "prefix",	//583
    "prependInside",	//584
    "prependInside#",	//585
    "prependInside$",	//586
    "prependOutside",	//587
    "prependOutside#",	//588
    "prependOutside$",	//589
    "previousSibling",	//590
    "print",	//591
    "print#",	//592
    "printRequested",	//593
    "printRequested#",	//594
    "provisionalLoad",	//595
    "qt_metacall",	//596
    "qt_metacall$$?",	//597
    "qt_metacast",	//598
    "qt_metacast$",	//599
    "refreshPlugins",	//600
    "reload",	//601
    "removeAllChildren",	//602
    "removeAllDatabases",	//603
    "removeAttribute",	//604
    "removeAttribute$",	//605
    "removeAttributeNS",	//606
    "removeAttributeNS$$",	//607
    "removeClass",	//608
    "removeClass$",	//609
    "removeDatabase",	//610
    "removeDatabase#",	//611
    "removeFromDocument",	//612
    "removeLocalScheme",	//613
    "removeLocalScheme$",	//614
    "render",	//615
    "render#",	//616
    "render##",	//617
    "render#$",	//618
    "render#$#",	//619
    "renderHints",	//620
    "renderTreeDump",	//621
    "repaintRequested",	//622
    "repaintRequested#",	//623
    "replace",	//624
    "replace#",	//625
    "replace$",	//626
    "requestedUrl",	//627
    "resetAttribute",	//628
    "resetAttribute$",	//629
    "resetFontFamily",	//630
    "resetFontFamily$",	//631
    "resetFontSize",	//632
    "resetFontSize$",	//633
    "resizeEvent",	//634
    "resizeEvent#",	//635
    "restoreFrameStateRequested",	//636
    "restoreFrameStateRequested#",	//637
    "saveFrameStateRequested",	//638
    "saveFrameStateRequested##",	//639
    "scheme",	//640
    "scroll",	//641
    "scroll$$",	//642
    "scrollBarGeometry",	//643
    "scrollBarGeometry$",	//644
    "scrollBarMaximum",	//645
    "scrollBarMaximum$",	//646
    "scrollBarMinimum",	//647
    "scrollBarMinimum$",	//648
    "scrollBarPolicy",	//649
    "scrollBarPolicy$",	//650
    "scrollBarValue",	//651
    "scrollBarValue$",	//652
    "scrollPosition",	//653
    "scrollRequested",	//654
    "scrollRequested$$#",	//655
    "scrollToAnchor",	//656
    "scrollToAnchor$",	//657
    "securityOrigin",	//658
    "selectedHtml",	//659
    "selectedText",	//660
    "selectionChanged",	//661
    "setActualVisibleContentRect",	//662
    "setActualVisibleContentRect#",	//663
    "setApplicationCacheQuota",	//664
    "setApplicationCacheQuota$",	//665
    "setAttribute",	//666
    "setAttribute$$",	//667
    "setAttributeNS",	//668
    "setAttributeNS$$$",	//669
    "setBaseUrl",	//670
    "setBaseUrl#",	//671
    "setContent",	//672
    "setContent#",	//673
    "setContent#$",	//674
    "setContent#$#",	//675
    "setContentEditable",	//676
    "setContentEditable$",	//677
    "setContentType",	//678
    "setContentType$",	//679
    "setDatabaseQuota",	//680
    "setDatabaseQuota$",	//681
    "setDefaultInterface",	//682
    "setDefaultInterface#",	//683
    "setDefaultTextEncoding",	//684
    "setDefaultTextEncoding$",	//685
    "setDescription",	//686
    "setDescription$",	//687
    "setDomain",	//688
    "setDomain$",	//689
    "setEncoding",	//690
    "setEncoding$",	//691
    "setError",	//692
    "setError$",	//693
    "setErrorString",	//694
    "setErrorString$",	//695
    "setFeaturePermission",	//696
    "setFeaturePermission#$$",	//697
    "setFileExtensions",	//698
    "setFileExtensions?",	//699
    "setFileNames",	//700
    "setFileNames?",	//701
    "setFocus",	//702
    "setFontFamily",	//703
    "setFontFamily$$",	//704
    "setFontSize",	//705
    "setFontSize$$",	//706
    "setForwardUnsupportedContent",	//707
    "setForwardUnsupportedContent$",	//708
    "setFrame",	//709
    "setFrame#",	//710
    "setHtml",	//711
    "setHtml$",	//712
    "setHtml$#",	//713
    "setIconDatabasePath",	//714
    "setIconDatabasePath$",	//715
    "setInnerXml",	//716
    "setInnerXml$",	//717
    "setLinkDelegationPolicy",	//718
    "setLinkDelegationPolicy$",	//719
    "setLocalStoragePath",	//720
    "setLocalStoragePath$",	//721
    "setMaximumItemCount",	//722
    "setMaximumItemCount$",	//723
    "setMaximumPagesInCache",	//724
    "setMaximumPagesInCache$",	//725
    "setMimeTypes",	//726
    "setMimeTypes?",	//727
    "setName",	//728
    "setName$",	//729
    "setNetworkAccessManager",	//730
    "setNetworkAccessManager#",	//731
    "setObjectCacheCapacities",	//732
    "setObjectCacheCapacities$$$",	//733
    "setOfflineStorageDefaultQuota",	//734
    "setOfflineStorageDefaultQuota$",	//735
    "setOfflineStoragePath",	//736
    "setOfflineStoragePath$",	//737
    "setOfflineWebApplicationCachePath",	//738
    "setOfflineWebApplicationCachePath$",	//739
    "setOfflineWebApplicationCacheQuota",	//740
    "setOfflineWebApplicationCacheQuota$",	//741
    "setOuterXml",	//742
    "setOuterXml$",	//743
    "setPage",	//744
    "setPage#",	//745
    "setPalette",	//746
    "setPalette#",	//747
    "setParentFrame",	//748
    "setParentFrame#",	//749
    "setPlainText",	//750
    "setPlainText$",	//751
    "setPluginFactory",	//752
    "setPluginFactory#",	//753
    "setPreferredContentsSize",	//754
    "setPreferredContentsSize#",	//755
    "setRenderHint",	//756
    "setRenderHint$",	//757
    "setRenderHint$$",	//758
    "setRenderHints",	//759
    "setRenderHints$",	//760
    "setScrollBarPolicy",	//761
    "setScrollBarPolicy$$",	//762
    "setScrollBarValue",	//763
    "setScrollBarValue$$",	//764
    "setScrollPosition",	//765
    "setScrollPosition#",	//766
    "setStyleProperty",	//767
    "setStyleProperty$$",	//768
    "setSuggestedFileNames",	//769
    "setSuggestedFileNames?",	//770
    "setTextSizeMultiplier",	//771
    "setTextSizeMultiplier$",	//772
    "setThirdPartyCookiePolicy",	//773
    "setThirdPartyCookiePolicy$",	//774
    "setUrl",	//775
    "setUrl#",	//776
    "setUserData",	//777
    "setUserData#",	//778
    "setUserStyleSheetUrl",	//779
    "setUserStyleSheetUrl#",	//780
    "setView",	//781
    "setView#",	//782
    "setViewportSize",	//783
    "setViewportSize#",	//784
    "setVisible",	//785
    "setWebGraphic",	//786
    "setWebGraphic$#",	//787
    "setZoomFactor",	//788
    "setZoomFactor$",	//789
    "settings",	//790
    "shouldInterruptJavaScript",	//791
    "showEvent",	//792
    "showEvent#",	//793
    "size",	//794
    "sizeHint",	//795
    "staticMetaObject",	//796
    "statusBarMessage",	//797
    "statusBarMessage$",	//798
    "statusBarVisibilityChangeRequested",	//799
    "statusBarVisibilityChangeRequested$",	//800
    "stop",	//801
    "styleChange",	//802
    "styleProperty",	//803
    "styleProperty$$",	//804
    "suggestedFileNames",	//805
    "supportedContentTypes",	//806
    "supportsContentType",	//807
    "supportsContentType$",	//808
    "supportsExtension",	//809
    "supportsExtension$",	//810
    "swallowContextMenuEvent",	//811
    "swallowContextMenuEvent#",	//812
    "tabletEvent",	//813
    "tagName",	//814
    "takeFromDocument",	//815
    "testAttribute",	//816
    "testAttribute$",	//817
    "textSizeMultiplier",	//818
    "thirdPartyCookiePolicy",	//819
    "timerEvent",	//820
    "title",	//821
    "titleChanged",	//822
    "titleChanged$",	//823
    "toHtml",	//824
    "toInnerXml",	//825
    "toList",	//826
    "toOuterXml",	//827
    "toPlainText",	//828
    "toggleClass",	//829
    "toggleClass$",	//830
    "toolBarVisibilityChangeRequested",	//831
    "toolBarVisibilityChangeRequested$",	//832
    "totalBytes",	//833
    "tr",	//834
    "tr$",	//835
    "tr$$",	//836
    "tr$$$",	//837
    "trUtf8",	//838
    "trUtf8$",	//839
    "trUtf8$$",	//840
    "trUtf8$$$",	//841
    "triggerAction",	//842
    "triggerAction$",	//843
    "triggerAction$$",	//844
    "triggerPageAction",	//845
    "triggerPageAction$",	//846
    "triggerPageAction$$",	//847
    "undoStack",	//848
    "unsupportedContent",	//849
    "unsupportedContent#",	//850
    "updatePositionDependentActions",	//851
    "updatePositionDependentActions#",	//852
    "url",	//853
    "urlChanged",	//854
    "urlChanged#",	//855
    "userAgentForUrl",	//856
    "userAgentForUrl#",	//857
    "userData",	//858
    "userStyleSheetUrl",	//859
    "view",	//860
    "viewportAttributesForSize",	//861
    "viewportAttributesForSize#",	//862
    "viewportChangeRequested",	//863
    "viewportSize",	//864
    "webFrame",	//865
    "webGraphic",	//866
    "webGraphic$",	//867
    "wheelEvent",	//868
    "wheelEvent#",	//869
    "windowActivationChange",	//870
    "windowCloseRequested",	//871
    "x11Event",	//872
    "zoomFactor",	//873
    "~ChooseMultipleFilesExtensionOption",	//874
    "~ChooseMultipleFilesExtensionReturn",	//875
    "~ErrorPageExtensionOption",	//876
    "~ErrorPageExtensionReturn",	//877
    "~ExtensionOption",	//878
    "~ExtensionReturn",	//879
    "~MimeType",	//880
    "~Plugin",	//881
    "~QWebDatabase",	//882
    "~QWebElement",	//883
    "~QWebElementCollection",	//884
    "~QWebHistoryInterface",	//885
    "~QWebHistoryItem",	//886
    "~QWebHitTestResult",	//887
    "~QWebInspector",	//888
    "~QWebPage",	//889
    "~QWebPluginFactory",	//890
    "~QWebSecurityOrigin",	//891
    "~QWebView",	//892
    "~ViewportAttributes",	//893
    "~const_iterator",	//894
    "~iterator",	//895
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {16, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 275, 1},	//1 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {16, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 275, 2},	//2 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {16, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 275, 3},	//3 QGlobalSpace::Q_STATIC_TYPE (enum)
    {16, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 275, 4},	//4 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {16, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 275, 5},	//5 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {16, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 6},	//6 QGlobalSpace::LicensedGui (enum)
    {16, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 7},	//7 QGlobalSpace::LicensedXml (enum)
    {16, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 8},	//8 QGlobalSpace::LicensedQt3SupportLight (enum)
    {16, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 9},	//9 QGlobalSpace::LicensedScript (enum)
    {16, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 10},	//10 QGlobalSpace::LicensedOpenVG (enum)
    {16, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 11},	//11 QGlobalSpace::LicensedDBus (enum)
    {16, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 12},	//12 QGlobalSpace::LicensedTest (enum)
    {16, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 13},	//13 QGlobalSpace::LicensedActiveQt (enum)
    {16, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 14},	//14 QGlobalSpace::LicensedScriptTools (enum)
    {16, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 15},	//15 QGlobalSpace::LicensedSvg (enum)
    {16, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 16},	//16 QGlobalSpace::LicensedDeclarative (enum)
    {16, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 17},	//17 QGlobalSpace::LicensedSql (enum)
    {16, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 18},	//18 QGlobalSpace::LicensedOpenGL (enum)
    {16, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 19},	//19 QGlobalSpace::LicensedCore (enum)
    {16, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 20},	//20 QGlobalSpace::QtDebugMsg (enum)
    {16, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 21},	//21 QGlobalSpace::QtWarningMsg (enum)
    {16, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 22},	//22 QGlobalSpace::QtCriticalMsg (enum)
    {16, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 23},	//23 QGlobalSpace::QtFatalMsg (enum)
    {16, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 24},	//24 QGlobalSpace::QtSystemMsg (enum)
    {16, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 25},	//25 QGlobalSpace::LicensedHelp (enum)
    {16, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 26},	//26 QGlobalSpace::LicensedMultimedia (enum)
    {16, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 27},	//27 QGlobalSpace::LicensedQt3Support (enum)
    {16, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 28},	//28 QGlobalSpace::LicensedXmlPatterns (enum)
    {16, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 29},	//29 QGlobalSpace::LicensedNetwork (enum)
    {16, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 30},	//30 QGlobalSpace::__codecvt_ok (enum)
    {16, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 31},	//31 QGlobalSpace::__codecvt_partial (enum)
    {16, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 32},	//32 QGlobalSpace::__codecvt_error (enum)
    {16, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 33},	//33 QGlobalSpace::__codecvt_noconv (enum)
    {28, 363, 1, 1, Smoke::mf_virtual, 229, 0},	//34 QObject::event(QEvent*)
    {28, 365, 3, 2, Smoke::mf_virtual, 229, 0},	//35 QObject::eventFilter(QObject*, QEvent*)
    {28, 820, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//36 QObject::timerEvent(QTimerEvent*)
    {28, 283, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//37 QObject::childEvent(QChildEvent*)
    {28, 319, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//38 QObject::customEvent(QEvent*)
    {28, 294, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//39 QObject::connectNotify(const char*)
    {28, 330, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//40 QObject::disconnectNotify(const char*)
    {48, 148, 12, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 69, 1},	//41 QWebDatabase::QWebDatabase(const QWebDatabase&)
    {48, 554, 12, 1, 0, 68, 2},	//42 QWebDatabase::operator=(const QWebDatabase&)
    {48, 524, 0, 0, Smoke::mf_const, 54, 3},	//43 QWebDatabase::name() const
    {48, 331, 0, 0, Smoke::mf_const, 54, 4},	//44 QWebDatabase::displayName() const
    {48, 366, 0, 0, Smoke::mf_const, 276, 5},	//45 QWebDatabase::expectedSize() const
    {48, 794, 0, 0, Smoke::mf_const, 276, 6},	//46 QWebDatabase::size() const
    {48, 376, 0, 0, Smoke::mf_const, 54, 7},	//47 QWebDatabase::fileName() const
    {48, 564, 0, 0, Smoke::mf_const, 122, 8},	//48 QWebDatabase::origin() const
    {48, 610, 12, 1, Smoke::mf_static, 0, 9},	//49 QWebDatabase::removeDatabase(const QWebDatabase&)
    {48, 603, 0, 0, Smoke::mf_static, 0, 10},	//50 QWebDatabase::removeAllDatabases()
    {48, 882, 0, 0, Smoke::mf_dtor, 0, 11 },	//51 QWebDatabase::~QWebDatabase()
    {49, 150, 0, 0, Smoke::mf_ctor, 72, 1},	//52 QWebElement::QWebElement()
    {49, 150, 14, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 72, 2},	//53 QWebElement::QWebElement(const QWebElement&)
    {49, 554, 14, 1, 0, 71, 3},	//54 QWebElement::operator=(const QWebElement&)
    {49, 556, 14, 1, Smoke::mf_const, 229, 4},	//55 QWebElement::operator==(const QWebElement&) const
    {49, 532, 14, 1, Smoke::mf_const, 229, 5},	//56 QWebElement::operator!=(const QWebElement&) const
    {49, 453, 0, 0, Smoke::mf_const, 229, 6},	//57 QWebElement::isNull() const
    {49, 378, 16, 1, Smoke::mf_const, 74, 7},	//58 QWebElement::findAll(const QString&) const
    {49, 382, 16, 1, Smoke::mf_const, 70, 8},	//59 QWebElement::findFirst(const QString&) const
    {49, 750, 16, 1, 0, 0, 9},	//60 QWebElement::setPlainText(const QString&)
    {49, 828, 0, 0, Smoke::mf_const, 54, 10},	//61 QWebElement::toPlainText() const
    {49, 742, 16, 1, 0, 0, 11},	//62 QWebElement::setOuterXml(const QString&)
    {49, 827, 0, 0, Smoke::mf_const, 54, 12},	//63 QWebElement::toOuterXml() const
    {49, 716, 16, 1, 0, 0, 13},	//64 QWebElement::setInnerXml(const QString&)
    {49, 825, 0, 0, Smoke::mf_const, 54, 14},	//65 QWebElement::toInnerXml() const
    {49, 666, 18, 2, 0, 0, 15},	//66 QWebElement::setAttribute(const QString&, const QString&)
    {49, 668, 21, 3, 0, 0, 16},	//67 QWebElement::setAttributeNS(const QString&, const QString&, const QString&)
    {49, 263, 18, 2, Smoke::mf_const, 54, 17},	//68 QWebElement::attribute(const QString&, const QString&) const
    {49, 266, 21, 3, Smoke::mf_const, 54, 18},	//69 QWebElement::attributeNS(const QString&, const QString&, const QString&) const
    {49, 420, 16, 1, Smoke::mf_const, 229, 19},	//70 QWebElement::hasAttribute(const QString&) const
    {49, 422, 18, 2, Smoke::mf_const, 229, 20},	//71 QWebElement::hasAttributeNS(const QString&, const QString&) const
    {49, 604, 16, 1, 0, 0, 21},	//72 QWebElement::removeAttribute(const QString&)
    {49, 606, 18, 2, 0, 0, 22},	//73 QWebElement::removeAttributeNS(const QString&, const QString&)
    {49, 424, 0, 0, Smoke::mf_const, 229, 23},	//74 QWebElement::hasAttributes() const
    {49, 269, 16, 1, Smoke::mf_const, 57, 24},	//75 QWebElement::attributeNames(const QString&) const
    {49, 287, 0, 0, Smoke::mf_const, 57, 25},	//76 QWebElement::classes() const
    {49, 425, 16, 1, Smoke::mf_const, 229, 26},	//77 QWebElement::hasClass(const QString&) const
    {49, 240, 16, 1, 0, 0, 27},	//78 QWebElement::addClass(const QString&)
    {49, 608, 16, 1, 0, 0, 28},	//79 QWebElement::removeClass(const QString&)
    {49, 829, 16, 1, 0, 0, 29},	//80 QWebElement::toggleClass(const QString&)
    {49, 427, 0, 0, Smoke::mf_const, 229, 30},	//81 QWebElement::hasFocus() const
    {49, 702, 0, 0, 0, 0, 31},	//82 QWebElement::setFocus()
    {49, 413, 0, 0, Smoke::mf_const, 48, 32},	//83 QWebElement::geometry() const
    {49, 814, 0, 0, Smoke::mf_const, 54, 33},	//84 QWebElement::tagName() const
    {49, 583, 0, 0, Smoke::mf_const, 54, 34},	//85 QWebElement::prefix() const
    {49, 499, 0, 0, Smoke::mf_const, 54, 35},	//86 QWebElement::localName() const
    {49, 525, 0, 0, Smoke::mf_const, 54, 36},	//87 QWebElement::namespaceUri() const
    {49, 575, 0, 0, Smoke::mf_const, 70, 37},	//88 QWebElement::parent() const
    {49, 390, 0, 0, Smoke::mf_const, 70, 38},	//89 QWebElement::firstChild() const
    {49, 477, 0, 0, Smoke::mf_const, 70, 39},	//90 QWebElement::lastChild() const
    {49, 527, 0, 0, Smoke::mf_const, 70, 40},	//91 QWebElement::nextSibling() const
    {49, 590, 0, 0, Smoke::mf_const, 70, 41},	//92 QWebElement::previousSibling() const
    {49, 332, 0, 0, Smoke::mf_const, 70, 42},	//93 QWebElement::document() const
    {49, 865, 0, 0, Smoke::mf_const, 83, 43},	//94 QWebElement::webFrame() const
    {49, 253, 16, 1, 0, 0, 44},	//95 QWebElement::appendInside(const QString&)
    {49, 253, 14, 1, 0, 0, 45},	//96 QWebElement::appendInside(const QWebElement&)
    {49, 584, 16, 1, 0, 0, 46},	//97 QWebElement::prependInside(const QString&)
    {49, 584, 14, 1, 0, 0, 47},	//98 QWebElement::prependInside(const QWebElement&)
    {49, 256, 16, 1, 0, 0, 48},	//99 QWebElement::appendOutside(const QString&)
    {49, 256, 14, 1, 0, 0, 49},	//100 QWebElement::appendOutside(const QWebElement&)
    {49, 587, 16, 1, 0, 0, 50},	//101 QWebElement::prependOutside(const QString&)
    {49, 587, 14, 1, 0, 0, 51},	//102 QWebElement::prependOutside(const QWebElement&)
    {49, 349, 14, 1, 0, 0, 52},	//103 QWebElement::encloseContentsWith(const QWebElement&)
    {49, 349, 16, 1, 0, 0, 53},	//104 QWebElement::encloseContentsWith(const QString&)
    {49, 352, 16, 1, 0, 0, 54},	//105 QWebElement::encloseWith(const QString&)
    {49, 352, 14, 1, 0, 0, 55},	//106 QWebElement::encloseWith(const QWebElement&)
    {49, 624, 16, 1, 0, 0, 56},	//107 QWebElement::replace(const QString&)
    {49, 624, 14, 1, 0, 0, 57},	//108 QWebElement::replace(const QWebElement&)
    {49, 291, 0, 0, Smoke::mf_const, 70, 58},	//109 QWebElement::clone() const
    {49, 815, 0, 0, 0, 71, 59},	//110 QWebElement::takeFromDocument()
    {49, 612, 0, 0, 0, 0, 60},	//111 QWebElement::removeFromDocument()
    {49, 602, 0, 0, 0, 0, 61},	//112 QWebElement::removeAllChildren()
    {49, 361, 16, 1, 0, 66, 62},	//113 QWebElement::evaluateJavaScript(const QString&)
    {49, 803, 25, 2, Smoke::mf_const, 54, 63},	//114 QWebElement::styleProperty(const QString&, QWebElement::StyleResolveStrategy) const
    {49, 767, 18, 2, 0, 0, 64},	//115 QWebElement::setStyleProperty(const QString&, const QString&)
    {49, 615, 28, 1, 0, 0, 65},	//116 QWebElement::render(QPainter*)
    {49, 615, 30, 2, 0, 0, 66},	//117 QWebElement::render(QPainter*, const QRect&)
    {49, 263, 16, 1, Smoke::mf_const, 54, 67},	//118 QWebElement::attribute(const QString&) const
    {49, 266, 18, 2, Smoke::mf_const, 54, 68},	//119 QWebElement::attributeNS(const QString&, const QString&) const
    {49, 269, 0, 0, Smoke::mf_const, 57, 69},	//120 QWebElement::attributeNames() const
    {49, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 70},	//121 QWebElement::InlineStyle (enum)
    {49, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 71},	//122 QWebElement::CascadedStyle (enum)
    {49, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 72},	//123 QWebElement::ComputedStyle (enum)
    {49, 883, 0, 0, Smoke::mf_dtor, 0, 73 },	//124 QWebElement::~QWebElement()
    {50, 152, 0, 0, Smoke::mf_ctor, 76, 1},	//125 QWebElementCollection::QWebElementCollection()
    {50, 152, 33, 2, Smoke::mf_ctor, 76, 2},	//126 QWebElementCollection::QWebElementCollection(const QWebElement&, const QString&)
    {50, 152, 36, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 76, 3},	//127 QWebElementCollection::QWebElementCollection(const QWebElementCollection&)
    {50, 554, 36, 1, 0, 75, 4},	//128 QWebElementCollection::operator=(const QWebElementCollection&)
    {50, 535, 36, 1, Smoke::mf_const, 74, 5},	//129 QWebElementCollection::operator+(const QWebElementCollection&) const
    {50, 540, 36, 1, 0, 75, 6},	//130 QWebElementCollection::operator+=(const QWebElementCollection&)
    {50, 251, 36, 1, 0, 0, 7},	//131 QWebElementCollection::append(const QWebElementCollection&)
    {50, 308, 0, 0, Smoke::mf_const, 274, 8},	//132 QWebElementCollection::count() const
    {50, 261, 38, 1, Smoke::mf_const, 70, 9},	//133 QWebElementCollection::at(int) const
    {50, 562, 38, 1, Smoke::mf_const, 70, 10},	//134 QWebElementCollection::operator[](int) const
    {50, 389, 0, 0, Smoke::mf_const, 70, 11},	//135 QWebElementCollection::first() const
    {50, 476, 0, 0, Smoke::mf_const, 70, 12},	//136 QWebElementCollection::last() const
    {50, 826, 0, 0, Smoke::mf_const, 23, 13},	//137 QWebElementCollection::toList() const
    {50, 276, 0, 0, Smoke::mf_const, 77, 14},	//138 QWebElementCollection::begin() const
    {50, 357, 0, 0, Smoke::mf_const, 77, 15},	//139 QWebElementCollection::end() const
    {50, 295, 0, 0, Smoke::mf_const, 77, 16},	//140 QWebElementCollection::constBegin() const
    {50, 296, 0, 0, Smoke::mf_const, 77, 17},	//141 QWebElementCollection::constEnd() const
    {50, 276, 0, 0, 0, 80, 18},	//142 QWebElementCollection::begin()
    {50, 357, 0, 0, 0, 80, 19},	//143 QWebElementCollection::end()
    {50, 884, 0, 0, Smoke::mf_dtor, 0, 20 },	//144 QWebElementCollection::~QWebElementCollection()
    {51, 297, 40, 2, Smoke::mf_ctor, 79, 1},	//145 QWebElementCollection::const_iterator::const_iterator(const QWebElementCollection*, int)
    {51, 297, 43, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 79, 2},	//146 QWebElementCollection::const_iterator::const_iterator(const QWebElementCollection::const_iterator&)
    {51, 534, 0, 0, Smoke::mf_const, 249, 3},	//147 QWebElementCollection::const_iterator::operator*() const
    {51, 556, 43, 1, Smoke::mf_const, 229, 4},	//148 QWebElementCollection::const_iterator::operator==(const QWebElementCollection::const_iterator&) const
    {51, 532, 43, 1, Smoke::mf_const, 229, 5},	//149 QWebElementCollection::const_iterator::operator!=(const QWebElementCollection::const_iterator&) const
    {51, 550, 43, 1, Smoke::mf_const, 229, 6},	//150 QWebElementCollection::const_iterator::operator<(const QWebElementCollection::const_iterator&) const
    {51, 552, 43, 1, Smoke::mf_const, 229, 7},	//151 QWebElementCollection::const_iterator::operator<=(const QWebElementCollection::const_iterator&) const
    {51, 558, 43, 1, Smoke::mf_const, 229, 8},	//152 QWebElementCollection::const_iterator::operator>(const QWebElementCollection::const_iterator&) const
    {51, 560, 43, 1, Smoke::mf_const, 229, 9},	//153 QWebElementCollection::const_iterator::operator>=(const QWebElementCollection::const_iterator&) const
    {51, 538, 0, 0, 0, 78, 10},	//154 QWebElementCollection::const_iterator::operator++()
    {51, 538, 38, 1, 0, 77, 11},	//155 QWebElementCollection::const_iterator::operator++(int)
    {51, 546, 0, 0, 0, 78, 12},	//156 QWebElementCollection::const_iterator::operator--()
    {51, 546, 38, 1, 0, 77, 13},	//157 QWebElementCollection::const_iterator::operator--(int)
    {51, 540, 38, 1, 0, 78, 14},	//158 QWebElementCollection::const_iterator::operator+=(int)
    {51, 548, 38, 1, 0, 78, 15},	//159 QWebElementCollection::const_iterator::operator-=(int)
    {51, 535, 38, 1, Smoke::mf_const, 77, 16},	//160 QWebElementCollection::const_iterator::operator+(int) const
    {51, 543, 38, 1, Smoke::mf_const, 77, 17},	//161 QWebElementCollection::const_iterator::operator-(int) const
    {51, 543, 45, 1, Smoke::mf_const, 274, 18},	//162 QWebElementCollection::const_iterator::operator-(QWebElementCollection::const_iterator) const
    {51, 894, 0, 0, Smoke::mf_dtor, 0, 19 },	//163 QWebElementCollection::const_iterator::~const_iterator()
    {52, 459, 40, 2, Smoke::mf_ctor, 82, 1},	//164 QWebElementCollection::iterator::iterator(const QWebElementCollection*, int)
    {52, 459, 47, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 82, 2},	//165 QWebElementCollection::iterator::iterator(const QWebElementCollection::iterator&)
    {52, 534, 0, 0, Smoke::mf_const, 70, 3},	//166 QWebElementCollection::iterator::operator*() const
    {52, 556, 47, 1, Smoke::mf_const, 229, 4},	//167 QWebElementCollection::iterator::operator==(const QWebElementCollection::iterator&) const
    {52, 532, 47, 1, Smoke::mf_const, 229, 5},	//168 QWebElementCollection::iterator::operator!=(const QWebElementCollection::iterator&) const
    {52, 550, 47, 1, Smoke::mf_const, 229, 6},	//169 QWebElementCollection::iterator::operator<(const QWebElementCollection::iterator&) const
    {52, 552, 47, 1, Smoke::mf_const, 229, 7},	//170 QWebElementCollection::iterator::operator<=(const QWebElementCollection::iterator&) const
    {52, 558, 47, 1, Smoke::mf_const, 229, 8},	//171 QWebElementCollection::iterator::operator>(const QWebElementCollection::iterator&) const
    {52, 560, 47, 1, Smoke::mf_const, 229, 9},	//172 QWebElementCollection::iterator::operator>=(const QWebElementCollection::iterator&) const
    {52, 538, 0, 0, 0, 81, 10},	//173 QWebElementCollection::iterator::operator++()
    {52, 538, 38, 1, 0, 80, 11},	//174 QWebElementCollection::iterator::operator++(int)
    {52, 546, 0, 0, 0, 81, 12},	//175 QWebElementCollection::iterator::operator--()
    {52, 546, 38, 1, 0, 80, 13},	//176 QWebElementCollection::iterator::operator--(int)
    {52, 540, 38, 1, 0, 81, 14},	//177 QWebElementCollection::iterator::operator+=(int)
    {52, 548, 38, 1, 0, 81, 15},	//178 QWebElementCollection::iterator::operator-=(int)
    {52, 535, 38, 1, Smoke::mf_const, 80, 16},	//179 QWebElementCollection::iterator::operator+(int) const
    {52, 543, 38, 1, Smoke::mf_const, 80, 17},	//180 QWebElementCollection::iterator::operator-(int) const
    {52, 543, 49, 1, Smoke::mf_const, 274, 18},	//181 QWebElementCollection::iterator::operator-(QWebElementCollection::iterator) const
    {52, 895, 0, 0, Smoke::mf_dtor, 0, 19 },	//182 QWebElementCollection::iterator::~iterator()
    {53, 509, 0, 0, Smoke::mf_const, 234, 1},	//183 QWebFrame::metaObject() const
    {53, 598, 10, 1, 0, 279, 2},	//184 QWebFrame::qt_metacast(const char*)
    {53, 834, 51, 2, Smoke::mf_static, 54, 3},	//185 QWebFrame::tr(const char*, const char*)
    {53, 838, 51, 2, Smoke::mf_static, 54, 4},	//186 QWebFrame::trUtf8(const char*, const char*)
    {53, 834, 54, 3, Smoke::mf_static, 54, 5},	//187 QWebFrame::tr(const char*, const char*, int)
    {53, 838, 54, 3, Smoke::mf_static, 54, 6},	//188 QWebFrame::trUtf8(const char*, const char*, int)
    {53, 596, 58, 3, 0, 274, 7},	//189 QWebFrame::qt_metacall(QMetaObject::Call, int, void**)
    {53, 566, 0, 0, Smoke::mf_const, 94, 8},	//190 QWebFrame::page() const
    {53, 490, 62, 1, 0, 0, 9},	//191 QWebFrame::load(const QUrl&)
    {53, 490, 64, 3, 0, 0, 10},	//192 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
    {53, 711, 68, 2, 0, 0, 11},	//193 QWebFrame::setHtml(const QString&, const QUrl&)
    {53, 672, 71, 3, 0, 0, 12},	//194 QWebFrame::setContent(const QByteArray&, const QString&, const QUrl&)
    {53, 246, 75, 2, 0, 0, 13},	//195 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*)
    {53, 246, 78, 3, 0, 0, 14},	//196 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*, QScriptEngine::ValueOwnership)
    {53, 824, 0, 0, Smoke::mf_const, 54, 15},	//197 QWebFrame::toHtml() const
    {53, 828, 0, 0, Smoke::mf_const, 54, 16},	//198 QWebFrame::toPlainText() const
    {53, 621, 0, 0, Smoke::mf_const, 54, 17},	//199 QWebFrame::renderTreeDump() const
    {53, 821, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 18},	//200 QWebFrame::title() const
    {53, 775, 62, 1, Smoke::mf_property, 0, 19},	//201 QWebFrame::setUrl(const QUrl&)
    {53, 853, 0, 0, Smoke::mf_const|Smoke::mf_property, 64, 20},	//202 QWebFrame::url() const
    {53, 627, 0, 0, Smoke::mf_const|Smoke::mf_property, 64, 21},	//203 QWebFrame::requestedUrl() const
    {53, 275, 0, 0, Smoke::mf_const|Smoke::mf_property, 64, 22},	//204 QWebFrame::baseUrl() const
    {53, 438, 0, 0, Smoke::mf_const|Smoke::mf_property, 19, 23},	//205 QWebFrame::icon() const
    {53, 508, 0, 0, Smoke::mf_const, 33, 24},	//206 QWebFrame::metaData() const
    {53, 412, 0, 0, Smoke::mf_const, 54, 25},	//207 QWebFrame::frameName() const
    {53, 576, 0, 0, Smoke::mf_const, 83, 26},	//208 QWebFrame::parentFrame() const
    {53, 284, 0, 0, Smoke::mf_const, 24, 27},	//209 QWebFrame::childFrames() const
    {53, 649, 82, 1, Smoke::mf_const, 185, 28},	//210 QWebFrame::scrollBarPolicy(Qt::Orientation) const
    {53, 761, 84, 2, 0, 0, 29},	//211 QWebFrame::setScrollBarPolicy(Qt::Orientation, Qt::ScrollBarPolicy)
    {53, 763, 87, 2, 0, 0, 30},	//212 QWebFrame::setScrollBarValue(Qt::Orientation, int)
    {53, 651, 82, 1, Smoke::mf_const, 274, 31},	//213 QWebFrame::scrollBarValue(Qt::Orientation) const
    {53, 647, 82, 1, Smoke::mf_const, 274, 32},	//214 QWebFrame::scrollBarMinimum(Qt::Orientation) const
    {53, 645, 82, 1, Smoke::mf_const, 274, 33},	//215 QWebFrame::scrollBarMaximum(Qt::Orientation) const
    {53, 643, 82, 1, Smoke::mf_const, 48, 34},	//216 QWebFrame::scrollBarGeometry(Qt::Orientation) const
    {53, 641, 90, 2, 0, 0, 35},	//217 QWebFrame::scroll(int, int)
    {53, 653, 0, 0, Smoke::mf_const|Smoke::mf_property, 46, 36},	//218 QWebFrame::scrollPosition() const
    {53, 765, 93, 1, Smoke::mf_property, 0, 37},	//219 QWebFrame::setScrollPosition(const QPoint&)
    {53, 656, 16, 1, 0, 0, 38},	//220 QWebFrame::scrollToAnchor(const QString&)
    {53, 615, 28, 1, 0, 0, 39},	//221 QWebFrame::render(QPainter*)
    {53, 615, 95, 2, 0, 0, 40},	//222 QWebFrame::render(QPainter*, const QRegion&)
    {53, 615, 98, 3, 0, 0, 41},	//223 QWebFrame::render(QPainter*, QWebFrame::RenderLayer, const QRegion&)
    {53, 771, 102, 1, 0, 0, 42},	//224 QWebFrame::setTextSizeMultiplier(double)
    {53, 818, 0, 0, Smoke::mf_const, 273, 43},	//225 QWebFrame::textSizeMultiplier() const
    {53, 873, 0, 0, Smoke::mf_const, 273, 44},	//226 QWebFrame::zoomFactor() const
    {53, 788, 102, 1, 0, 0, 45},	//227 QWebFrame::setZoomFactor(double)
    {53, 427, 0, 0, Smoke::mf_const|Smoke::mf_property, 229, 46},	//228 QWebFrame::hasFocus() const
    {53, 702, 0, 0, 0, 0, 47},	//229 QWebFrame::setFocus()
    {53, 581, 0, 0, Smoke::mf_const, 46, 48},	//230 QWebFrame::pos() const
    {53, 413, 0, 0, Smoke::mf_const, 48, 49},	//231 QWebFrame::geometry() const
    {53, 303, 0, 0, Smoke::mf_const|Smoke::mf_property, 53, 50},	//232 QWebFrame::contentsSize() const
    {53, 333, 0, 0, Smoke::mf_const, 70, 51},	//233 QWebFrame::documentElement() const
    {53, 380, 16, 1, Smoke::mf_const, 74, 52},	//234 QWebFrame::findAllElements(const QString&) const
    {53, 384, 16, 1, Smoke::mf_const, 70, 53},	//235 QWebFrame::findFirstElement(const QString&) const
    {53, 435, 93, 1, Smoke::mf_const, 90, 54},	//236 QWebFrame::hitTestContent(const QPoint&) const
    {53, 363, 1, 1, 0, 229, 55},	//237 QWebFrame::event(QEvent*)
    {53, 658, 0, 0, Smoke::mf_const, 122, 56},	//238 QWebFrame::securityOrigin() const
    {53, 361, 16, 1, Smoke::mf_slot, 66, 57},	//239 QWebFrame::evaluateJavaScript(const QString&)
    {53, 591, 104, 1, Smoke::mf_const|Smoke::mf_slot, 0, 58},	//240 QWebFrame::print(QPrinter*) const
    {53, 470, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//241 QWebFrame::javaScriptWindowObjectCleared()
    {53, 595, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//242 QWebFrame::provisionalLoad()
    {53, 822, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//243 QWebFrame::titleChanged(const QString&)
    {53, 854, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 62},	//244 QWebFrame::urlChanged(const QUrl&)
    {53, 444, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//245 QWebFrame::initialLayoutCompleted()
    {53, 439, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//246 QWebFrame::iconChanged()
    {53, 304, 106, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//247 QWebFrame::contentsSizeChanged(const QSize&)
    {53, 498, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//248 QWebFrame::loadStarted()
    {53, 494, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 67},	//249 QWebFrame::loadFinished(bool)
    {53, 569, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 68},	//250 QWebFrame::pageChanged()
    {53, 834, 10, 1, Smoke::mf_static, 54, 69},	//251 QWebFrame::tr(const char*)
    {53, 838, 10, 1, Smoke::mf_static, 54, 70},	//252 QWebFrame::trUtf8(const char*)
    {53, 490, 110, 1, 0, 0, 71},	//253 QWebFrame::load(const QNetworkRequest&)
    {53, 490, 112, 2, 0, 0, 72},	//254 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
    {53, 711, 16, 1, 0, 0, 73},	//255 QWebFrame::setHtml(const QString&)
    {53, 672, 115, 1, 0, 0, 74},	//256 QWebFrame::setContent(const QByteArray&)
    {53, 672, 117, 2, 0, 0, 75},	//257 QWebFrame::setContent(const QByteArray&, const QString&)
    {53, 615, 120, 2, 0, 0, 76},	//258 QWebFrame::render(QPainter*, QWebFrame::RenderLayer)
    {53, 796, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 233, 77},	//259 QWebFrame::staticMetaObject() const
    {53, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 78},	//260 QWebFrame::ContentsLayer (enum)
    {53, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 79},	//261 QWebFrame::ScrollBarLayer (enum)
    {53, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 80},	//262 QWebFrame::PanIconLayer (enum)
    {53, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 81},	//263 QWebFrame::AllLayers (enum)
    {54, 288, 0, 0, 0, 0, 1},	//264 QWebHistory::clear()
    {54, 458, 0, 0, Smoke::mf_const, 25, 2},	//265 QWebHistory::items() const
    {54, 273, 38, 1, Smoke::mf_const, 25, 3},	//266 QWebHistory::backItems(int) const
    {54, 404, 38, 1, Smoke::mf_const, 25, 4},	//267 QWebHistory::forwardItems(int) const
    {54, 279, 0, 0, Smoke::mf_const, 229, 5},	//268 QWebHistory::canGoBack() const
    {54, 280, 0, 0, Smoke::mf_const, 229, 6},	//269 QWebHistory::canGoForward() const
    {54, 271, 0, 0, 0, 0, 7},	//270 QWebHistory::back()
    {54, 402, 0, 0, 0, 0, 8},	//271 QWebHistory::forward()
    {54, 417, 123, 1, 0, 0, 9},	//272 QWebHistory::goToItem(const QWebHistoryItem&)
    {54, 272, 0, 0, Smoke::mf_const, 87, 10},	//273 QWebHistory::backItem() const
    {54, 317, 0, 0, Smoke::mf_const, 87, 11},	//274 QWebHistory::currentItem() const
    {54, 403, 0, 0, Smoke::mf_const, 87, 12},	//275 QWebHistory::forwardItem() const
    {54, 456, 38, 1, Smoke::mf_const, 87, 13},	//276 QWebHistory::itemAt(int) const
    {54, 318, 0, 0, Smoke::mf_const, 274, 14},	//277 QWebHistory::currentItemIndex() const
    {54, 308, 0, 0, Smoke::mf_const, 274, 15},	//278 QWebHistory::count() const
    {54, 503, 0, 0, Smoke::mf_const, 274, 16},	//279 QWebHistory::maximumItemCount() const
    {54, 722, 38, 1, 0, 0, 17},	//280 QWebHistory::setMaximumItemCount(int)
    {55, 509, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 234, 1},	//281 QWebHistoryInterface::metaObject() const
    {55, 598, 10, 1, Smoke::mf_virtual, 279, 2},	//282 QWebHistoryInterface::qt_metacast(const char*)
    {55, 834, 51, 2, Smoke::mf_static, 54, 3},	//283 QWebHistoryInterface::tr(const char*, const char*)
    {55, 838, 51, 2, Smoke::mf_static, 54, 4},	//284 QWebHistoryInterface::trUtf8(const char*, const char*)
    {55, 834, 54, 3, Smoke::mf_static, 54, 5},	//285 QWebHistoryInterface::tr(const char*, const char*, int)
    {55, 838, 54, 3, Smoke::mf_static, 54, 6},	//286 QWebHistoryInterface::trUtf8(const char*, const char*, int)
    {55, 596, 58, 3, Smoke::mf_virtual, 274, 7},	//287 QWebHistoryInterface::qt_metacall(QMetaObject::Call, int, void**)
    {55, 155, 125, 1, Smoke::mf_ctor, 86, 8},	//288 QWebHistoryInterface::QWebHistoryInterface(QObject*)
    {55, 682, 127, 1, Smoke::mf_static, 0, 9},	//289 QWebHistoryInterface::setDefaultInterface(QWebHistoryInterface*)
    {55, 325, 0, 0, Smoke::mf_static, 86, 10},	//290 QWebHistoryInterface::defaultInterface()
    {55, 433, 16, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 229, 11},	//291 QWebHistoryInterface::historyContains(const QString&) const [pure virtual]
    {55, 242, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//292 QWebHistoryInterface::addHistoryEntry(const QString&) [pure virtual]
    {55, 834, 10, 1, Smoke::mf_static, 54, 13},	//293 QWebHistoryInterface::tr(const char*)
    {55, 838, 10, 1, Smoke::mf_static, 54, 14},	//294 QWebHistoryInterface::trUtf8(const char*)
    {55, 155, 0, 0, Smoke::mf_ctor, 86, 15},	//295 QWebHistoryInterface::QWebHistoryInterface()
    {55, 796, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 233, 16},	//296 QWebHistoryInterface::staticMetaObject() const
    {55, 885, 0, 0, Smoke::mf_dtor, 0, 17 },	//297 QWebHistoryInterface::~QWebHistoryInterface()
    {56, 157, 123, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 89, 1},	//298 QWebHistoryItem::QWebHistoryItem(const QWebHistoryItem&)
    {56, 554, 123, 1, 0, 88, 2},	//299 QWebHistoryItem::operator=(const QWebHistoryItem&)
    {56, 565, 0, 0, Smoke::mf_const, 64, 3},	//300 QWebHistoryItem::originalUrl() const
    {56, 853, 0, 0, Smoke::mf_const, 64, 4},	//301 QWebHistoryItem::url() const
    {56, 821, 0, 0, Smoke::mf_const, 54, 5},	//302 QWebHistoryItem::title() const
    {56, 478, 0, 0, Smoke::mf_const, 8, 6},	//303 QWebHistoryItem::lastVisited() const
    {56, 438, 0, 0, Smoke::mf_const, 19, 7},	//304 QWebHistoryItem::icon() const
    {56, 858, 0, 0, Smoke::mf_const, 66, 8},	//305 QWebHistoryItem::userData() const
    {56, 777, 129, 1, 0, 0, 9},	//306 QWebHistoryItem::setUserData(const QVariant&)
    {56, 455, 0, 0, Smoke::mf_const, 229, 10},	//307 QWebHistoryItem::isValid() const
    {56, 886, 0, 0, Smoke::mf_dtor, 0, 11 },	//308 QWebHistoryItem::~QWebHistoryItem()
    {57, 159, 0, 0, Smoke::mf_ctor, 92, 1},	//309 QWebHitTestResult::QWebHitTestResult()
    {57, 159, 131, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 92, 2},	//310 QWebHitTestResult::QWebHitTestResult(const QWebHitTestResult&)
    {57, 554, 131, 1, 0, 91, 3},	//311 QWebHitTestResult::operator=(const QWebHitTestResult&)
    {57, 453, 0, 0, Smoke::mf_const, 229, 4},	//312 QWebHitTestResult::isNull() const
    {57, 581, 0, 0, Smoke::mf_const, 46, 5},	//313 QWebHitTestResult::pos() const
    {57, 277, 0, 0, Smoke::mf_const, 48, 6},	//314 QWebHitTestResult::boundingRect() const
    {57, 355, 0, 0, Smoke::mf_const, 70, 7},	//315 QWebHitTestResult::enclosingBlockElement() const
    {57, 821, 0, 0, Smoke::mf_const, 54, 8},	//316 QWebHitTestResult::title() const
    {57, 487, 0, 0, Smoke::mf_const, 54, 9},	//317 QWebHitTestResult::linkText() const
    {57, 489, 0, 0, Smoke::mf_const, 64, 10},	//318 QWebHitTestResult::linkUrl() const
    {57, 488, 0, 0, Smoke::mf_const, 64, 11},	//319 QWebHitTestResult::linkTitle() const
    {57, 486, 0, 0, Smoke::mf_const, 83, 12},	//320 QWebHitTestResult::linkTargetFrame() const
    {57, 483, 0, 0, Smoke::mf_const, 70, 13},	//321 QWebHitTestResult::linkElement() const
    {57, 250, 0, 0, Smoke::mf_const, 54, 14},	//322 QWebHitTestResult::alternateText() const
    {57, 443, 0, 0, Smoke::mf_const, 64, 15},	//323 QWebHitTestResult::imageUrl() const
    {57, 577, 0, 0, Smoke::mf_const, 45, 16},	//324 QWebHitTestResult::pixmap() const
    {57, 450, 0, 0, Smoke::mf_const, 229, 17},	//325 QWebHitTestResult::isContentEditable() const
    {57, 451, 0, 0, Smoke::mf_const, 229, 18},	//326 QWebHitTestResult::isContentSelected() const
    {57, 345, 0, 0, Smoke::mf_const, 70, 19},	//327 QWebHitTestResult::element() const
    {57, 407, 0, 0, Smoke::mf_const, 83, 20},	//328 QWebHitTestResult::frame() const
    {57, 887, 0, 0, Smoke::mf_dtor, 0, 21 },	//329 QWebHitTestResult::~QWebHitTestResult()
    {58, 509, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 234, 1},	//330 QWebInspector::metaObject() const
    {58, 598, 10, 1, Smoke::mf_virtual, 279, 2},	//331 QWebInspector::qt_metacast(const char*)
    {58, 834, 51, 2, Smoke::mf_static, 54, 3},	//332 QWebInspector::tr(const char*, const char*)
    {58, 838, 51, 2, Smoke::mf_static, 54, 4},	//333 QWebInspector::trUtf8(const char*, const char*)
    {58, 834, 54, 3, Smoke::mf_static, 54, 5},	//334 QWebInspector::tr(const char*, const char*, int)
    {58, 838, 54, 3, Smoke::mf_static, 54, 6},	//335 QWebInspector::trUtf8(const char*, const char*, int)
    {58, 596, 58, 3, Smoke::mf_virtual, 274, 7},	//336 QWebInspector::qt_metacall(QMetaObject::Call, int, void**)
    {58, 161, 133, 1, Smoke::mf_ctor, 93, 8},	//337 QWebInspector::QWebInspector(QWidget*)
    {58, 744, 135, 1, 0, 0, 9},	//338 QWebInspector::setPage(QWebPage*)
    {58, 566, 0, 0, Smoke::mf_const, 94, 10},	//339 QWebInspector::page() const
    {58, 795, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 53, 11},	//340 QWebInspector::sizeHint() const
    {58, 363, 1, 1, Smoke::mf_virtual, 229, 12},	//341 QWebInspector::event(QEvent*)
    {58, 634, 137, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//342 QWebInspector::resizeEvent(QResizeEvent*)
    {58, 792, 139, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//343 QWebInspector::showEvent(QShowEvent*)
    {58, 430, 141, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//344 QWebInspector::hideEvent(QHideEvent*)
    {58, 292, 143, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//345 QWebInspector::closeEvent(QCloseEvent*)
    {58, 834, 10, 1, Smoke::mf_static, 54, 17},	//346 QWebInspector::tr(const char*)
    {58, 838, 10, 1, Smoke::mf_static, 54, 18},	//347 QWebInspector::trUtf8(const char*)
    {58, 161, 0, 0, Smoke::mf_ctor, 93, 19},	//348 QWebInspector::QWebInspector()
    {58, 796, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 233, 20},	//349 QWebInspector::staticMetaObject() const
    {58, 888, 0, 0, Smoke::mf_dtor, 0, 21 },	//350 QWebInspector::~QWebInspector()
    {59, 509, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 234, 1},	//351 QWebPage::metaObject() const
    {59, 598, 10, 1, Smoke::mf_virtual, 279, 2},	//352 QWebPage::qt_metacast(const char*)
    {59, 834, 51, 2, Smoke::mf_static, 54, 3},	//353 QWebPage::tr(const char*, const char*)
    {59, 838, 51, 2, Smoke::mf_static, 54, 4},	//354 QWebPage::trUtf8(const char*, const char*)
    {59, 834, 54, 3, Smoke::mf_static, 54, 5},	//355 QWebPage::tr(const char*, const char*, int)
    {59, 838, 54, 3, Smoke::mf_static, 54, 6},	//356 QWebPage::trUtf8(const char*, const char*, int)
    {59, 596, 58, 3, Smoke::mf_virtual, 274, 7},	//357 QWebPage::qt_metacall(QMetaObject::Call, int, void**)
    {59, 163, 125, 1, Smoke::mf_ctor, 94, 8},	//358 QWebPage::QWebPage(QObject*)
    {59, 502, 0, 0, Smoke::mf_const, 83, 9},	//359 QWebPage::mainFrame() const
    {59, 316, 0, 0, Smoke::mf_const, 83, 10},	//360 QWebPage::currentFrame() const
    {59, 408, 93, 1, Smoke::mf_const, 83, 11},	//361 QWebPage::frameAt(const QPoint&) const
    {59, 432, 0, 0, Smoke::mf_const, 85, 12},	//362 QWebPage::history() const
    {59, 790, 0, 0, Smoke::mf_const, 125, 13},	//363 QWebPage::settings() const
    {59, 781, 133, 1, 0, 0, 14},	//364 QWebPage::setView(QWidget*)
    {59, 860, 0, 0, Smoke::mf_const, 134, 15},	//365 QWebPage::view() const
    {59, 452, 0, 0, Smoke::mf_const|Smoke::mf_property, 229, 16},	//366 QWebPage::isModified() const
    {59, 848, 0, 0, Smoke::mf_const, 63, 17},	//367 QWebPage::undoStack() const
    {59, 730, 145, 1, 0, 0, 18},	//368 QWebPage::setNetworkAccessManager(QNetworkAccessManager*)
    {59, 526, 0, 0, Smoke::mf_const, 34, 19},	//369 QWebPage::networkAccessManager() const
    {59, 752, 147, 1, 0, 0, 20},	//370 QWebPage::setPluginFactory(QWebPluginFactory*)
    {59, 578, 0, 0, Smoke::mf_const, 114, 21},	//371 QWebPage::pluginFactory() const
    {59, 833, 0, 0, Smoke::mf_const, 278, 22},	//372 QWebPage::totalBytes() const
    {59, 278, 0, 0, Smoke::mf_const, 278, 23},	//373 QWebPage::bytesReceived() const
    {59, 428, 0, 0, Smoke::mf_const|Smoke::mf_property, 229, 24},	//374 QWebPage::hasSelection() const
    {59, 660, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 25},	//375 QWebPage::selectedText() const
    {59, 659, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 26},	//376 QWebPage::selectedHtml() const
    {59, 237, 149, 1, Smoke::mf_const, 1, 27},	//377 QWebPage::action(QWebPage::WebAction) const
    {59, 842, 151, 2, Smoke::mf_virtual, 0, 28},	//378 QWebPage::triggerAction(QWebPage::WebAction, bool)
    {59, 864, 0, 0, Smoke::mf_const|Smoke::mf_property, 53, 29},	//379 QWebPage::viewportSize() const
    {59, 783, 106, 1, Smoke::mf_const|Smoke::mf_property, 0, 30},	//380 QWebPage::setViewportSize(const QSize&) const
    {59, 861, 106, 1, Smoke::mf_const, 108, 31},	//381 QWebPage::viewportAttributesForSize(const QSize&) const
    {59, 582, 0, 0, Smoke::mf_const|Smoke::mf_property, 53, 32},	//382 QWebPage::preferredContentsSize() const
    {59, 754, 106, 1, Smoke::mf_const|Smoke::mf_property, 0, 33},	//383 QWebPage::setPreferredContentsSize(const QSize&) const
    {59, 662, 154, 1, Smoke::mf_const, 0, 34},	//384 QWebPage::setActualVisibleContentRect(const QRect&) const
    {59, 363, 1, 1, Smoke::mf_virtual, 229, 35},	//385 QWebPage::event(QEvent*)
    {59, 393, 108, 1, 0, 229, 36},	//386 QWebPage::focusNextPrevChild(bool)
    {59, 448, 156, 1, Smoke::mf_const, 66, 37},	//387 QWebPage::inputMethodQuery(Qt::InputMethodQuery) const
    {59, 386, 158, 2, 0, 229, 38},	//388 QWebPage::findText(const QString&, QFlags<QWebPage::FindFlag>)
    {59, 707, 108, 1, Smoke::mf_property, 0, 39},	//389 QWebPage::setForwardUnsupportedContent(bool)
    {59, 406, 0, 0, Smoke::mf_const|Smoke::mf_property, 229, 40},	//390 QWebPage::forwardUnsupportedContent() const
    {59, 718, 161, 1, Smoke::mf_property, 0, 41},	//391 QWebPage::setLinkDelegationPolicy(QWebPage::LinkDelegationPolicy)
    {59, 482, 0, 0, Smoke::mf_const|Smoke::mf_property, 105, 42},	//392 QWebPage::linkDelegationPolicy() const
    {59, 746, 163, 1, Smoke::mf_property, 0, 43},	//393 QWebPage::setPalette(const QPalette&)
    {59, 573, 0, 0, Smoke::mf_const|Smoke::mf_property, 44, 44},	//394 QWebPage::palette() const
    {59, 676, 108, 1, Smoke::mf_property, 0, 45},	//395 QWebPage::setContentEditable(bool)
    {59, 450, 0, 0, Smoke::mf_const|Smoke::mf_property, 229, 46},	//396 QWebPage::isContentEditable() const
    {59, 811, 165, 1, 0, 229, 47},	//397 QWebPage::swallowContextMenuEvent(QContextMenuEvent*)
    {59, 851, 93, 1, 0, 0, 48},	//398 QWebPage::updatePositionDependentActions(const QPoint&)
    {59, 313, 0, 0, 0, 29, 49},	//399 QWebPage::createStandardContextMenu()
    {59, 696, 167, 3, 0, 0, 50},	//400 QWebPage::setFeaturePermission(QWebFrame*, QWebPage::Feature, QWebPage::PermissionPolicy)
    {59, 806, 0, 0, Smoke::mf_const, 57, 51},	//401 QWebPage::supportedContentTypes() const
    {59, 807, 16, 1, Smoke::mf_const, 229, 52},	//402 QWebPage::supportsContentType(const QString&) const
    {59, 367, 171, 3, Smoke::mf_virtual, 229, 53},	//403 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*)
    {59, 809, 175, 1, Smoke::mf_const|Smoke::mf_virtual, 229, 54},	//404 QWebPage::supportsExtension(QWebPage::Extension) const
    {59, 419, 0, 0, Smoke::mf_const, 113, 55},	//405 QWebPage::handle() const
    {59, 791, 0, 0, Smoke::mf_slot, 229, 56},	//406 QWebPage::shouldInterruptJavaScript()
    {59, 498, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//407 QWebPage::loadStarted()
    {59, 496, 38, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 58},	//408 QWebPage::loadProgress(int)
    {59, 494, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//409 QWebPage::loadFinished(bool)
    {59, 484, 21, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//410 QWebPage::linkHovered(const QString&, const QString&, const QString&)
    {59, 797, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//411 QWebPage::statusBarMessage(const QString&)
    {59, 661, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 62},	//412 QWebPage::selectionChanged()
    {59, 410, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//413 QWebPage::frameCreated(QWebFrame*)
    {59, 414, 154, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//414 QWebPage::geometryChangeRequested(const QRect&)
    {59, 622, 154, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//415 QWebPage::repaintRequested(const QRect&)
    {59, 654, 179, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//416 QWebPage::scrollRequested(int, int, const QRect&)
    {59, 871, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 67},	//417 QWebPage::windowCloseRequested()
    {59, 593, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 68},	//418 QWebPage::printRequested(QWebFrame*)
    {59, 480, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 69},	//419 QWebPage::linkClicked(const QUrl&)
    {59, 831, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 70},	//420 QWebPage::toolBarVisibilityChangeRequested(bool)
    {59, 799, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 71},	//421 QWebPage::statusBarVisibilityChangeRequested(bool)
    {59, 506, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 72},	//422 QWebPage::menuBarVisibilityChangeRequested(bool)
    {59, 849, 183, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 73},	//423 QWebPage::unsupportedContent(QNetworkReply*)
    {59, 335, 110, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 74},	//424 QWebPage::downloadRequested(const QNetworkRequest&)
    {59, 511, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 75},	//425 QWebPage::microFocusChanged()
    {59, 302, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 76},	//426 QWebPage::contentsChanged()
    {59, 321, 185, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 77},	//427 QWebPage::databaseQuotaExceeded(QWebFrame*, QString)
    {59, 259, 188, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 78},	//428 QWebPage::applicationCacheQuotaExceeded(QWebSecurityOrigin*, quint64, quint64)
    {59, 638, 192, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 79},	//429 QWebPage::saveFrameStateRequested(QWebFrame*, QWebHistoryItem*)
    {59, 636, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 80},	//430 QWebPage::restoreFrameStateRequested(QWebFrame*)
    {59, 863, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 81},	//431 QWebPage::viewportChangeRequested()
    {59, 373, 195, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 82},	//432 QWebPage::featurePermissionRequested(QWebFrame*, QWebPage::Feature)
    {59, 371, 195, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 83},	//433 QWebPage::featurePermissionRequestCanceled(QWebFrame*, QWebPage::Feature)
    {59, 314, 198, 1, Smoke::mf_protected|Smoke::mf_virtual, 94, 84},	//434 QWebPage::createWindow(QWebPage::WebWindowType)
    {59, 311, 200, 4, Smoke::mf_protected|Smoke::mf_virtual, 38, 85},	//435 QWebPage::createPlugin(const QString&, const QUrl&, const QStringList&, const QStringList&)
    {59, 235, 205, 3, Smoke::mf_protected|Smoke::mf_virtual, 229, 86},	//436 QWebPage::acceptNavigationRequest(QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType)
    {59, 285, 209, 2, Smoke::mf_protected|Smoke::mf_virtual, 54, 87},	//437 QWebPage::chooseFile(QWebFrame*, const QString&)
    {59, 462, 209, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 88},	//438 QWebPage::javaScriptAlert(QWebFrame*, const QString&)
    {59, 464, 209, 2, Smoke::mf_protected|Smoke::mf_virtual, 229, 89},	//439 QWebPage::javaScriptConfirm(QWebFrame*, const QString&)
    {59, 468, 212, 4, Smoke::mf_protected|Smoke::mf_virtual, 229, 90},	//440 QWebPage::javaScriptPrompt(QWebFrame*, const QString&, const QString&, QString*)
    {59, 466, 217, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 91},	//441 QWebPage::javaScriptConsoleMessage(const QString&, int, const QString&)
    {59, 856, 62, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 54, 92},	//442 QWebPage::userAgentForUrl(const QUrl&) const
    {59, 834, 10, 1, Smoke::mf_static, 54, 93},	//443 QWebPage::tr(const char*)
    {59, 838, 10, 1, Smoke::mf_static, 54, 94},	//444 QWebPage::trUtf8(const char*)
    {59, 163, 0, 0, Smoke::mf_ctor, 94, 95},	//445 QWebPage::QWebPage()
    {59, 842, 149, 1, 0, 0, 96},	//446 QWebPage::triggerAction(QWebPage::WebAction)
    {59, 386, 16, 1, 0, 229, 97},	//447 QWebPage::findText(const QString&)
    {59, 367, 175, 1, 0, 229, 98},	//448 QWebPage::extension(QWebPage::Extension)
    {59, 367, 221, 2, 0, 229, 99},	//449 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*)
    {59, 796, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 233, 100},	//450 QWebPage::staticMetaObject() const
    {59, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 101},	//451 QWebPage::NavigationTypeLinkClicked (enum)
    {59, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 102},	//452 QWebPage::NavigationTypeFormSubmitted (enum)
    {59, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 103},	//453 QWebPage::NavigationTypeBackOrForward (enum)
    {59, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 104},	//454 QWebPage::NavigationTypeReload (enum)
    {59, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 105},	//455 QWebPage::NavigationTypeFormResubmitted (enum)
    {59, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 106},	//456 QWebPage::NavigationTypeOther (enum)
    {59, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 107},	//457 QWebPage::NoWebAction (enum)
    {59, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 108},	//458 QWebPage::OpenLink (enum)
    {59, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 109},	//459 QWebPage::OpenLinkInNewWindow (enum)
    {59, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 110},	//460 QWebPage::OpenFrameInNewWindow (enum)
    {59, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 111},	//461 QWebPage::DownloadLinkToDisk (enum)
    {59, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 112},	//462 QWebPage::CopyLinkToClipboard (enum)
    {59, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 113},	//463 QWebPage::OpenImageInNewWindow (enum)
    {59, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 114},	//464 QWebPage::DownloadImageToDisk (enum)
    {59, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 115},	//465 QWebPage::CopyImageToClipboard (enum)
    {59, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 116},	//466 QWebPage::Back (enum)
    {59, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 117},	//467 QWebPage::Forward (enum)
    {59, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 118},	//468 QWebPage::Stop (enum)
    {59, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 119},	//469 QWebPage::Reload (enum)
    {59, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 120},	//470 QWebPage::Cut (enum)
    {59, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 121},	//471 QWebPage::Copy (enum)
    {59, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 122},	//472 QWebPage::Paste (enum)
    {59, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 123},	//473 QWebPage::Undo (enum)
    {59, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 124},	//474 QWebPage::Redo (enum)
    {59, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 125},	//475 QWebPage::MoveToNextChar (enum)
    {59, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 126},	//476 QWebPage::MoveToPreviousChar (enum)
    {59, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 127},	//477 QWebPage::MoveToNextWord (enum)
    {59, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 128},	//478 QWebPage::MoveToPreviousWord (enum)
    {59, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 129},	//479 QWebPage::MoveToNextLine (enum)
    {59, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 130},	//480 QWebPage::MoveToPreviousLine (enum)
    {59, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 131},	//481 QWebPage::MoveToStartOfLine (enum)
    {59, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 132},	//482 QWebPage::MoveToEndOfLine (enum)
    {59, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 133},	//483 QWebPage::MoveToStartOfBlock (enum)
    {59, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 134},	//484 QWebPage::MoveToEndOfBlock (enum)
    {59, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 135},	//485 QWebPage::MoveToStartOfDocument (enum)
    {59, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 136},	//486 QWebPage::MoveToEndOfDocument (enum)
    {59, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 137},	//487 QWebPage::SelectNextChar (enum)
    {59, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 138},	//488 QWebPage::SelectPreviousChar (enum)
    {59, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 139},	//489 QWebPage::SelectNextWord (enum)
    {59, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 140},	//490 QWebPage::SelectPreviousWord (enum)
    {59, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 141},	//491 QWebPage::SelectNextLine (enum)
    {59, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 142},	//492 QWebPage::SelectPreviousLine (enum)
    {59, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 143},	//493 QWebPage::SelectStartOfLine (enum)
    {59, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 144},	//494 QWebPage::SelectEndOfLine (enum)
    {59, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 145},	//495 QWebPage::SelectStartOfBlock (enum)
    {59, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 146},	//496 QWebPage::SelectEndOfBlock (enum)
    {59, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 147},	//497 QWebPage::SelectStartOfDocument (enum)
    {59, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 148},	//498 QWebPage::SelectEndOfDocument (enum)
    {59, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 149},	//499 QWebPage::DeleteStartOfWord (enum)
    {59, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 150},	//500 QWebPage::DeleteEndOfWord (enum)
    {59, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 151},	//501 QWebPage::SetTextDirectionDefault (enum)
    {59, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 152},	//502 QWebPage::SetTextDirectionLeftToRight (enum)
    {59, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 153},	//503 QWebPage::SetTextDirectionRightToLeft (enum)
    {59, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 154},	//504 QWebPage::ToggleBold (enum)
    {59, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 155},	//505 QWebPage::ToggleItalic (enum)
    {59, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 156},	//506 QWebPage::ToggleUnderline (enum)
    {59, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 157},	//507 QWebPage::InspectElement (enum)
    {59, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 158},	//508 QWebPage::InsertParagraphSeparator (enum)
    {59, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 159},	//509 QWebPage::InsertLineSeparator (enum)
    {59, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 160},	//510 QWebPage::SelectAll (enum)
    {59, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 161},	//511 QWebPage::ReloadAndBypassCache (enum)
    {59, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 162},	//512 QWebPage::PasteAndMatchStyle (enum)
    {59, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 163},	//513 QWebPage::RemoveFormat (enum)
    {59, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 164},	//514 QWebPage::ToggleStrikethrough (enum)
    {59, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 165},	//515 QWebPage::ToggleSubscript (enum)
    {59, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 166},	//516 QWebPage::ToggleSuperscript (enum)
    {59, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 167},	//517 QWebPage::InsertUnorderedList (enum)
    {59, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 168},	//518 QWebPage::InsertOrderedList (enum)
    {59, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 169},	//519 QWebPage::Indent (enum)
    {59, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 170},	//520 QWebPage::Outdent (enum)
    {59, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 171},	//521 QWebPage::AlignCenter (enum)
    {59, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 172},	//522 QWebPage::AlignJustified (enum)
    {59, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 173},	//523 QWebPage::AlignLeft (enum)
    {59, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 174},	//524 QWebPage::AlignRight (enum)
    {59, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 175},	//525 QWebPage::StopScheduledPageRefresh (enum)
    {59, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 176},	//526 QWebPage::CopyImageUrlToClipboard (enum)
    {59, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 177},	//527 QWebPage::OpenLinkInThisWindow (enum)
    {59, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 178},	//528 QWebPage::WebActionCount (enum)
    {59, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 179},	//529 QWebPage::FindBackward (enum)
    {59, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 180},	//530 QWebPage::FindCaseSensitively (enum)
    {59, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 181},	//531 QWebPage::FindWrapsAroundDocument (enum)
    {59, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 182},	//532 QWebPage::HighlightAllOccurrences (enum)
    {59, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 183},	//533 QWebPage::DontDelegateLinks (enum)
    {59, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 184},	//534 QWebPage::DelegateExternalLinks (enum)
    {59, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 185},	//535 QWebPage::DelegateAllLinks (enum)
    {59, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 186},	//536 QWebPage::WebBrowserWindow (enum)
    {59, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 187},	//537 QWebPage::WebModalDialog (enum)
    {59, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 188},	//538 QWebPage::PermissionUnknown (enum)
    {59, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 189},	//539 QWebPage::PermissionGrantedByUser (enum)
    {59, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 190},	//540 QWebPage::PermissionDeniedByUser (enum)
    {59, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 191},	//541 QWebPage::Notifications (enum)
    {59, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 192},	//542 QWebPage::Geolocation (enum)
    {59, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 193},	//543 QWebPage::ChooseMultipleFilesExtension (enum)
    {59, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 194},	//544 QWebPage::ErrorPageExtension (enum)
    {59, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 195},	//545 QWebPage::QtNetwork (enum)
    {59, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 196},	//546 QWebPage::Http (enum)
    {59, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 197},	//547 QWebPage::WebKit (enum)
    {59, 889, 0, 0, Smoke::mf_dtor, 0, 198 },	//548 QWebPage::~QWebPage()
    {60, 17, 0, 0, Smoke::mf_ctor, 95, 1},	//549 QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption()
    {60, 17, 224, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 95, 2},	//550 QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption(const QWebPage::ChooseMultipleFilesExtensionOption&)
    {60, 576, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 83, 3},	//551 QWebPage::ChooseMultipleFilesExtensionOption::parentFrame() const
    {60, 748, 177, 1, Smoke::mf_attribute, 0, 4},	//552 QWebPage::ChooseMultipleFilesExtensionOption::setParentFrame(QWebFrame*)
    {60, 805, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 58, 5},	//553 QWebPage::ChooseMultipleFilesExtensionOption::suggestedFileNames() const
    {60, 769, 226, 1, Smoke::mf_attribute, 0, 6},	//554 QWebPage::ChooseMultipleFilesExtensionOption::setSuggestedFileNames(const QStringList&)
    {60, 874, 0, 0, Smoke::mf_dtor, 0, 7 },	//555 QWebPage::ChooseMultipleFilesExtensionOption::~ChooseMultipleFilesExtensionOption()
    {61, 19, 0, 0, Smoke::mf_ctor, 96, 1},	//556 QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn()
    {61, 19, 228, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 96, 2},	//557 QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn(const QWebPage::ChooseMultipleFilesExtensionReturn&)
    {61, 377, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 58, 3},	//558 QWebPage::ChooseMultipleFilesExtensionReturn::fileNames() const
    {61, 700, 226, 1, Smoke::mf_attribute, 0, 4},	//559 QWebPage::ChooseMultipleFilesExtensionReturn::setFileNames(const QStringList&)
    {61, 875, 0, 0, Smoke::mf_dtor, 0, 5 },	//560 QWebPage::ChooseMultipleFilesExtensionReturn::~ChooseMultipleFilesExtensionReturn()
    {62, 45, 0, 0, Smoke::mf_ctor, 98, 1},	//561 QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption()
    {62, 45, 230, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 98, 2},	//562 QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption(const QWebPage::ErrorPageExtensionOption&)
    {62, 853, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 65, 3},	//563 QWebPage::ErrorPageExtensionOption::url() const
    {62, 775, 62, 1, Smoke::mf_attribute, 0, 4},	//564 QWebPage::ErrorPageExtensionOption::setUrl(const QUrl&)
    {62, 407, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 83, 5},	//565 QWebPage::ErrorPageExtensionOption::frame() const
    {62, 709, 177, 1, Smoke::mf_attribute, 0, 6},	//566 QWebPage::ErrorPageExtensionOption::setFrame(QWebFrame*)
    {62, 334, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 97, 7},	//567 QWebPage::ErrorPageExtensionOption::domain() const
    {62, 688, 232, 1, Smoke::mf_attribute, 0, 8},	//568 QWebPage::ErrorPageExtensionOption::setDomain(QWebPage::ErrorDomain)
    {62, 359, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 274, 9},	//569 QWebPage::ErrorPageExtensionOption::error() const
    {62, 692, 38, 1, Smoke::mf_attribute, 0, 10},	//570 QWebPage::ErrorPageExtensionOption::setError(int)
    {62, 360, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 55, 11},	//571 QWebPage::ErrorPageExtensionOption::errorString() const
    {62, 694, 16, 1, Smoke::mf_attribute, 0, 12},	//572 QWebPage::ErrorPageExtensionOption::setErrorString(const QString&)
    {62, 876, 0, 0, Smoke::mf_dtor, 0, 13 },	//573 QWebPage::ErrorPageExtensionOption::~ErrorPageExtensionOption()
    {63, 47, 0, 0, Smoke::mf_ctor, 99, 1},	//574 QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn()
    {63, 47, 234, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 99, 2},	//575 QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn(const QWebPage::ErrorPageExtensionReturn&)
    {63, 301, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 55, 3},	//576 QWebPage::ErrorPageExtensionReturn::contentType() const
    {63, 678, 16, 1, Smoke::mf_attribute, 0, 4},	//577 QWebPage::ErrorPageExtensionReturn::setContentType(const QString&)
    {63, 356, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 55, 5},	//578 QWebPage::ErrorPageExtensionReturn::encoding() const
    {63, 690, 16, 1, Smoke::mf_attribute, 0, 6},	//579 QWebPage::ErrorPageExtensionReturn::setEncoding(const QString&)
    {63, 275, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 65, 7},	//580 QWebPage::ErrorPageExtensionReturn::baseUrl() const
    {63, 670, 62, 1, Smoke::mf_attribute, 0, 8},	//581 QWebPage::ErrorPageExtensionReturn::setBaseUrl(const QUrl&)
    {63, 300, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 4, 9},	//582 QWebPage::ErrorPageExtensionReturn::content() const
    {63, 672, 115, 1, Smoke::mf_attribute, 0, 10},	//583 QWebPage::ErrorPageExtensionReturn::setContent(const QByteArray&)
    {63, 877, 0, 0, Smoke::mf_dtor, 0, 11 },	//584 QWebPage::ErrorPageExtensionReturn::~ErrorPageExtensionReturn()
    {64, 49, 0, 0, Smoke::mf_ctor, 101, 1},	//585 QWebPage::ExtensionOption::ExtensionOption()
    {64, 49, 236, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 101, 2},	//586 QWebPage::ExtensionOption::ExtensionOption(const QWebPage::ExtensionOption&)
    {64, 878, 0, 0, Smoke::mf_dtor, 0, 3 },	//587 QWebPage::ExtensionOption::~ExtensionOption()
    {65, 51, 0, 0, Smoke::mf_ctor, 102, 1},	//588 QWebPage::ExtensionReturn::ExtensionReturn()
    {65, 51, 238, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 102, 2},	//589 QWebPage::ExtensionReturn::ExtensionReturn(const QWebPage::ExtensionReturn&)
    {65, 879, 0, 0, Smoke::mf_dtor, 0, 3 },	//590 QWebPage::ExtensionReturn::~ExtensionReturn()
    {66, 222, 0, 0, Smoke::mf_ctor, 110, 1},	//591 QWebPage::ViewportAttributes::ViewportAttributes()
    {66, 222, 240, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 110, 2},	//592 QWebPage::ViewportAttributes::ViewportAttributes(const QWebPage::ViewportAttributes&)
    {66, 554, 240, 1, 0, 109, 3},	//593 QWebPage::ViewportAttributes::operator=(const QWebPage::ViewportAttributes&)
    {66, 445, 0, 0, Smoke::mf_const, 273, 4},	//594 QWebPage::ViewportAttributes::initialScaleFactor() const
    {66, 513, 0, 0, Smoke::mf_const, 273, 5},	//595 QWebPage::ViewportAttributes::minimumScaleFactor() const
    {66, 505, 0, 0, Smoke::mf_const, 273, 6},	//596 QWebPage::ViewportAttributes::maximumScaleFactor() const
    {66, 329, 0, 0, Smoke::mf_const, 273, 7},	//597 QWebPage::ViewportAttributes::devicePixelRatio() const
    {66, 454, 0, 0, Smoke::mf_const, 229, 8},	//598 QWebPage::ViewportAttributes::isUserScalable() const
    {66, 455, 0, 0, Smoke::mf_const, 229, 9},	//599 QWebPage::ViewportAttributes::isValid() const
    {66, 794, 0, 0, Smoke::mf_const, 53, 10},	//600 QWebPage::ViewportAttributes::size() const
    {66, 893, 0, 0, Smoke::mf_dtor, 0, 11 },	//601 QWebPage::ViewportAttributes::~ViewportAttributes()
    {68, 509, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 234, 1},	//602 QWebPluginFactory::metaObject() const
    {68, 598, 10, 1, Smoke::mf_virtual, 279, 2},	//603 QWebPluginFactory::qt_metacast(const char*)
    {68, 834, 51, 2, Smoke::mf_static, 54, 3},	//604 QWebPluginFactory::tr(const char*, const char*)
    {68, 838, 51, 2, Smoke::mf_static, 54, 4},	//605 QWebPluginFactory::trUtf8(const char*, const char*)
    {68, 834, 54, 3, Smoke::mf_static, 54, 5},	//606 QWebPluginFactory::tr(const char*, const char*, int)
    {68, 838, 54, 3, Smoke::mf_static, 54, 6},	//607 QWebPluginFactory::trUtf8(const char*, const char*, int)
    {68, 596, 58, 3, Smoke::mf_virtual, 274, 7},	//608 QWebPluginFactory::qt_metacall(QMetaObject::Call, int, void**)
    {68, 165, 125, 1, Smoke::mf_ctor, 114, 8},	//609 QWebPluginFactory::QWebPluginFactory(QObject*)
    {68, 579, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 27, 9},	//610 QWebPluginFactory::plugins() const [pure virtual]
    {68, 600, 0, 0, Smoke::mf_virtual, 0, 10},	//611 QWebPluginFactory::refreshPlugins()
    {68, 309, 200, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 38, 11},	//612 QWebPluginFactory::create(const QString&, const QUrl&, const QStringList&, const QStringList&) const [pure virtual]
    {68, 367, 242, 3, Smoke::mf_virtual, 229, 12},	//613 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*)
    {68, 809, 246, 1, Smoke::mf_const|Smoke::mf_virtual, 229, 13},	//614 QWebPluginFactory::supportsExtension(QWebPluginFactory::Extension) const
    {68, 834, 10, 1, Smoke::mf_static, 54, 14},	//615 QWebPluginFactory::tr(const char*)
    {68, 838, 10, 1, Smoke::mf_static, 54, 15},	//616 QWebPluginFactory::trUtf8(const char*)
    {68, 165, 0, 0, Smoke::mf_ctor, 114, 16},	//617 QWebPluginFactory::QWebPluginFactory()
    {68, 367, 246, 1, 0, 229, 17},	//618 QWebPluginFactory::extension(QWebPluginFactory::Extension)
    {68, 367, 248, 2, 0, 229, 18},	//619 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*)
    {68, 796, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 233, 19},	//620 QWebPluginFactory::staticMetaObject() const
    {68, 890, 0, 0, Smoke::mf_dtor, 0, 20 },	//621 QWebPluginFactory::~QWebPluginFactory()
    {69, 49, 0, 0, Smoke::mf_ctor, 116, 1},	//622 QWebPluginFactory::ExtensionOption::ExtensionOption()
    {69, 49, 251, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 116, 2},	//623 QWebPluginFactory::ExtensionOption::ExtensionOption(const QWebPluginFactory::ExtensionOption&)
    {69, 878, 0, 0, Smoke::mf_dtor, 0, 3 },	//624 QWebPluginFactory::ExtensionOption::~ExtensionOption()
    {70, 51, 0, 0, Smoke::mf_ctor, 117, 1},	//625 QWebPluginFactory::ExtensionReturn::ExtensionReturn()
    {70, 51, 253, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 117, 2},	//626 QWebPluginFactory::ExtensionReturn::ExtensionReturn(const QWebPluginFactory::ExtensionReturn&)
    {70, 879, 0, 0, Smoke::mf_dtor, 0, 3 },	//627 QWebPluginFactory::ExtensionReturn::~ExtensionReturn()
    {71, 556, 255, 1, Smoke::mf_const, 229, 1},	//628 QWebPluginFactory::MimeType::operator==(const QWebPluginFactory::MimeType&) const
    {71, 532, 255, 1, Smoke::mf_const, 229, 2},	//629 QWebPluginFactory::MimeType::operator!=(const QWebPluginFactory::MimeType&) const
    {71, 102, 0, 0, Smoke::mf_ctor, 119, 3},	//630 QWebPluginFactory::MimeType::MimeType()
    {71, 102, 255, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 119, 4},	//631 QWebPluginFactory::MimeType::MimeType(const QWebPluginFactory::MimeType&)
    {71, 524, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 55, 5},	//632 QWebPluginFactory::MimeType::name() const
    {71, 728, 16, 1, Smoke::mf_attribute, 0, 6},	//633 QWebPluginFactory::MimeType::setName(const QString&)
    {71, 327, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 55, 7},	//634 QWebPluginFactory::MimeType::description() const
    {71, 686, 16, 1, Smoke::mf_attribute, 0, 8},	//635 QWebPluginFactory::MimeType::setDescription(const QString&)
    {71, 375, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 58, 9},	//636 QWebPluginFactory::MimeType::fileExtensions() const
    {71, 698, 226, 1, Smoke::mf_attribute, 0, 10},	//637 QWebPluginFactory::MimeType::setFileExtensions(const QStringList&)
    {71, 880, 0, 0, Smoke::mf_dtor, 0, 11 },	//638 QWebPluginFactory::MimeType::~MimeType()
    {72, 143, 0, 0, Smoke::mf_ctor, 121, 1},	//639 QWebPluginFactory::Plugin::Plugin()
    {72, 143, 257, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 121, 2},	//640 QWebPluginFactory::Plugin::Plugin(const QWebPluginFactory::Plugin&)
    {72, 524, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 55, 3},	//641 QWebPluginFactory::Plugin::name() const
    {72, 728, 16, 1, Smoke::mf_attribute, 0, 4},	//642 QWebPluginFactory::Plugin::setName(const QString&)
    {72, 327, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 55, 5},	//643 QWebPluginFactory::Plugin::description() const
    {72, 686, 16, 1, Smoke::mf_attribute, 0, 6},	//644 QWebPluginFactory::Plugin::setDescription(const QString&)
    {72, 512, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 26, 7},	//645 QWebPluginFactory::Plugin::mimeTypes() const
    {72, 726, 259, 1, Smoke::mf_attribute, 0, 8},	//646 QWebPluginFactory::Plugin::setMimeTypes(const QList<QWebPluginFactory::MimeType>&)
    {72, 881, 0, 0, Smoke::mf_dtor, 0, 9 },	//647 QWebPluginFactory::Plugin::~Plugin()
    {73, 249, 0, 0, Smoke::mf_static, 28, 1},	//648 QWebSecurityOrigin::allOrigins()
    {73, 244, 16, 1, Smoke::mf_static, 0, 2},	//649 QWebSecurityOrigin::addLocalScheme(const QString&)
    {73, 613, 16, 1, Smoke::mf_static, 0, 3},	//650 QWebSecurityOrigin::removeLocalScheme(const QString&)
    {73, 500, 0, 0, Smoke::mf_static, 57, 4},	//651 QWebSecurityOrigin::localSchemes()
    {73, 640, 0, 0, Smoke::mf_const, 54, 5},	//652 QWebSecurityOrigin::scheme() const
    {73, 437, 0, 0, Smoke::mf_const, 54, 6},	//653 QWebSecurityOrigin::host() const
    {73, 580, 0, 0, Smoke::mf_const, 274, 7},	//654 QWebSecurityOrigin::port() const
    {73, 323, 0, 0, Smoke::mf_const, 276, 8},	//655 QWebSecurityOrigin::databaseUsage() const
    {73, 320, 0, 0, Smoke::mf_const, 276, 9},	//656 QWebSecurityOrigin::databaseQuota() const
    {73, 680, 261, 1, 0, 0, 10},	//657 QWebSecurityOrigin::setDatabaseQuota(long long)
    {73, 664, 261, 1, 0, 0, 11},	//658 QWebSecurityOrigin::setApplicationCacheQuota(long long)
    {73, 324, 0, 0, Smoke::mf_const, 22, 12},	//659 QWebSecurityOrigin::databases() const
    {73, 167, 263, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 124, 13},	//660 QWebSecurityOrigin::QWebSecurityOrigin(const QWebSecurityOrigin&)
    {73, 554, 263, 1, 0, 123, 14},	//661 QWebSecurityOrigin::operator=(const QWebSecurityOrigin&)
    {73, 891, 0, 0, Smoke::mf_dtor, 0, 15 },	//662 QWebSecurityOrigin::~QWebSecurityOrigin()
    {74, 416, 0, 0, Smoke::mf_static, 125, 1},	//663 QWebSettings::globalSettings()
    {74, 703, 265, 2, 0, 0, 2},	//664 QWebSettings::setFontFamily(QWebSettings::FontFamily, const QString&)
    {74, 398, 268, 1, Smoke::mf_const, 54, 3},	//665 QWebSettings::fontFamily(QWebSettings::FontFamily) const
    {74, 630, 268, 1, 0, 0, 4},	//666 QWebSettings::resetFontFamily(QWebSettings::FontFamily)
    {74, 705, 270, 2, 0, 0, 5},	//667 QWebSettings::setFontSize(QWebSettings::FontSize, int)
    {74, 400, 273, 1, Smoke::mf_const, 274, 6},	//668 QWebSettings::fontSize(QWebSettings::FontSize) const
    {74, 632, 273, 1, 0, 0, 7},	//669 QWebSettings::resetFontSize(QWebSettings::FontSize)
    {74, 666, 275, 2, 0, 0, 8},	//670 QWebSettings::setAttribute(QWebSettings::WebAttribute, bool)
    {74, 816, 278, 1, Smoke::mf_const, 229, 9},	//671 QWebSettings::testAttribute(QWebSettings::WebAttribute) const
    {74, 628, 278, 1, 0, 0, 10},	//672 QWebSettings::resetAttribute(QWebSettings::WebAttribute)
    {74, 779, 62, 1, 0, 0, 11},	//673 QWebSettings::setUserStyleSheetUrl(const QUrl&)
    {74, 859, 0, 0, Smoke::mf_const, 64, 12},	//674 QWebSettings::userStyleSheetUrl() const
    {74, 684, 16, 1, 0, 0, 13},	//675 QWebSettings::setDefaultTextEncoding(const QString&)
    {74, 326, 0, 0, Smoke::mf_const, 54, 14},	//676 QWebSettings::defaultTextEncoding() const
    {74, 714, 16, 1, Smoke::mf_static, 0, 15},	//677 QWebSettings::setIconDatabasePath(const QString&)
    {74, 440, 0, 0, Smoke::mf_static, 54, 16},	//678 QWebSettings::iconDatabasePath()
    {74, 289, 0, 0, Smoke::mf_static, 0, 17},	//679 QWebSettings::clearIconDatabase()
    {74, 441, 62, 1, Smoke::mf_static, 19, 18},	//680 QWebSettings::iconForUrl(const QUrl&)
    {74, 786, 280, 2, Smoke::mf_static, 0, 19},	//681 QWebSettings::setWebGraphic(QWebSettings::WebGraphic, const QPixmap&)
    {74, 866, 283, 1, Smoke::mf_static, 45, 20},	//682 QWebSettings::webGraphic(QWebSettings::WebGraphic)
    {74, 724, 38, 1, Smoke::mf_static, 0, 21},	//683 QWebSettings::setMaximumPagesInCache(int)
    {74, 504, 0, 0, Smoke::mf_static, 274, 22},	//684 QWebSettings::maximumPagesInCache()
    {74, 732, 285, 3, Smoke::mf_static, 0, 23},	//685 QWebSettings::setObjectCacheCapacities(int, int, int)
    {74, 736, 16, 1, Smoke::mf_static, 0, 24},	//686 QWebSettings::setOfflineStoragePath(const QString&)
    {74, 529, 0, 0, Smoke::mf_static, 54, 25},	//687 QWebSettings::offlineStoragePath()
    {74, 734, 261, 1, Smoke::mf_static, 0, 26},	//688 QWebSettings::setOfflineStorageDefaultQuota(long long)
    {74, 528, 0, 0, Smoke::mf_static, 276, 27},	//689 QWebSettings::offlineStorageDefaultQuota()
    {74, 738, 16, 1, Smoke::mf_static, 0, 28},	//690 QWebSettings::setOfflineWebApplicationCachePath(const QString&)
    {74, 530, 0, 0, Smoke::mf_static, 54, 29},	//691 QWebSettings::offlineWebApplicationCachePath()
    {74, 740, 261, 1, Smoke::mf_static, 0, 30},	//692 QWebSettings::setOfflineWebApplicationCacheQuota(long long)
    {74, 531, 0, 0, Smoke::mf_static, 276, 31},	//693 QWebSettings::offlineWebApplicationCacheQuota()
    {74, 720, 16, 1, 0, 0, 32},	//694 QWebSettings::setLocalStoragePath(const QString&)
    {74, 501, 0, 0, Smoke::mf_const, 54, 33},	//695 QWebSettings::localStoragePath() const
    {74, 290, 0, 0, Smoke::mf_static, 0, 34},	//696 QWebSettings::clearMemoryCaches()
    {74, 346, 16, 1, Smoke::mf_static, 0, 35},	//697 QWebSettings::enablePersistentStorage(const QString&)
    {74, 773, 289, 1, 0, 0, 36},	//698 QWebSettings::setThirdPartyCookiePolicy(QWebSettings::ThirdPartyCookiePolicy)
    {74, 819, 0, 0, Smoke::mf_const, 128, 37},	//699 QWebSettings::thirdPartyCookiePolicy() const
    {74, 419, 0, 0, Smoke::mf_const, 131, 38},	//700 QWebSettings::handle() const
    {74, 346, 0, 0, Smoke::mf_static, 0, 39},	//701 QWebSettings::enablePersistentStorage()
    {74, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 40},	//702 QWebSettings::StandardFont (enum)
    {74, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 41},	//703 QWebSettings::FixedFont (enum)
    {74, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 42},	//704 QWebSettings::SerifFont (enum)
    {74, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 43},	//705 QWebSettings::SansSerifFont (enum)
    {74, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 44},	//706 QWebSettings::CursiveFont (enum)
    {74, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 45},	//707 QWebSettings::FantasyFont (enum)
    {74, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 46},	//708 QWebSettings::AutoLoadImages (enum)
    {74, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 47},	//709 QWebSettings::JavascriptEnabled (enum)
    {74, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 48},	//710 QWebSettings::JavaEnabled (enum)
    {74, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 49},	//711 QWebSettings::PluginsEnabled (enum)
    {74, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 50},	//712 QWebSettings::PrivateBrowsingEnabled (enum)
    {74, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 51},	//713 QWebSettings::JavascriptCanOpenWindows (enum)
    {74, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 52},	//714 QWebSettings::JavascriptCanAccessClipboard (enum)
    {74, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 53},	//715 QWebSettings::DeveloperExtrasEnabled (enum)
    {74, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 54},	//716 QWebSettings::LinksIncludedInFocusChain (enum)
    {74, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 55},	//717 QWebSettings::ZoomTextOnly (enum)
    {74, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 56},	//718 QWebSettings::PrintElementBackgrounds (enum)
    {74, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 57},	//719 QWebSettings::OfflineStorageDatabaseEnabled (enum)
    {74, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 58},	//720 QWebSettings::OfflineWebApplicationCacheEnabled (enum)
    {74, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 59},	//721 QWebSettings::LocalStorageEnabled (enum)
    {74, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 60},	//722 QWebSettings::LocalStorageDatabaseEnabled (enum)
    {74, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 61},	//723 QWebSettings::LocalContentCanAccessRemoteUrls (enum)
    {74, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 62},	//724 QWebSettings::DnsPrefetchEnabled (enum)
    {74, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 63},	//725 QWebSettings::XSSAuditingEnabled (enum)
    {74, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 64},	//726 QWebSettings::AcceleratedCompositingEnabled (enum)
    {74, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 65},	//727 QWebSettings::SpatialNavigationEnabled (enum)
    {74, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 66},	//728 QWebSettings::LocalContentCanAccessFileUrls (enum)
    {74, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 67},	//729 QWebSettings::TiledBackingStoreEnabled (enum)
    {74, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 68},	//730 QWebSettings::FrameFlatteningEnabled (enum)
    {74, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 69},	//731 QWebSettings::SiteSpecificQuirksEnabled (enum)
    {74, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 70},	//732 QWebSettings::JavascriptCanCloseWindows (enum)
    {74, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 71},	//733 QWebSettings::WebGLEnabled (enum)
    {74, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 72},	//734 QWebSettings::CSSRegionsEnabled (enum)
    {74, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 73},	//735 QWebSettings::HyperlinkAuditingEnabled (enum)
    {74, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 74},	//736 QWebSettings::CSSGridLayoutEnabled (enum)
    {74, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 75},	//737 QWebSettings::ScrollAnimatorEnabled (enum)
    {74, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 76},	//738 QWebSettings::CaretBrowsingEnabled (enum)
    {74, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 77},	//739 QWebSettings::NotificationsEnabled (enum)
    {74, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 78},	//740 QWebSettings::MissingImageGraphic (enum)
    {74, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 79},	//741 QWebSettings::MissingPluginGraphic (enum)
    {74, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 80},	//742 QWebSettings::DefaultFrameIconGraphic (enum)
    {74, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 81},	//743 QWebSettings::TextAreaSizeGripCornerGraphic (enum)
    {74, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 82},	//744 QWebSettings::DeleteButtonGraphic (enum)
    {74, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 83},	//745 QWebSettings::InputSpeechButtonGraphic (enum)
    {74, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 84},	//746 QWebSettings::SearchCancelButtonGraphic (enum)
    {74, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 85},	//747 QWebSettings::SearchCancelButtonPressedGraphic (enum)
    {74, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 86},	//748 QWebSettings::MinimumFontSize (enum)
    {74, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 87},	//749 QWebSettings::MinimumLogicalFontSize (enum)
    {74, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 88},	//750 QWebSettings::DefaultFontSize (enum)
    {74, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 89},	//751 QWebSettings::DefaultFixedFontSize (enum)
    {74, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 90},	//752 QWebSettings::AlwaysAllowThirdPartyCookies (enum)
    {74, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 91},	//753 QWebSettings::AlwaysBlockThirdPartyCookies (enum)
    {74, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 92},	//754 QWebSettings::AllowThirdPartyWithExistingCookies (enum)
    {76, 509, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 234, 1},	//755 QWebView::metaObject() const
    {76, 598, 10, 1, Smoke::mf_virtual, 279, 2},	//756 QWebView::qt_metacast(const char*)
    {76, 834, 51, 2, Smoke::mf_static, 54, 3},	//757 QWebView::tr(const char*, const char*)
    {76, 838, 51, 2, Smoke::mf_static, 54, 4},	//758 QWebView::trUtf8(const char*, const char*)
    {76, 834, 54, 3, Smoke::mf_static, 54, 5},	//759 QWebView::tr(const char*, const char*, int)
    {76, 838, 54, 3, Smoke::mf_static, 54, 6},	//760 QWebView::trUtf8(const char*, const char*, int)
    {76, 596, 58, 3, Smoke::mf_virtual, 274, 7},	//761 QWebView::qt_metacall(QMetaObject::Call, int, void**)
    {76, 169, 133, 1, Smoke::mf_ctor, 132, 8},	//762 QWebView::QWebView(QWidget*)
    {76, 566, 0, 0, Smoke::mf_const, 94, 9},	//763 QWebView::page() const
    {76, 744, 135, 1, 0, 0, 10},	//764 QWebView::setPage(QWebPage*)
    {76, 490, 62, 1, 0, 0, 11},	//765 QWebView::load(const QUrl&)
    {76, 490, 64, 3, 0, 0, 12},	//766 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
    {76, 711, 68, 2, 0, 0, 13},	//767 QWebView::setHtml(const QString&, const QUrl&)
    {76, 672, 71, 3, 0, 0, 14},	//768 QWebView::setContent(const QByteArray&, const QString&, const QUrl&)
    {76, 432, 0, 0, Smoke::mf_const, 85, 15},	//769 QWebView::history() const
    {76, 790, 0, 0, Smoke::mf_const, 125, 16},	//770 QWebView::settings() const
    {76, 821, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 17},	//771 QWebView::title() const
    {76, 775, 62, 1, Smoke::mf_property, 0, 18},	//772 QWebView::setUrl(const QUrl&)
    {76, 853, 0, 0, Smoke::mf_const|Smoke::mf_property, 64, 19},	//773 QWebView::url() const
    {76, 438, 0, 0, Smoke::mf_const|Smoke::mf_property, 19, 20},	//774 QWebView::icon() const
    {76, 428, 0, 0, Smoke::mf_const|Smoke::mf_property, 229, 21},	//775 QWebView::hasSelection() const
    {76, 660, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 22},	//776 QWebView::selectedText() const
    {76, 659, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 23},	//777 QWebView::selectedHtml() const
    {76, 567, 149, 1, Smoke::mf_const, 1, 24},	//778 QWebView::pageAction(QWebPage::WebAction) const
    {76, 845, 151, 2, 0, 0, 25},	//779 QWebView::triggerPageAction(QWebPage::WebAction, bool)
    {76, 452, 0, 0, Smoke::mf_const|Smoke::mf_property, 229, 26},	//780 QWebView::isModified() const
    {76, 448, 156, 1, Smoke::mf_const|Smoke::mf_virtual, 66, 27},	//781 QWebView::inputMethodQuery(Qt::InputMethodQuery) const
    {76, 795, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 53, 28},	//782 QWebView::sizeHint() const
    {76, 873, 0, 0, Smoke::mf_const, 273, 29},	//783 QWebView::zoomFactor() const
    {76, 788, 102, 1, 0, 0, 30},	//784 QWebView::setZoomFactor(double)
    {76, 771, 102, 1, 0, 0, 31},	//785 QWebView::setTextSizeMultiplier(double)
    {76, 818, 0, 0, Smoke::mf_const, 273, 32},	//786 QWebView::textSizeMultiplier() const
    {76, 620, 0, 0, Smoke::mf_const, 15, 33},	//787 QWebView::renderHints() const
    {76, 759, 291, 1, 0, 0, 34},	//788 QWebView::setRenderHints(QFlags<QPainter::RenderHint>)
    {76, 756, 293, 2, 0, 0, 35},	//789 QWebView::setRenderHint(QPainter::RenderHint, bool)
    {76, 386, 158, 2, 0, 229, 36},	//790 QWebView::findText(const QString&, QFlags<QWebPage::FindFlag>)
    {76, 363, 1, 1, Smoke::mf_virtual, 229, 37},	//791 QWebView::event(QEvent*)
    {76, 801, 0, 0, Smoke::mf_slot, 0, 38},	//792 QWebView::stop()
    {76, 271, 0, 0, Smoke::mf_slot, 0, 39},	//793 QWebView::back()
    {76, 402, 0, 0, Smoke::mf_slot, 0, 40},	//794 QWebView::forward()
    {76, 601, 0, 0, Smoke::mf_slot, 0, 41},	//795 QWebView::reload()
    {76, 591, 104, 1, Smoke::mf_const|Smoke::mf_slot, 0, 42},	//796 QWebView::print(QPrinter*) const
    {76, 498, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//797 QWebView::loadStarted()
    {76, 496, 38, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//798 QWebView::loadProgress(int)
    {76, 494, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//799 QWebView::loadFinished(bool)
    {76, 822, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//800 QWebView::titleChanged(const QString&)
    {76, 797, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//801 QWebView::statusBarMessage(const QString&)
    {76, 480, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//802 QWebView::linkClicked(const QUrl&)
    {76, 661, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//803 QWebView::selectionChanged()
    {76, 439, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//804 QWebView::iconChanged()
    {76, 854, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//805 QWebView::urlChanged(const QUrl&)
    {76, 634, 137, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 52},	//806 QWebView::resizeEvent(QResizeEvent*)
    {76, 571, 296, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//807 QWebView::paintEvent(QPaintEvent*)
    {76, 314, 198, 1, Smoke::mf_protected|Smoke::mf_virtual, 132, 54},	//808 QWebView::createWindow(QWebPage::WebWindowType)
    {76, 281, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//809 QWebView::changeEvent(QEvent*)
    {76, 517, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//810 QWebView::mouseMoveEvent(QMouseEvent*)
    {76, 519, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//811 QWebView::mousePressEvent(QMouseEvent*)
    {76, 515, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//812 QWebView::mouseDoubleClickEvent(QMouseEvent*)
    {76, 521, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 59},	//813 QWebView::mouseReleaseEvent(QMouseEvent*)
    {76, 306, 165, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//814 QWebView::contextMenuEvent(QContextMenuEvent*)
    {76, 868, 300, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//815 QWebView::wheelEvent(QWheelEvent*)
    {76, 471, 302, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//816 QWebView::keyPressEvent(QKeyEvent*)
    {76, 473, 302, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//817 QWebView::keyReleaseEvent(QKeyEvent*)
    {76, 337, 304, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//818 QWebView::dragEnterEvent(QDragEnterEvent*)
    {76, 339, 306, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//819 QWebView::dragLeaveEvent(QDragLeaveEvent*)
    {76, 341, 308, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 66},	//820 QWebView::dragMoveEvent(QDragMoveEvent*)
    {76, 343, 310, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 67},	//821 QWebView::dropEvent(QDropEvent*)
    {76, 391, 312, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//822 QWebView::focusInEvent(QFocusEvent*)
    {76, 395, 312, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 69},	//823 QWebView::focusOutEvent(QFocusEvent*)
    {76, 446, 314, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 70},	//824 QWebView::inputMethodEvent(QInputMethodEvent*)
    {76, 393, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 229, 71},	//825 QWebView::focusNextPrevChild(bool)
    {76, 834, 10, 1, Smoke::mf_static, 54, 72},	//826 QWebView::tr(const char*)
    {76, 838, 10, 1, Smoke::mf_static, 54, 73},	//827 QWebView::trUtf8(const char*)
    {76, 169, 0, 0, Smoke::mf_ctor, 132, 74},	//828 QWebView::QWebView()
    {76, 490, 110, 1, 0, 0, 75},	//829 QWebView::load(const QNetworkRequest&)
    {76, 490, 112, 2, 0, 0, 76},	//830 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
    {76, 711, 16, 1, 0, 0, 77},	//831 QWebView::setHtml(const QString&)
    {76, 672, 115, 1, 0, 0, 78},	//832 QWebView::setContent(const QByteArray&)
    {76, 672, 117, 2, 0, 0, 79},	//833 QWebView::setContent(const QByteArray&, const QString&)
    {76, 845, 149, 1, 0, 0, 80},	//834 QWebView::triggerPageAction(QWebPage::WebAction)
    {76, 756, 316, 1, 0, 0, 81},	//835 QWebView::setRenderHint(QPainter::RenderHint)
    {76, 386, 16, 1, 0, 229, 82},	//836 QWebView::findText(const QString&)
    {76, 796, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 233, 83},	//837 QWebView::staticMetaObject() const
    {76, 892, 0, 0, Smoke::mf_dtor, 0, 84 },	//838 QWebView::~QWebView()
    {78, 328, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 274, 0},	//839 QWidget::devType() const
    {78, 785, 108, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//840 QWidget::setVisible(bool)
    {78, 514, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 53, 0},	//841 QWidget::minimumSizeHint() const
    {78, 429, 38, 1, Smoke::mf_const|Smoke::mf_virtual, 274, 0},	//842 QWidget::heightForWidth(int) const
    {78, 570, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 40, 0},	//843 QWidget::paintEngine() const
    {78, 519, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//844 QWidget::mousePressEvent(QMouseEvent*)
    {78, 521, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//845 QWidget::mouseReleaseEvent(QMouseEvent*)
    {78, 515, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//846 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {78, 517, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//847 QWidget::mouseMoveEvent(QMouseEvent*)
    {78, 868, 300, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//848 QWidget::wheelEvent(QWheelEvent*)
    {78, 471, 302, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//849 QWidget::keyPressEvent(QKeyEvent*)
    {78, 473, 302, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//850 QWidget::keyReleaseEvent(QKeyEvent*)
    {78, 391, 312, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//851 QWidget::focusInEvent(QFocusEvent*)
    {78, 395, 312, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//852 QWidget::focusOutEvent(QFocusEvent*)
    {78, 358, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//853 QWidget::enterEvent(QEvent*)
    {78, 479, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//854 QWidget::leaveEvent(QEvent*)
    {78, 571, 296, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//855 QWidget::paintEvent(QPaintEvent*)
    {78, 523, 318, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//856 QWidget::moveEvent(QMoveEvent*)
    {78, 292, 143, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//857 QWidget::closeEvent(QCloseEvent*)
    {78, 306, 165, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//858 QWidget::contextMenuEvent(QContextMenuEvent*)
    {78, 813, 320, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//859 QWidget::tabletEvent(QTabletEvent*)
    {78, 239, 322, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//860 QWidget::actionEvent(QActionEvent*)
    {78, 337, 304, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//861 QWidget::dragEnterEvent(QDragEnterEvent*)
    {78, 341, 308, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//862 QWidget::dragMoveEvent(QDragMoveEvent*)
    {78, 339, 306, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//863 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {78, 343, 310, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//864 QWidget::dropEvent(QDropEvent*)
    {78, 792, 139, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//865 QWidget::showEvent(QShowEvent*)
    {78, 430, 141, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//866 QWidget::hideEvent(QHideEvent*)
    {78, 872, 324, 1, Smoke::mf_protected|Smoke::mf_virtual, 229, 0},	//867 QWidget::x11Event(_XEvent*)
    {78, 281, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//868 QWidget::changeEvent(QEvent*)
    {78, 510, 326, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 274, 0},	//869 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {78, 446, 314, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//870 QWidget::inputMethodEvent(QInputMethodEvent*)
    {78, 448, 156, 1, Smoke::mf_const|Smoke::mf_virtual, 66, 0},	//871 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {78, 393, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 229, 0},	//872 QWidget::focusNextPrevChild(bool)
    {78, 802, 328, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//873 QWidget::styleChange(QStyle&)
    {78, 348, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//874 QWidget::enabledChange(bool)
    {78, 574, 163, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//875 QWidget::paletteChange(const QPalette&)
    {78, 397, 330, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//876 QWidget::fontChange(const QFont&)
    {78, 870, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//877 QWidget::windowActivationChange(bool)
    {78, 475, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//878 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    765,  // QWebView::load(const QUrl&)
    829,  // QWebView::load(const QNetworkRequest&)
    0,
    138,  // QWebElementCollection::begin() const
    142,  // QWebElementCollection::begin()
    0,
    139,  // QWebElementCollection::end() const
    143,  // QWebElementCollection::end()
    0,
    191,  // QWebFrame::load(const QUrl&)
    253,  // QWebFrame::load(const QNetworkRequest&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {16, 78, 13},	// QGlobalSpace::LicensedActiveQt
    {16, 79, 19},	// QGlobalSpace::LicensedCore
    {16, 80, 11},	// QGlobalSpace::LicensedDBus
    {16, 81, 16},	// QGlobalSpace::LicensedDeclarative
    {16, 82, 6},	// QGlobalSpace::LicensedGui
    {16, 83, 25},	// QGlobalSpace::LicensedHelp
    {16, 84, 26},	// QGlobalSpace::LicensedMultimedia
    {16, 85, 29},	// QGlobalSpace::LicensedNetwork
    {16, 86, 18},	// QGlobalSpace::LicensedOpenGL
    {16, 87, 10},	// QGlobalSpace::LicensedOpenVG
    {16, 88, 27},	// QGlobalSpace::LicensedQt3Support
    {16, 89, 8},	// QGlobalSpace::LicensedQt3SupportLight
    {16, 90, 9},	// QGlobalSpace::LicensedScript
    {16, 91, 14},	// QGlobalSpace::LicensedScriptTools
    {16, 92, 17},	// QGlobalSpace::LicensedSql
    {16, 93, 15},	// QGlobalSpace::LicensedSvg
    {16, 94, 12},	// QGlobalSpace::LicensedTest
    {16, 95, 7},	// QGlobalSpace::LicensedXml
    {16, 96, 28},	// QGlobalSpace::LicensedXmlPatterns
    {16, 171, 1},	// QGlobalSpace::Q_COMPLEX_TYPE
    {16, 172, 5},	// QGlobalSpace::Q_DUMMY_TYPE
    {16, 173, 4},	// QGlobalSpace::Q_MOVABLE_TYPE
    {16, 174, 2},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {16, 175, 3},	// QGlobalSpace::Q_STATIC_TYPE
    {16, 176, 22},	// QGlobalSpace::QtCriticalMsg
    {16, 177, 20},	// QGlobalSpace::QtDebugMsg
    {16, 178, 23},	// QGlobalSpace::QtFatalMsg
    {16, 180, 24},	// QGlobalSpace::QtSystemMsg
    {16, 181, 21},	// QGlobalSpace::QtWarningMsg
    {16, 231, 32},	// QGlobalSpace::__codecvt_error
    {16, 232, 33},	// QGlobalSpace::__codecvt_noconv
    {16, 233, 30},	// QGlobalSpace::__codecvt_ok
    {16, 234, 31},	// QGlobalSpace::__codecvt_partial
    {48, 149, 41},	// QWebDatabase::QWebDatabase#
    {48, 331, 44},	// QWebDatabase::displayName
    {48, 366, 45},	// QWebDatabase::expectedSize
    {48, 376, 47},	// QWebDatabase::fileName
    {48, 524, 43},	// QWebDatabase::name
    {48, 555, 42},	// QWebDatabase::operator=#
    {48, 564, 48},	// QWebDatabase::origin
    {48, 603, 50},	// QWebDatabase::removeAllDatabases
    {48, 611, 49},	// QWebDatabase::removeDatabase#
    {48, 794, 46},	// QWebDatabase::size
    {48, 882, 51},	// QWebDatabase::~QWebDatabase
    {49, 15, 122},	// QWebElement::CascadedStyle
    {49, 21, 123},	// QWebElement::ComputedStyle
    {49, 66, 121},	// QWebElement::InlineStyle
    {49, 150, 52},	// QWebElement::QWebElement
    {49, 151, 53},	// QWebElement::QWebElement#
    {49, 241, 78},	// QWebElement::addClass$
    {49, 254, 96},	// QWebElement::appendInside#
    {49, 255, 95},	// QWebElement::appendInside$
    {49, 257, 100},	// QWebElement::appendOutside#
    {49, 258, 99},	// QWebElement::appendOutside$
    {49, 264, 118},	// QWebElement::attribute$
    {49, 265, 68},	// QWebElement::attribute$$
    {49, 267, 119},	// QWebElement::attributeNS$$
    {49, 268, 69},	// QWebElement::attributeNS$$$
    {49, 269, 120},	// QWebElement::attributeNames
    {49, 270, 75},	// QWebElement::attributeNames$
    {49, 287, 76},	// QWebElement::classes
    {49, 291, 109},	// QWebElement::clone
    {49, 332, 93},	// QWebElement::document
    {49, 350, 103},	// QWebElement::encloseContentsWith#
    {49, 351, 104},	// QWebElement::encloseContentsWith$
    {49, 353, 106},	// QWebElement::encloseWith#
    {49, 354, 105},	// QWebElement::encloseWith$
    {49, 362, 113},	// QWebElement::evaluateJavaScript$
    {49, 379, 58},	// QWebElement::findAll$
    {49, 383, 59},	// QWebElement::findFirst$
    {49, 390, 89},	// QWebElement::firstChild
    {49, 413, 83},	// QWebElement::geometry
    {49, 421, 70},	// QWebElement::hasAttribute$
    {49, 423, 71},	// QWebElement::hasAttributeNS$$
    {49, 424, 74},	// QWebElement::hasAttributes
    {49, 426, 77},	// QWebElement::hasClass$
    {49, 427, 81},	// QWebElement::hasFocus
    {49, 453, 57},	// QWebElement::isNull
    {49, 477, 90},	// QWebElement::lastChild
    {49, 499, 86},	// QWebElement::localName
    {49, 525, 87},	// QWebElement::namespaceUri
    {49, 527, 91},	// QWebElement::nextSibling
    {49, 533, 56},	// QWebElement::operator!=#
    {49, 555, 54},	// QWebElement::operator=#
    {49, 557, 55},	// QWebElement::operator==#
    {49, 575, 88},	// QWebElement::parent
    {49, 583, 85},	// QWebElement::prefix
    {49, 585, 98},	// QWebElement::prependInside#
    {49, 586, 97},	// QWebElement::prependInside$
    {49, 588, 102},	// QWebElement::prependOutside#
    {49, 589, 101},	// QWebElement::prependOutside$
    {49, 590, 92},	// QWebElement::previousSibling
    {49, 602, 112},	// QWebElement::removeAllChildren
    {49, 605, 72},	// QWebElement::removeAttribute$
    {49, 607, 73},	// QWebElement::removeAttributeNS$$
    {49, 609, 79},	// QWebElement::removeClass$
    {49, 612, 111},	// QWebElement::removeFromDocument
    {49, 616, 116},	// QWebElement::render#
    {49, 617, 117},	// QWebElement::render##
    {49, 625, 108},	// QWebElement::replace#
    {49, 626, 107},	// QWebElement::replace$
    {49, 667, 66},	// QWebElement::setAttribute$$
    {49, 669, 67},	// QWebElement::setAttributeNS$$$
    {49, 702, 82},	// QWebElement::setFocus
    {49, 717, 64},	// QWebElement::setInnerXml$
    {49, 743, 62},	// QWebElement::setOuterXml$
    {49, 751, 60},	// QWebElement::setPlainText$
    {49, 768, 115},	// QWebElement::setStyleProperty$$
    {49, 804, 114},	// QWebElement::styleProperty$$
    {49, 814, 84},	// QWebElement::tagName
    {49, 815, 110},	// QWebElement::takeFromDocument
    {49, 825, 65},	// QWebElement::toInnerXml
    {49, 827, 63},	// QWebElement::toOuterXml
    {49, 828, 61},	// QWebElement::toPlainText
    {49, 830, 80},	// QWebElement::toggleClass$
    {49, 865, 94},	// QWebElement::webFrame
    {49, 883, 124},	// QWebElement::~QWebElement
    {50, 152, 125},	// QWebElementCollection::QWebElementCollection
    {50, 153, 127},	// QWebElementCollection::QWebElementCollection#
    {50, 154, 126},	// QWebElementCollection::QWebElementCollection#$
    {50, 252, 131},	// QWebElementCollection::append#
    {50, 262, 133},	// QWebElementCollection::at$
    {50, 276, -4},	// QWebElementCollection::begin
    {50, 295, 140},	// QWebElementCollection::constBegin
    {50, 296, 141},	// QWebElementCollection::constEnd
    {50, 308, 132},	// QWebElementCollection::count
    {50, 357, -7},	// QWebElementCollection::end
    {50, 389, 135},	// QWebElementCollection::first
    {50, 476, 136},	// QWebElementCollection::last
    {50, 536, 129},	// QWebElementCollection::operator+#
    {50, 541, 130},	// QWebElementCollection::operator+=#
    {50, 555, 128},	// QWebElementCollection::operator=#
    {50, 563, 134},	// QWebElementCollection::operator[]$
    {50, 826, 137},	// QWebElementCollection::toList
    {50, 884, 144},	// QWebElementCollection::~QWebElementCollection
    {51, 298, 146},	// QWebElementCollection::const_iterator::const_iterator#
    {51, 299, 145},	// QWebElementCollection::const_iterator::const_iterator#$
    {51, 533, 149},	// QWebElementCollection::const_iterator::operator!=#
    {51, 534, 147},	// QWebElementCollection::const_iterator::operator*
    {51, 537, 160},	// QWebElementCollection::const_iterator::operator+$
    {51, 538, 154},	// QWebElementCollection::const_iterator::operator++
    {51, 539, 155},	// QWebElementCollection::const_iterator::operator++$
    {51, 542, 158},	// QWebElementCollection::const_iterator::operator+=$
    {51, 544, 162},	// QWebElementCollection::const_iterator::operator-#
    {51, 545, 161},	// QWebElementCollection::const_iterator::operator-$
    {51, 546, 156},	// QWebElementCollection::const_iterator::operator--
    {51, 547, 157},	// QWebElementCollection::const_iterator::operator--$
    {51, 549, 159},	// QWebElementCollection::const_iterator::operator-=$
    {51, 551, 150},	// QWebElementCollection::const_iterator::operator<#
    {51, 553, 151},	// QWebElementCollection::const_iterator::operator<=#
    {51, 557, 148},	// QWebElementCollection::const_iterator::operator==#
    {51, 559, 152},	// QWebElementCollection::const_iterator::operator>#
    {51, 561, 153},	// QWebElementCollection::const_iterator::operator>=#
    {51, 894, 163},	// QWebElementCollection::const_iterator::~const_iterator
    {52, 460, 165},	// QWebElementCollection::iterator::iterator#
    {52, 461, 164},	// QWebElementCollection::iterator::iterator#$
    {52, 533, 168},	// QWebElementCollection::iterator::operator!=#
    {52, 534, 166},	// QWebElementCollection::iterator::operator*
    {52, 537, 179},	// QWebElementCollection::iterator::operator+$
    {52, 538, 173},	// QWebElementCollection::iterator::operator++
    {52, 539, 174},	// QWebElementCollection::iterator::operator++$
    {52, 542, 177},	// QWebElementCollection::iterator::operator+=$
    {52, 544, 181},	// QWebElementCollection::iterator::operator-#
    {52, 545, 180},	// QWebElementCollection::iterator::operator-$
    {52, 546, 175},	// QWebElementCollection::iterator::operator--
    {52, 547, 176},	// QWebElementCollection::iterator::operator--$
    {52, 549, 178},	// QWebElementCollection::iterator::operator-=$
    {52, 551, 169},	// QWebElementCollection::iterator::operator<#
    {52, 553, 170},	// QWebElementCollection::iterator::operator<=#
    {52, 557, 167},	// QWebElementCollection::iterator::operator==#
    {52, 559, 171},	// QWebElementCollection::iterator::operator>#
    {52, 561, 172},	// QWebElementCollection::iterator::operator>=#
    {52, 895, 182},	// QWebElementCollection::iterator::~iterator
    {53, 6, 263},	// QWebFrame::AllLayers
    {53, 22, 260},	// QWebFrame::ContentsLayer
    {53, 137, 262},	// QWebFrame::PanIconLayer
    {53, 188, 261},	// QWebFrame::ScrollBarLayer
    {53, 247, 195},	// QWebFrame::addToJavaScriptWindowObject$#
    {53, 248, 196},	// QWebFrame::addToJavaScriptWindowObject$#$
    {53, 275, 204},	// QWebFrame::baseUrl
    {53, 284, 209},	// QWebFrame::childFrames
    {53, 303, 232},	// QWebFrame::contentsSize
    {53, 305, 247},	// QWebFrame::contentsSizeChanged#
    {53, 333, 233},	// QWebFrame::documentElement
    {53, 362, 239},	// QWebFrame::evaluateJavaScript$
    {53, 364, 237},	// QWebFrame::event#
    {53, 381, 234},	// QWebFrame::findAllElements$
    {53, 385, 235},	// QWebFrame::findFirstElement$
    {53, 412, 207},	// QWebFrame::frameName
    {53, 413, 231},	// QWebFrame::geometry
    {53, 427, 228},	// QWebFrame::hasFocus
    {53, 436, 236},	// QWebFrame::hitTestContent#
    {53, 438, 205},	// QWebFrame::icon
    {53, 439, 246},	// QWebFrame::iconChanged
    {53, 444, 245},	// QWebFrame::initialLayoutCompleted
    {53, 470, 241},	// QWebFrame::javaScriptWindowObjectCleared
    {53, 491, -10},	// QWebFrame::load#
    {53, 492, 254},	// QWebFrame::load#$
    {53, 493, 192},	// QWebFrame::load#$#
    {53, 495, 249},	// QWebFrame::loadFinished$
    {53, 498, 248},	// QWebFrame::loadStarted
    {53, 508, 206},	// QWebFrame::metaData
    {53, 509, 183},	// QWebFrame::metaObject
    {53, 566, 190},	// QWebFrame::page
    {53, 569, 250},	// QWebFrame::pageChanged
    {53, 576, 208},	// QWebFrame::parentFrame
    {53, 581, 230},	// QWebFrame::pos
    {53, 592, 240},	// QWebFrame::print#
    {53, 595, 242},	// QWebFrame::provisionalLoad
    {53, 597, 189},	// QWebFrame::qt_metacall$$?
    {53, 599, 184},	// QWebFrame::qt_metacast$
    {53, 616, 221},	// QWebFrame::render#
    {53, 617, 222},	// QWebFrame::render##
    {53, 618, 258},	// QWebFrame::render#$
    {53, 619, 223},	// QWebFrame::render#$#
    {53, 621, 199},	// QWebFrame::renderTreeDump
    {53, 627, 203},	// QWebFrame::requestedUrl
    {53, 642, 217},	// QWebFrame::scroll$$
    {53, 644, 216},	// QWebFrame::scrollBarGeometry$
    {53, 646, 215},	// QWebFrame::scrollBarMaximum$
    {53, 648, 214},	// QWebFrame::scrollBarMinimum$
    {53, 650, 210},	// QWebFrame::scrollBarPolicy$
    {53, 652, 213},	// QWebFrame::scrollBarValue$
    {53, 653, 218},	// QWebFrame::scrollPosition
    {53, 657, 220},	// QWebFrame::scrollToAnchor$
    {53, 658, 238},	// QWebFrame::securityOrigin
    {53, 673, 256},	// QWebFrame::setContent#
    {53, 674, 257},	// QWebFrame::setContent#$
    {53, 675, 194},	// QWebFrame::setContent#$#
    {53, 702, 229},	// QWebFrame::setFocus
    {53, 712, 255},	// QWebFrame::setHtml$
    {53, 713, 193},	// QWebFrame::setHtml$#
    {53, 762, 211},	// QWebFrame::setScrollBarPolicy$$
    {53, 764, 212},	// QWebFrame::setScrollBarValue$$
    {53, 766, 219},	// QWebFrame::setScrollPosition#
    {53, 772, 224},	// QWebFrame::setTextSizeMultiplier$
    {53, 776, 201},	// QWebFrame::setUrl#
    {53, 789, 227},	// QWebFrame::setZoomFactor$
    {53, 796, 259},	// QWebFrame::staticMetaObject
    {53, 818, 225},	// QWebFrame::textSizeMultiplier
    {53, 821, 200},	// QWebFrame::title
    {53, 823, 243},	// QWebFrame::titleChanged$
    {53, 824, 197},	// QWebFrame::toHtml
    {53, 828, 198},	// QWebFrame::toPlainText
    {53, 835, 251},	// QWebFrame::tr$
    {53, 836, 185},	// QWebFrame::tr$$
    {53, 837, 187},	// QWebFrame::tr$$$
    {53, 839, 252},	// QWebFrame::trUtf8$
    {53, 840, 186},	// QWebFrame::trUtf8$$
    {53, 841, 188},	// QWebFrame::trUtf8$$$
    {53, 853, 202},	// QWebFrame::url
    {53, 855, 244},	// QWebFrame::urlChanged#
    {53, 873, 226},	// QWebFrame::zoomFactor
    {54, 271, 270},	// QWebHistory::back
    {54, 272, 273},	// QWebHistory::backItem
    {54, 274, 266},	// QWebHistory::backItems$
    {54, 279, 268},	// QWebHistory::canGoBack
    {54, 280, 269},	// QWebHistory::canGoForward
    {54, 288, 264},	// QWebHistory::clear
    {54, 308, 278},	// QWebHistory::count
    {54, 317, 274},	// QWebHistory::currentItem
    {54, 318, 277},	// QWebHistory::currentItemIndex
    {54, 402, 271},	// QWebHistory::forward
    {54, 403, 275},	// QWebHistory::forwardItem
    {54, 405, 267},	// QWebHistory::forwardItems$
    {54, 418, 272},	// QWebHistory::goToItem#
    {54, 457, 276},	// QWebHistory::itemAt$
    {54, 458, 265},	// QWebHistory::items
    {54, 503, 279},	// QWebHistory::maximumItemCount
    {54, 723, 280},	// QWebHistory::setMaximumItemCount$
    {55, 155, 295},	// QWebHistoryInterface::QWebHistoryInterface
    {55, 156, 288},	// QWebHistoryInterface::QWebHistoryInterface#
    {55, 243, 292},	// QWebHistoryInterface::addHistoryEntry$
    {55, 325, 290},	// QWebHistoryInterface::defaultInterface
    {55, 434, 291},	// QWebHistoryInterface::historyContains$
    {55, 509, 281},	// QWebHistoryInterface::metaObject
    {55, 597, 287},	// QWebHistoryInterface::qt_metacall$$?
    {55, 599, 282},	// QWebHistoryInterface::qt_metacast$
    {55, 683, 289},	// QWebHistoryInterface::setDefaultInterface#
    {55, 796, 296},	// QWebHistoryInterface::staticMetaObject
    {55, 835, 293},	// QWebHistoryInterface::tr$
    {55, 836, 283},	// QWebHistoryInterface::tr$$
    {55, 837, 285},	// QWebHistoryInterface::tr$$$
    {55, 839, 294},	// QWebHistoryInterface::trUtf8$
    {55, 840, 284},	// QWebHistoryInterface::trUtf8$$
    {55, 841, 286},	// QWebHistoryInterface::trUtf8$$$
    {55, 885, 297},	// QWebHistoryInterface::~QWebHistoryInterface
    {56, 158, 298},	// QWebHistoryItem::QWebHistoryItem#
    {56, 438, 304},	// QWebHistoryItem::icon
    {56, 455, 307},	// QWebHistoryItem::isValid
    {56, 478, 303},	// QWebHistoryItem::lastVisited
    {56, 555, 299},	// QWebHistoryItem::operator=#
    {56, 565, 300},	// QWebHistoryItem::originalUrl
    {56, 778, 306},	// QWebHistoryItem::setUserData#
    {56, 821, 302},	// QWebHistoryItem::title
    {56, 853, 301},	// QWebHistoryItem::url
    {56, 858, 305},	// QWebHistoryItem::userData
    {56, 886, 308},	// QWebHistoryItem::~QWebHistoryItem
    {57, 159, 309},	// QWebHitTestResult::QWebHitTestResult
    {57, 160, 310},	// QWebHitTestResult::QWebHitTestResult#
    {57, 250, 322},	// QWebHitTestResult::alternateText
    {57, 277, 314},	// QWebHitTestResult::boundingRect
    {57, 345, 327},	// QWebHitTestResult::element
    {57, 355, 315},	// QWebHitTestResult::enclosingBlockElement
    {57, 407, 328},	// QWebHitTestResult::frame
    {57, 443, 323},	// QWebHitTestResult::imageUrl
    {57, 450, 325},	// QWebHitTestResult::isContentEditable
    {57, 451, 326},	// QWebHitTestResult::isContentSelected
    {57, 453, 312},	// QWebHitTestResult::isNull
    {57, 483, 321},	// QWebHitTestResult::linkElement
    {57, 486, 320},	// QWebHitTestResult::linkTargetFrame
    {57, 487, 317},	// QWebHitTestResult::linkText
    {57, 488, 319},	// QWebHitTestResult::linkTitle
    {57, 489, 318},	// QWebHitTestResult::linkUrl
    {57, 555, 311},	// QWebHitTestResult::operator=#
    {57, 577, 324},	// QWebHitTestResult::pixmap
    {57, 581, 313},	// QWebHitTestResult::pos
    {57, 821, 316},	// QWebHitTestResult::title
    {57, 887, 329},	// QWebHitTestResult::~QWebHitTestResult
    {58, 161, 348},	// QWebInspector::QWebInspector
    {58, 162, 337},	// QWebInspector::QWebInspector#
    {58, 293, 345},	// QWebInspector::closeEvent#
    {58, 364, 341},	// QWebInspector::event#
    {58, 431, 344},	// QWebInspector::hideEvent#
    {58, 509, 330},	// QWebInspector::metaObject
    {58, 566, 339},	// QWebInspector::page
    {58, 597, 336},	// QWebInspector::qt_metacall$$?
    {58, 599, 331},	// QWebInspector::qt_metacast$
    {58, 635, 342},	// QWebInspector::resizeEvent#
    {58, 745, 338},	// QWebInspector::setPage#
    {58, 793, 343},	// QWebInspector::showEvent#
    {58, 795, 340},	// QWebInspector::sizeHint
    {58, 796, 349},	// QWebInspector::staticMetaObject
    {58, 835, 346},	// QWebInspector::tr$
    {58, 836, 332},	// QWebInspector::tr$$
    {58, 837, 334},	// QWebInspector::tr$$$
    {58, 839, 347},	// QWebInspector::trUtf8$
    {58, 840, 333},	// QWebInspector::trUtf8$$
    {58, 841, 335},	// QWebInspector::trUtf8$$$
    {58, 888, 350},	// QWebInspector::~QWebInspector
    {59, 2, 521},	// QWebPage::AlignCenter
    {59, 3, 522},	// QWebPage::AlignJustified
    {59, 4, 523},	// QWebPage::AlignLeft
    {59, 5, 524},	// QWebPage::AlignRight
    {59, 11, 466},	// QWebPage::Back
    {59, 16, 543},	// QWebPage::ChooseMultipleFilesExtension
    {59, 23, 471},	// QWebPage::Copy
    {59, 24, 465},	// QWebPage::CopyImageToClipboard
    {59, 25, 526},	// QWebPage::CopyImageUrlToClipboard
    {59, 26, 462},	// QWebPage::CopyLinkToClipboard
    {59, 28, 470},	// QWebPage::Cut
    {59, 32, 535},	// QWebPage::DelegateAllLinks
    {59, 33, 534},	// QWebPage::DelegateExternalLinks
    {59, 35, 500},	// QWebPage::DeleteEndOfWord
    {59, 36, 499},	// QWebPage::DeleteStartOfWord
    {59, 39, 533},	// QWebPage::DontDelegateLinks
    {59, 40, 464},	// QWebPage::DownloadImageToDisk
    {59, 41, 461},	// QWebPage::DownloadLinkToDisk
    {59, 44, 544},	// QWebPage::ErrorPageExtension
    {59, 54, 529},	// QWebPage::FindBackward
    {59, 55, 530},	// QWebPage::FindCaseSensitively
    {59, 56, 531},	// QWebPage::FindWrapsAroundDocument
    {59, 58, 467},	// QWebPage::Forward
    {59, 60, 542},	// QWebPage::Geolocation
    {59, 61, 532},	// QWebPage::HighlightAllOccurrences
    {59, 62, 546},	// QWebPage::Http
    {59, 65, 519},	// QWebPage::Indent
    {59, 68, 509},	// QWebPage::InsertLineSeparator
    {59, 69, 518},	// QWebPage::InsertOrderedList
    {59, 70, 508},	// QWebPage::InsertParagraphSeparator
    {59, 71, 517},	// QWebPage::InsertUnorderedList
    {59, 72, 507},	// QWebPage::InspectElement
    {59, 108, 484},	// QWebPage::MoveToEndOfBlock
    {59, 109, 486},	// QWebPage::MoveToEndOfDocument
    {59, 110, 482},	// QWebPage::MoveToEndOfLine
    {59, 111, 475},	// QWebPage::MoveToNextChar
    {59, 112, 479},	// QWebPage::MoveToNextLine
    {59, 113, 477},	// QWebPage::MoveToNextWord
    {59, 114, 476},	// QWebPage::MoveToPreviousChar
    {59, 115, 480},	// QWebPage::MoveToPreviousLine
    {59, 116, 478},	// QWebPage::MoveToPreviousWord
    {59, 117, 483},	// QWebPage::MoveToStartOfBlock
    {59, 118, 485},	// QWebPage::MoveToStartOfDocument
    {59, 119, 481},	// QWebPage::MoveToStartOfLine
    {59, 120, 453},	// QWebPage::NavigationTypeBackOrForward
    {59, 121, 455},	// QWebPage::NavigationTypeFormResubmitted
    {59, 122, 452},	// QWebPage::NavigationTypeFormSubmitted
    {59, 123, 451},	// QWebPage::NavigationTypeLinkClicked
    {59, 124, 456},	// QWebPage::NavigationTypeOther
    {59, 125, 454},	// QWebPage::NavigationTypeReload
    {59, 126, 457},	// QWebPage::NoWebAction
    {59, 127, 541},	// QWebPage::Notifications
    {59, 131, 460},	// QWebPage::OpenFrameInNewWindow
    {59, 132, 463},	// QWebPage::OpenImageInNewWindow
    {59, 133, 458},	// QWebPage::OpenLink
    {59, 134, 459},	// QWebPage::OpenLinkInNewWindow
    {59, 135, 527},	// QWebPage::OpenLinkInThisWindow
    {59, 136, 520},	// QWebPage::Outdent
    {59, 138, 472},	// QWebPage::Paste
    {59, 139, 512},	// QWebPage::PasteAndMatchStyle
    {59, 140, 540},	// QWebPage::PermissionDeniedByUser
    {59, 141, 539},	// QWebPage::PermissionGrantedByUser
    {59, 142, 538},	// QWebPage::PermissionUnknown
    {59, 163, 445},	// QWebPage::QWebPage
    {59, 164, 358},	// QWebPage::QWebPage#
    {59, 179, 545},	// QWebPage::QtNetwork
    {59, 182, 474},	// QWebPage::Redo
    {59, 183, 469},	// QWebPage::Reload
    {59, 184, 511},	// QWebPage::ReloadAndBypassCache
    {59, 185, 513},	// QWebPage::RemoveFormat
    {59, 191, 510},	// QWebPage::SelectAll
    {59, 192, 496},	// QWebPage::SelectEndOfBlock
    {59, 193, 498},	// QWebPage::SelectEndOfDocument
    {59, 194, 494},	// QWebPage::SelectEndOfLine
    {59, 195, 487},	// QWebPage::SelectNextChar
    {59, 196, 491},	// QWebPage::SelectNextLine
    {59, 197, 489},	// QWebPage::SelectNextWord
    {59, 198, 488},	// QWebPage::SelectPreviousChar
    {59, 199, 492},	// QWebPage::SelectPreviousLine
    {59, 200, 490},	// QWebPage::SelectPreviousWord
    {59, 201, 495},	// QWebPage::SelectStartOfBlock
    {59, 202, 497},	// QWebPage::SelectStartOfDocument
    {59, 203, 493},	// QWebPage::SelectStartOfLine
    {59, 205, 501},	// QWebPage::SetTextDirectionDefault
    {59, 206, 502},	// QWebPage::SetTextDirectionLeftToRight
    {59, 207, 503},	// QWebPage::SetTextDirectionRightToLeft
    {59, 211, 468},	// QWebPage::Stop
    {59, 212, 525},	// QWebPage::StopScheduledPageRefresh
    {59, 215, 504},	// QWebPage::ToggleBold
    {59, 216, 505},	// QWebPage::ToggleItalic
    {59, 217, 514},	// QWebPage::ToggleStrikethrough
    {59, 218, 515},	// QWebPage::ToggleSubscript
    {59, 219, 516},	// QWebPage::ToggleSuperscript
    {59, 220, 506},	// QWebPage::ToggleUnderline
    {59, 221, 473},	// QWebPage::Undo
    {59, 224, 528},	// QWebPage::WebActionCount
    {59, 225, 536},	// QWebPage::WebBrowserWindow
    {59, 227, 547},	// QWebPage::WebKit
    {59, 228, 537},	// QWebPage::WebModalDialog
    {59, 236, 436},	// QWebPage::acceptNavigationRequest##$
    {59, 238, 377},	// QWebPage::action$
    {59, 260, 428},	// QWebPage::applicationCacheQuotaExceeded#$$
    {59, 278, 373},	// QWebPage::bytesReceived
    {59, 286, 437},	// QWebPage::chooseFile#$
    {59, 302, 426},	// QWebPage::contentsChanged
    {59, 312, 435},	// QWebPage::createPlugin$#??
    {59, 313, 399},	// QWebPage::createStandardContextMenu
    {59, 315, 434},	// QWebPage::createWindow$
    {59, 316, 360},	// QWebPage::currentFrame
    {59, 322, 427},	// QWebPage::databaseQuotaExceeded#$
    {59, 336, 424},	// QWebPage::downloadRequested#
    {59, 364, 385},	// QWebPage::event#
    {59, 368, 448},	// QWebPage::extension$
    {59, 369, 449},	// QWebPage::extension$#
    {59, 370, 403},	// QWebPage::extension$##
    {59, 372, 433},	// QWebPage::featurePermissionRequestCanceled#$
    {59, 374, 432},	// QWebPage::featurePermissionRequested#$
    {59, 387, 447},	// QWebPage::findText$
    {59, 388, 388},	// QWebPage::findText$$
    {59, 394, 386},	// QWebPage::focusNextPrevChild$
    {59, 406, 390},	// QWebPage::forwardUnsupportedContent
    {59, 409, 361},	// QWebPage::frameAt#
    {59, 411, 413},	// QWebPage::frameCreated#
    {59, 415, 414},	// QWebPage::geometryChangeRequested#
    {59, 419, 405},	// QWebPage::handle
    {59, 428, 374},	// QWebPage::hasSelection
    {59, 432, 362},	// QWebPage::history
    {59, 449, 387},	// QWebPage::inputMethodQuery$
    {59, 450, 396},	// QWebPage::isContentEditable
    {59, 452, 366},	// QWebPage::isModified
    {59, 463, 438},	// QWebPage::javaScriptAlert#$
    {59, 465, 439},	// QWebPage::javaScriptConfirm#$
    {59, 467, 441},	// QWebPage::javaScriptConsoleMessage$$$
    {59, 469, 440},	// QWebPage::javaScriptPrompt#$$$
    {59, 481, 419},	// QWebPage::linkClicked#
    {59, 482, 392},	// QWebPage::linkDelegationPolicy
    {59, 485, 410},	// QWebPage::linkHovered$$$
    {59, 495, 409},	// QWebPage::loadFinished$
    {59, 497, 408},	// QWebPage::loadProgress$
    {59, 498, 407},	// QWebPage::loadStarted
    {59, 502, 359},	// QWebPage::mainFrame
    {59, 507, 422},	// QWebPage::menuBarVisibilityChangeRequested$
    {59, 509, 351},	// QWebPage::metaObject
    {59, 511, 425},	// QWebPage::microFocusChanged
    {59, 526, 369},	// QWebPage::networkAccessManager
    {59, 573, 394},	// QWebPage::palette
    {59, 578, 371},	// QWebPage::pluginFactory
    {59, 582, 382},	// QWebPage::preferredContentsSize
    {59, 594, 418},	// QWebPage::printRequested#
    {59, 597, 357},	// QWebPage::qt_metacall$$?
    {59, 599, 352},	// QWebPage::qt_metacast$
    {59, 623, 415},	// QWebPage::repaintRequested#
    {59, 637, 430},	// QWebPage::restoreFrameStateRequested#
    {59, 639, 429},	// QWebPage::saveFrameStateRequested##
    {59, 655, 416},	// QWebPage::scrollRequested$$#
    {59, 659, 376},	// QWebPage::selectedHtml
    {59, 660, 375},	// QWebPage::selectedText
    {59, 661, 412},	// QWebPage::selectionChanged
    {59, 663, 384},	// QWebPage::setActualVisibleContentRect#
    {59, 677, 395},	// QWebPage::setContentEditable$
    {59, 697, 400},	// QWebPage::setFeaturePermission#$$
    {59, 708, 389},	// QWebPage::setForwardUnsupportedContent$
    {59, 719, 391},	// QWebPage::setLinkDelegationPolicy$
    {59, 731, 368},	// QWebPage::setNetworkAccessManager#
    {59, 747, 393},	// QWebPage::setPalette#
    {59, 753, 370},	// QWebPage::setPluginFactory#
    {59, 755, 383},	// QWebPage::setPreferredContentsSize#
    {59, 782, 364},	// QWebPage::setView#
    {59, 784, 380},	// QWebPage::setViewportSize#
    {59, 790, 363},	// QWebPage::settings
    {59, 791, 406},	// QWebPage::shouldInterruptJavaScript
    {59, 796, 450},	// QWebPage::staticMetaObject
    {59, 798, 411},	// QWebPage::statusBarMessage$
    {59, 800, 421},	// QWebPage::statusBarVisibilityChangeRequested$
    {59, 806, 401},	// QWebPage::supportedContentTypes
    {59, 808, 402},	// QWebPage::supportsContentType$
    {59, 810, 404},	// QWebPage::supportsExtension$
    {59, 812, 397},	// QWebPage::swallowContextMenuEvent#
    {59, 832, 420},	// QWebPage::toolBarVisibilityChangeRequested$
    {59, 833, 372},	// QWebPage::totalBytes
    {59, 835, 443},	// QWebPage::tr$
    {59, 836, 353},	// QWebPage::tr$$
    {59, 837, 355},	// QWebPage::tr$$$
    {59, 839, 444},	// QWebPage::trUtf8$
    {59, 840, 354},	// QWebPage::trUtf8$$
    {59, 841, 356},	// QWebPage::trUtf8$$$
    {59, 843, 446},	// QWebPage::triggerAction$
    {59, 844, 378},	// QWebPage::triggerAction$$
    {59, 848, 367},	// QWebPage::undoStack
    {59, 850, 423},	// QWebPage::unsupportedContent#
    {59, 852, 398},	// QWebPage::updatePositionDependentActions#
    {59, 857, 442},	// QWebPage::userAgentForUrl#
    {59, 860, 365},	// QWebPage::view
    {59, 862, 381},	// QWebPage::viewportAttributesForSize#
    {59, 863, 431},	// QWebPage::viewportChangeRequested
    {59, 864, 379},	// QWebPage::viewportSize
    {59, 871, 417},	// QWebPage::windowCloseRequested
    {59, 889, 548},	// QWebPage::~QWebPage
    {60, 17, 549},	// QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption
    {60, 18, 550},	// QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption#
    {60, 576, 551},	// QWebPage::ChooseMultipleFilesExtensionOption::parentFrame
    {60, 749, 552},	// QWebPage::ChooseMultipleFilesExtensionOption::setParentFrame#
    {60, 770, 554},	// QWebPage::ChooseMultipleFilesExtensionOption::setSuggestedFileNames?
    {60, 805, 553},	// QWebPage::ChooseMultipleFilesExtensionOption::suggestedFileNames
    {60, 874, 555},	// QWebPage::ChooseMultipleFilesExtensionOption::~ChooseMultipleFilesExtensionOption
    {61, 19, 556},	// QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn
    {61, 20, 557},	// QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn#
    {61, 377, 558},	// QWebPage::ChooseMultipleFilesExtensionReturn::fileNames
    {61, 701, 559},	// QWebPage::ChooseMultipleFilesExtensionReturn::setFileNames?
    {61, 875, 560},	// QWebPage::ChooseMultipleFilesExtensionReturn::~ChooseMultipleFilesExtensionReturn
    {62, 45, 561},	// QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption
    {62, 46, 562},	// QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption#
    {62, 334, 567},	// QWebPage::ErrorPageExtensionOption::domain
    {62, 359, 569},	// QWebPage::ErrorPageExtensionOption::error
    {62, 360, 571},	// QWebPage::ErrorPageExtensionOption::errorString
    {62, 407, 565},	// QWebPage::ErrorPageExtensionOption::frame
    {62, 689, 568},	// QWebPage::ErrorPageExtensionOption::setDomain$
    {62, 693, 570},	// QWebPage::ErrorPageExtensionOption::setError$
    {62, 695, 572},	// QWebPage::ErrorPageExtensionOption::setErrorString$
    {62, 710, 566},	// QWebPage::ErrorPageExtensionOption::setFrame#
    {62, 776, 564},	// QWebPage::ErrorPageExtensionOption::setUrl#
    {62, 853, 563},	// QWebPage::ErrorPageExtensionOption::url
    {62, 876, 573},	// QWebPage::ErrorPageExtensionOption::~ErrorPageExtensionOption
    {63, 47, 574},	// QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn
    {63, 48, 575},	// QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn#
    {63, 275, 580},	// QWebPage::ErrorPageExtensionReturn::baseUrl
    {63, 300, 582},	// QWebPage::ErrorPageExtensionReturn::content
    {63, 301, 576},	// QWebPage::ErrorPageExtensionReturn::contentType
    {63, 356, 578},	// QWebPage::ErrorPageExtensionReturn::encoding
    {63, 671, 581},	// QWebPage::ErrorPageExtensionReturn::setBaseUrl#
    {63, 673, 583},	// QWebPage::ErrorPageExtensionReturn::setContent#
    {63, 679, 577},	// QWebPage::ErrorPageExtensionReturn::setContentType$
    {63, 691, 579},	// QWebPage::ErrorPageExtensionReturn::setEncoding$
    {63, 877, 584},	// QWebPage::ErrorPageExtensionReturn::~ErrorPageExtensionReturn
    {64, 49, 585},	// QWebPage::ExtensionOption::ExtensionOption
    {64, 50, 586},	// QWebPage::ExtensionOption::ExtensionOption#
    {64, 878, 587},	// QWebPage::ExtensionOption::~ExtensionOption
    {65, 51, 588},	// QWebPage::ExtensionReturn::ExtensionReturn
    {65, 52, 589},	// QWebPage::ExtensionReturn::ExtensionReturn#
    {65, 879, 590},	// QWebPage::ExtensionReturn::~ExtensionReturn
    {66, 222, 591},	// QWebPage::ViewportAttributes::ViewportAttributes
    {66, 223, 592},	// QWebPage::ViewportAttributes::ViewportAttributes#
    {66, 329, 597},	// QWebPage::ViewportAttributes::devicePixelRatio
    {66, 445, 594},	// QWebPage::ViewportAttributes::initialScaleFactor
    {66, 454, 598},	// QWebPage::ViewportAttributes::isUserScalable
    {66, 455, 599},	// QWebPage::ViewportAttributes::isValid
    {66, 505, 596},	// QWebPage::ViewportAttributes::maximumScaleFactor
    {66, 513, 595},	// QWebPage::ViewportAttributes::minimumScaleFactor
    {66, 555, 593},	// QWebPage::ViewportAttributes::operator=#
    {66, 794, 600},	// QWebPage::ViewportAttributes::size
    {66, 893, 601},	// QWebPage::ViewportAttributes::~ViewportAttributes
    {68, 165, 617},	// QWebPluginFactory::QWebPluginFactory
    {68, 166, 609},	// QWebPluginFactory::QWebPluginFactory#
    {68, 310, 612},	// QWebPluginFactory::create$#??
    {68, 368, 618},	// QWebPluginFactory::extension$
    {68, 369, 619},	// QWebPluginFactory::extension$#
    {68, 370, 613},	// QWebPluginFactory::extension$##
    {68, 509, 602},	// QWebPluginFactory::metaObject
    {68, 579, 610},	// QWebPluginFactory::plugins
    {68, 597, 608},	// QWebPluginFactory::qt_metacall$$?
    {68, 599, 603},	// QWebPluginFactory::qt_metacast$
    {68, 600, 611},	// QWebPluginFactory::refreshPlugins
    {68, 796, 620},	// QWebPluginFactory::staticMetaObject
    {68, 810, 614},	// QWebPluginFactory::supportsExtension$
    {68, 835, 615},	// QWebPluginFactory::tr$
    {68, 836, 604},	// QWebPluginFactory::tr$$
    {68, 837, 606},	// QWebPluginFactory::tr$$$
    {68, 839, 616},	// QWebPluginFactory::trUtf8$
    {68, 840, 605},	// QWebPluginFactory::trUtf8$$
    {68, 841, 607},	// QWebPluginFactory::trUtf8$$$
    {68, 890, 621},	// QWebPluginFactory::~QWebPluginFactory
    {69, 49, 622},	// QWebPluginFactory::ExtensionOption::ExtensionOption
    {69, 50, 623},	// QWebPluginFactory::ExtensionOption::ExtensionOption#
    {69, 878, 624},	// QWebPluginFactory::ExtensionOption::~ExtensionOption
    {70, 51, 625},	// QWebPluginFactory::ExtensionReturn::ExtensionReturn
    {70, 52, 626},	// QWebPluginFactory::ExtensionReturn::ExtensionReturn#
    {70, 879, 627},	// QWebPluginFactory::ExtensionReturn::~ExtensionReturn
    {71, 102, 630},	// QWebPluginFactory::MimeType::MimeType
    {71, 103, 631},	// QWebPluginFactory::MimeType::MimeType#
    {71, 327, 634},	// QWebPluginFactory::MimeType::description
    {71, 375, 636},	// QWebPluginFactory::MimeType::fileExtensions
    {71, 524, 632},	// QWebPluginFactory::MimeType::name
    {71, 533, 629},	// QWebPluginFactory::MimeType::operator!=#
    {71, 557, 628},	// QWebPluginFactory::MimeType::operator==#
    {71, 687, 635},	// QWebPluginFactory::MimeType::setDescription$
    {71, 699, 637},	// QWebPluginFactory::MimeType::setFileExtensions?
    {71, 729, 633},	// QWebPluginFactory::MimeType::setName$
    {71, 880, 638},	// QWebPluginFactory::MimeType::~MimeType
    {72, 143, 639},	// QWebPluginFactory::Plugin::Plugin
    {72, 144, 640},	// QWebPluginFactory::Plugin::Plugin#
    {72, 327, 643},	// QWebPluginFactory::Plugin::description
    {72, 512, 645},	// QWebPluginFactory::Plugin::mimeTypes
    {72, 524, 641},	// QWebPluginFactory::Plugin::name
    {72, 687, 644},	// QWebPluginFactory::Plugin::setDescription$
    {72, 727, 646},	// QWebPluginFactory::Plugin::setMimeTypes?
    {72, 729, 642},	// QWebPluginFactory::Plugin::setName$
    {72, 881, 647},	// QWebPluginFactory::Plugin::~Plugin
    {73, 168, 660},	// QWebSecurityOrigin::QWebSecurityOrigin#
    {73, 245, 649},	// QWebSecurityOrigin::addLocalScheme$
    {73, 249, 648},	// QWebSecurityOrigin::allOrigins
    {73, 320, 656},	// QWebSecurityOrigin::databaseQuota
    {73, 323, 655},	// QWebSecurityOrigin::databaseUsage
    {73, 324, 659},	// QWebSecurityOrigin::databases
    {73, 437, 653},	// QWebSecurityOrigin::host
    {73, 500, 651},	// QWebSecurityOrigin::localSchemes
    {73, 555, 661},	// QWebSecurityOrigin::operator=#
    {73, 580, 654},	// QWebSecurityOrigin::port
    {73, 614, 650},	// QWebSecurityOrigin::removeLocalScheme$
    {73, 640, 652},	// QWebSecurityOrigin::scheme
    {73, 665, 658},	// QWebSecurityOrigin::setApplicationCacheQuota$
    {73, 681, 657},	// QWebSecurityOrigin::setDatabaseQuota$
    {73, 891, 662},	// QWebSecurityOrigin::~QWebSecurityOrigin
    {74, 1, 726},	// QWebSettings::AcceleratedCompositingEnabled
    {74, 7, 754},	// QWebSettings::AllowThirdPartyWithExistingCookies
    {74, 8, 752},	// QWebSettings::AlwaysAllowThirdPartyCookies
    {74, 9, 753},	// QWebSettings::AlwaysBlockThirdPartyCookies
    {74, 10, 708},	// QWebSettings::AutoLoadImages
    {74, 12, 736},	// QWebSettings::CSSGridLayoutEnabled
    {74, 13, 734},	// QWebSettings::CSSRegionsEnabled
    {74, 14, 738},	// QWebSettings::CaretBrowsingEnabled
    {74, 27, 706},	// QWebSettings::CursiveFont
    {74, 29, 751},	// QWebSettings::DefaultFixedFontSize
    {74, 30, 750},	// QWebSettings::DefaultFontSize
    {74, 31, 742},	// QWebSettings::DefaultFrameIconGraphic
    {74, 34, 744},	// QWebSettings::DeleteButtonGraphic
    {74, 37, 715},	// QWebSettings::DeveloperExtrasEnabled
    {74, 38, 724},	// QWebSettings::DnsPrefetchEnabled
    {74, 53, 707},	// QWebSettings::FantasyFont
    {74, 57, 703},	// QWebSettings::FixedFont
    {74, 59, 730},	// QWebSettings::FrameFlatteningEnabled
    {74, 63, 735},	// QWebSettings::HyperlinkAuditingEnabled
    {74, 67, 745},	// QWebSettings::InputSpeechButtonGraphic
    {74, 73, 710},	// QWebSettings::JavaEnabled
    {74, 74, 714},	// QWebSettings::JavascriptCanAccessClipboard
    {74, 75, 732},	// QWebSettings::JavascriptCanCloseWindows
    {74, 76, 713},	// QWebSettings::JavascriptCanOpenWindows
    {74, 77, 709},	// QWebSettings::JavascriptEnabled
    {74, 97, 716},	// QWebSettings::LinksIncludedInFocusChain
    {74, 98, 728},	// QWebSettings::LocalContentCanAccessFileUrls
    {74, 99, 723},	// QWebSettings::LocalContentCanAccessRemoteUrls
    {74, 100, 722},	// QWebSettings::LocalStorageDatabaseEnabled
    {74, 101, 721},	// QWebSettings::LocalStorageEnabled
    {74, 104, 748},	// QWebSettings::MinimumFontSize
    {74, 105, 749},	// QWebSettings::MinimumLogicalFontSize
    {74, 106, 740},	// QWebSettings::MissingImageGraphic
    {74, 107, 741},	// QWebSettings::MissingPluginGraphic
    {74, 128, 739},	// QWebSettings::NotificationsEnabled
    {74, 129, 719},	// QWebSettings::OfflineStorageDatabaseEnabled
    {74, 130, 720},	// QWebSettings::OfflineWebApplicationCacheEnabled
    {74, 145, 711},	// QWebSettings::PluginsEnabled
    {74, 146, 718},	// QWebSettings::PrintElementBackgrounds
    {74, 147, 712},	// QWebSettings::PrivateBrowsingEnabled
    {74, 186, 705},	// QWebSettings::SansSerifFont
    {74, 187, 737},	// QWebSettings::ScrollAnimatorEnabled
    {74, 189, 746},	// QWebSettings::SearchCancelButtonGraphic
    {74, 190, 747},	// QWebSettings::SearchCancelButtonPressedGraphic
    {74, 204, 704},	// QWebSettings::SerifFont
    {74, 208, 731},	// QWebSettings::SiteSpecificQuirksEnabled
    {74, 209, 727},	// QWebSettings::SpatialNavigationEnabled
    {74, 210, 702},	// QWebSettings::StandardFont
    {74, 213, 743},	// QWebSettings::TextAreaSizeGripCornerGraphic
    {74, 214, 729},	// QWebSettings::TiledBackingStoreEnabled
    {74, 226, 733},	// QWebSettings::WebGLEnabled
    {74, 229, 725},	// QWebSettings::XSSAuditingEnabled
    {74, 230, 717},	// QWebSettings::ZoomTextOnly
    {74, 289, 679},	// QWebSettings::clearIconDatabase
    {74, 290, 696},	// QWebSettings::clearMemoryCaches
    {74, 326, 676},	// QWebSettings::defaultTextEncoding
    {74, 346, 701},	// QWebSettings::enablePersistentStorage
    {74, 347, 697},	// QWebSettings::enablePersistentStorage$
    {74, 399, 665},	// QWebSettings::fontFamily$
    {74, 401, 668},	// QWebSettings::fontSize$
    {74, 416, 663},	// QWebSettings::globalSettings
    {74, 419, 700},	// QWebSettings::handle
    {74, 440, 678},	// QWebSettings::iconDatabasePath
    {74, 442, 680},	// QWebSettings::iconForUrl#
    {74, 501, 695},	// QWebSettings::localStoragePath
    {74, 504, 684},	// QWebSettings::maximumPagesInCache
    {74, 528, 689},	// QWebSettings::offlineStorageDefaultQuota
    {74, 529, 687},	// QWebSettings::offlineStoragePath
    {74, 530, 691},	// QWebSettings::offlineWebApplicationCachePath
    {74, 531, 693},	// QWebSettings::offlineWebApplicationCacheQuota
    {74, 629, 672},	// QWebSettings::resetAttribute$
    {74, 631, 666},	// QWebSettings::resetFontFamily$
    {74, 633, 669},	// QWebSettings::resetFontSize$
    {74, 667, 670},	// QWebSettings::setAttribute$$
    {74, 685, 675},	// QWebSettings::setDefaultTextEncoding$
    {74, 704, 664},	// QWebSettings::setFontFamily$$
    {74, 706, 667},	// QWebSettings::setFontSize$$
    {74, 715, 677},	// QWebSettings::setIconDatabasePath$
    {74, 721, 694},	// QWebSettings::setLocalStoragePath$
    {74, 725, 683},	// QWebSettings::setMaximumPagesInCache$
    {74, 733, 685},	// QWebSettings::setObjectCacheCapacities$$$
    {74, 735, 688},	// QWebSettings::setOfflineStorageDefaultQuota$
    {74, 737, 686},	// QWebSettings::setOfflineStoragePath$
    {74, 739, 690},	// QWebSettings::setOfflineWebApplicationCachePath$
    {74, 741, 692},	// QWebSettings::setOfflineWebApplicationCacheQuota$
    {74, 774, 698},	// QWebSettings::setThirdPartyCookiePolicy$
    {74, 780, 673},	// QWebSettings::setUserStyleSheetUrl#
    {74, 787, 681},	// QWebSettings::setWebGraphic$#
    {74, 817, 671},	// QWebSettings::testAttribute$
    {74, 819, 699},	// QWebSettings::thirdPartyCookiePolicy
    {74, 859, 674},	// QWebSettings::userStyleSheetUrl
    {74, 867, 682},	// QWebSettings::webGraphic$
    {76, 169, 828},	// QWebView::QWebView
    {76, 170, 762},	// QWebView::QWebView#
    {76, 271, 793},	// QWebView::back
    {76, 282, 809},	// QWebView::changeEvent#
    {76, 307, 814},	// QWebView::contextMenuEvent#
    {76, 315, 808},	// QWebView::createWindow$
    {76, 338, 818},	// QWebView::dragEnterEvent#
    {76, 340, 819},	// QWebView::dragLeaveEvent#
    {76, 342, 820},	// QWebView::dragMoveEvent#
    {76, 344, 821},	// QWebView::dropEvent#
    {76, 364, 791},	// QWebView::event#
    {76, 387, 836},	// QWebView::findText$
    {76, 388, 790},	// QWebView::findText$$
    {76, 392, 822},	// QWebView::focusInEvent#
    {76, 394, 825},	// QWebView::focusNextPrevChild$
    {76, 396, 823},	// QWebView::focusOutEvent#
    {76, 402, 794},	// QWebView::forward
    {76, 428, 775},	// QWebView::hasSelection
    {76, 432, 769},	// QWebView::history
    {76, 438, 774},	// QWebView::icon
    {76, 439, 804},	// QWebView::iconChanged
    {76, 447, 824},	// QWebView::inputMethodEvent#
    {76, 449, 781},	// QWebView::inputMethodQuery$
    {76, 452, 780},	// QWebView::isModified
    {76, 472, 816},	// QWebView::keyPressEvent#
    {76, 474, 817},	// QWebView::keyReleaseEvent#
    {76, 481, 802},	// QWebView::linkClicked#
    {76, 491, -1},	// QWebView::load#
    {76, 492, 830},	// QWebView::load#$
    {76, 493, 766},	// QWebView::load#$#
    {76, 495, 799},	// QWebView::loadFinished$
    {76, 497, 798},	// QWebView::loadProgress$
    {76, 498, 797},	// QWebView::loadStarted
    {76, 509, 755},	// QWebView::metaObject
    {76, 516, 812},	// QWebView::mouseDoubleClickEvent#
    {76, 518, 810},	// QWebView::mouseMoveEvent#
    {76, 520, 811},	// QWebView::mousePressEvent#
    {76, 522, 813},	// QWebView::mouseReleaseEvent#
    {76, 566, 763},	// QWebView::page
    {76, 568, 778},	// QWebView::pageAction$
    {76, 572, 807},	// QWebView::paintEvent#
    {76, 592, 796},	// QWebView::print#
    {76, 597, 761},	// QWebView::qt_metacall$$?
    {76, 599, 756},	// QWebView::qt_metacast$
    {76, 601, 795},	// QWebView::reload
    {76, 620, 787},	// QWebView::renderHints
    {76, 635, 806},	// QWebView::resizeEvent#
    {76, 659, 777},	// QWebView::selectedHtml
    {76, 660, 776},	// QWebView::selectedText
    {76, 661, 803},	// QWebView::selectionChanged
    {76, 673, 832},	// QWebView::setContent#
    {76, 674, 833},	// QWebView::setContent#$
    {76, 675, 768},	// QWebView::setContent#$#
    {76, 712, 831},	// QWebView::setHtml$
    {76, 713, 767},	// QWebView::setHtml$#
    {76, 745, 764},	// QWebView::setPage#
    {76, 757, 835},	// QWebView::setRenderHint$
    {76, 758, 789},	// QWebView::setRenderHint$$
    {76, 760, 788},	// QWebView::setRenderHints$
    {76, 772, 785},	// QWebView::setTextSizeMultiplier$
    {76, 776, 772},	// QWebView::setUrl#
    {76, 789, 784},	// QWebView::setZoomFactor$
    {76, 790, 770},	// QWebView::settings
    {76, 795, 782},	// QWebView::sizeHint
    {76, 796, 837},	// QWebView::staticMetaObject
    {76, 798, 801},	// QWebView::statusBarMessage$
    {76, 801, 792},	// QWebView::stop
    {76, 818, 786},	// QWebView::textSizeMultiplier
    {76, 821, 771},	// QWebView::title
    {76, 823, 800},	// QWebView::titleChanged$
    {76, 835, 826},	// QWebView::tr$
    {76, 836, 757},	// QWebView::tr$$
    {76, 837, 759},	// QWebView::tr$$$
    {76, 839, 827},	// QWebView::trUtf8$
    {76, 840, 758},	// QWebView::trUtf8$$
    {76, 841, 760},	// QWebView::trUtf8$$$
    {76, 846, 834},	// QWebView::triggerPageAction$
    {76, 847, 779},	// QWebView::triggerPageAction$$
    {76, 853, 773},	// QWebView::url
    {76, 855, 805},	// QWebView::urlChanged#
    {76, 869, 815},	// QWebView::wheelEvent#
    {76, 873, 783},	// QWebView::zoomFactor
    {76, 892, 838},	// QWebView::~QWebView
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtwebkit_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtwebkit_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtwebkit_Smoke = new Smoke(
        "qtwebkit",
        __smokeqtwebkit::classes, 78,
        __smokeqtwebkit::methods, 879,
        __smokeqtwebkit::methodMaps, 828,
        __smokeqtwebkit::methodNames, 895,
        __smokeqtwebkit::types, 281,
        __smokeqtwebkit::inheritanceList,
        __smokeqtwebkit::argumentList,
        __smokeqtwebkit::ambiguousMethodList,
        __smokeqtwebkit::cast );
    initialized = true;
}

void delete_qtwebkit_Smoke() { delete qtwebkit_Smoke; }

}
